<?php
require_once('./fns.php');
require_once('./displays/display_churches.php');
session_start();

do_html_header('Kostoly');

if (check_usertype("admin"))
{
	if (isset($_GET['churchid']))
  {
		$churchid = $_GET['churchid'];
		
		$delete = true;
		
		if( ($num = get_churchusers_count($churchid)) != 0 ) 
    {
      if($num==1) error_msg('Kostol '.get_church_name($churchid).' nemôže byť odstránený. Je k nemu priradný 1 organista.');
      else error_msg('Kostol'.get_church_name($userid).' nemôže byť odstránený. Sú k nemu priradný '.$num.' organisti.');
      $delete = false;
    }
    
    else if( ($num = get_churchschedules_count($churchid)) !=0 )
    {
      error_msg('Kostol '.get_church_name($churchid).' nemôže byť odstránený.Rozvrhy.');
      $delete = false;
    }
    
    else if( ($num = get_churchrequests_count($churchid)) !=0 )
    {
      error_msg('Kostol '.get_church_name($churchid).' nemôže byť odstránený. Existujú k nemu žiadosti.');
      $delete = false;
    }
		
    if($delete)
    {
      $churchname = get_church_name($churchid);
      if(delete_church($churchid))
      {
		    ok_msg('Kostol '.$churchname.' bol odstránený.');
            log_activity('Vymazanie kostola '.$churchname.'.');
      }
		  else
			 error_msg('Kostol '.$churchname.' nebol odstránený.');
    }
  } 
	else 
		error_msg('Žiadny kostol nebol zadaný. Prosím skúste znova.');

// ziskame kostoly z databazy
$church_array = get_churches(0,"churchname","ASC");
display_churches($church_array, get_churches_count(), 1, "churchname", "ASC");

}
else 
	error_msg('Nemáte právo na zobrazenie tejto webovej lokality.');

do_html_footer();
?>