<?php
// vlozime subory funkcii pre tuto kategoriu
require_once('./fns.php');
require_once('./displays/display_servicetimes.php');
session_start();

do_html_header('Odstránenie bohoslužby');

if (!check_organisttype("HO") || !isset($_GET['serviceid'])) {
    error_msg('Nemáte právo na zobrazenie tejto webovej lokality.');
}
else 
{
  $serviceid = $_GET['serviceid'];

       $service = get_service_details($serviceid);
       $churchid = $service[0]['churchid'];
       $servicedate = $service[0]['servicedate'];
        
		if(delete_service($serviceid))
        {
			ok_msg('Bohoslužba bola odstránená.');           
            log_activity('Odstranenie bohoslužby v kostole <a href="show_church.php?churchid='.$churchid.'">'.get_church_name($churchid).'</a>.');
        }
		else
			error_msg('Bohoslužba nebola odstránená.');

        $servicetimes = get_servicetimes($churchid,$servicedate);
        display_servicetimes($servicetimes);
} 

do_html_footer();
?>