<?php
require_once('./fns.php');
require_once('./displays/display_users.php');
session_start();

do_html_header('Používatelia');

if (check_usertype("admin"))
{
	if (isset($_GET['userid']))
  {
		$userid = $_GET['userid'];
		
		$delete = true;
		
		if( ($num = get_userchurches_count($userid)) != 0 ) 
    {
      if($num==1) error_msg('Použivateľ '.get_username($userid).' nemôže byť odstránený. Je priradený k 1 kostolu.');
      else error_msg('Použivateľ '.get_username($userid).' nemôže byť odstránený. Je priradený k '.$num.' kostolom.');
      $delete = false;
    }
    
    else if( ($num = get_userservices_count($userid)) !=0 )
    {
      error_msg('Použivateľ '.get_username($userid).' nemôže byť odstránený. Je priradný k '.$num.' bohoslužbám.');
      $delete = false;
    }
		
    if($delete)
    {
      $username = get_username($userid);
      if(delete_user($userid))
      {
		    ok_msg('Používateľ '.$username.' bol odstránený.');
            log_activity('Vymazanie používateľa '.$username.'.');
        
        delete_useractivities($userid);
      }
		  else
			 error_msg('Používateľ '.$username.' nebol odstránený.');
    }
  } 
	else 
		error_msg('Žiadny používateľ nebol zadaný. Prosím skúste znova.');

// ziskame kostoly z databazy
$user_array = get_users('%',0,"lastname", "ASC");
display_users($user_array, get_users_count(), 1, "lastname", "ASC");

}
else 
	error_msg('Nemáte právo na zobrazenie tejto webovej lokality.');

do_html_footer();
?>