<?php
function display_church_form($church = '')
{
	// Zobrazi formular kostola.
	// Moze byt pouzity na pridanie a editovanie kostola.

	// ak je predany existujuci kostol, pokracuj v "editovacom mode"
	$edit = is_array($church);
?>
<script src="js/ajax_req.js" type="text/javascript"></script>
<h2><?php echo $edit?'Upraviť kostol':'Pridať kostol';?></h2>
  <form class="niceform" name="churchform" method="post" action="<?php echo $edit?'edit_church.php':'insert_church.php';?>">
    <fieldset>
      <dl>
        	<dt><label>Názov kostola:</label></dt>
          <dd><input type="text" name="churchname" value="<?php echo $edit?$church['churchname']:''; ?>" size="32" maxlength="32" /></dd>
      </dl>
      <dl>
        	<dt><label>Farnosť:</label></dt>
          <dd><input type="text" name="chaprelry" value="<?php echo $edit?$church['chaprelry']:''; ?>" size="32" maxlength="32" /></dd>
      </dl>
      <dl>
        	<dt><label>Kraj:</label></dt>
          <dd>
            <select name="region" onchange="htmlData('dynamic_state.php', 'regionid='+this.value, 'txtResult1'); document.getElementById('txtResult2').innerHTML='<select name=settlement><option>Vyberte okres</option></select>'"; />
                <option>Vyberte</option>
                <?php
                  $region_array = get_regions(); 
                  foreach ($region_array as $row)
                  { 
                  ?>
                    <option value="<?php echo $row['regionid'];?>" <?php if($row['regionid']==$church['regionid']) echo 'selected'; ?>><?php echo $row['regionname']; ?></option>
                  <?php  
                  }
                ?>
            </select>
          </dd>
      </dl>
      <dl>
        	<dt><label>Okres:</label></dt>
          <dd>
            <div id="txtResult1">
            <select name="county">
              <option><?php echo $edit?$church['countyname']:'Vyberte kraj'; ?></option>
            </select>
            </div>
          </dd>
      </dl>
      <dl>
        	<dt><label>Mesto/Obec:</label></dt>
          <dd>
            <div id="txtResult2">
            <select name="settlementid">
              <option value="<?php echo $edit?$church['settlementid']:''; ?>"><?php echo $edit?$church['settlementname']:'Vyberte okres'; ?></option>
            </select>
            </div>
          </dd>
      </dl>
      <dl>
        	<dt><label>PSČ:</label></dt>
          <dd><input type="text" name="zip" value="<?php echo $edit?$church['zip']:''; ?>" size="16" maxlength="16" /></dd>
      </dl>
      <dl>
        	<dt><label>Adresa:</label></dt>
          <dd><input type="text" name="address" value="<?php echo $edit?$church['address']:''; ?>" size="32" maxlength="32" /></dd>
      </dl>
      <dl>
        	<dt><label>Správca farn.:</label></dt>
          <dd><input type="text" name="churchsupervisor" value="<?php echo $edit?$church['churchsupervisor']:''; ?>" size="32" maxlength="32" /></dd>
      </dl>
      <dl>
        	<dt><label>Telefón:</label></dt>
          <dd><input type="text" name="telephone" value="<?php echo $edit?$church['telephone']:''; ?>" size="16" maxlength="16" /></dd>
      </dl>
      <dl>
        	<dt><label>Email:</label></dt>
          <dd><input type="text" name="email" value="<?php echo $edit?$church['email']:''; ?>" size="32" maxlength="32" /></dd>
      </dl>
      <dl>
        	<dt><label>Web:</label></dt>
          <dd><input type="text" name="website" value="<?php echo $edit?$church['website']:''; ?>" size="32" maxlength="32" /></dd>
      </dl>
      <dl>
        	<dt><label>Popis:</label></dt>
          <dd><textarea rows="5" cols="40" name="description"><?php echo $edit?$church['description']:''; ?></textarea></dd>
      </dl>
      <?php if ($edit){ ?>
      <dl>
          <dt><label>Vytvorené:</label></dt>
          <dd><input type="text" name="datecreated" value="<?php echo $church['datecreated']; ?>" size="16" maxlength="16" disabled /></dd>
      </dl> 
      <dl>
          <dt><label>Zmenené:</label></dt>
          <dd><input type="text" name="datemodified" value="<?php echo $church['datemodified']; ?>" size="16" maxlength="16" disabled /></dd>
      </dl>
      <?php } ?>           
      <dl>
        <dt><?php if ($edit) echo '<input type="hidden" name="churchid" value="'.$church['churchid'].'">'; ?></dt>
        <dd>
          <a href="javascript:self.document.forms.churchform.submit()" class="button"><span><?php echo $edit?'Uložiť':'Pridať kostol';?></span></a>
          <?php if ($edit) echo '<a href="delete_church.php?churchid='.$church['churchid'].'" class="button"><span>Odstrániť kostol</span></a>'; ?>
        </dd>
      </dl>
    </fieldset>
  </form>
<?php 
}
?>