<?php
function display_churches($church_array, $church_count, $start_page, $OrderBy, $OrderType, $FilterStatus="off", $SearchWhere="", $SearchText="")
{
  echo '<h2>Prehľad kostolov</h2>';
  // zobrazime ich
  if (!is_array($church_array))
  {
    echo '<div class="box" style="font-size: 11px; text-align: center; padding-top:15px;">Nie sú v systéme kostoly.<p id="pagin"></p></div>';
  }
  else
  {
    //definovanie nazvov pre hlavicku tabulky
    $TableHeader_Name = array();
    //definovanie nazvu stlpca z db, pre sortovanie
    $TableHeader_Sort = array();
    //definovanie parametrov pre nastavenie <th ...
    $TableHeader_Setting = array();
    
    //definovanie hodnot
    $TableHeader_Name[1] = 'Názov kostola';
    $TableHeader_Sort[1] = 'churchname';
    $TableHeader_Setting[1] = '';
    $TableHeader_Name[2] = 'Okres';
    $TableHeader_Sort[2] = 'countyname';
    $TableHeader_Setting[2] = '';
    $TableHeader_Name[3] = 'Mesto / Obec';
    $TableHeader_Sort[3] = 'settlementname';
    $TableHeader_Setting[3] = '';
    $TableHeader_Name[4] = 'HO / O';
    $TableHeader_Sort[4] = 'pocetO';
    $TableHeader_Setting[4] = ' class="center"';
    $TableHeader_Name[5] = 'OvK';
    $TableHeader_Sort[5] = '';
    $TableHeader_Setting[5] = ' class="center"';
    if(check_usertype("admin"))
    {
      $TableHeader_Name[6] = 'Operácie';
      $TableHeader_Setting[6] = '';
      $TableHeader_Sort[6] = '';
    }
    
    //linka
    if($FilterStatus == "on")
      $TableHeader_Url = "show_churches.php?Filter=on&SearchWhere=".$SearchWhere."&SearchText=".$SearchText."&";
    else
      $TableHeader_Url = "show_churches.php?";   
    ?>
    
    <ul class="tabs">
    <?php
    if($FilterStatus == "on")
      echo "<li class=\"active\"><a href=\"show_churches.php?Filter=on\" title=\"Filter\"><span>Filter</span></a></li><li><a href=\"show_churches.php?Filter=off\" title=\"Zoznam\"><span>Zoznam</span></a></li>";
    else
      echo "<li><a href=\"show_churches.php?Filter=on\" title=\"Filter\"><span>Filter</span></a></li><li class=\"active\"><a href=\"show_churches.php?Filter=off\" title=\"Zoznam\"><span>Zoznam</span></a></li>";
    ?>
    </ul>
    <div class="box">
    <?php
    if($FilterStatus == "on")
    {
      //definovanie nazvov pre filter
      $TableFilter_Name = array();
      //definovanie nazvu stlpca z db, pre filter
      $TableFilter_Filter = array();
      //definovanie nazvov pre hidden do formulara
      $TableFilter_HiddenName = array();
      $TableFilter_HiddenValue = array();
      
      $TableFilter_Name[1] = "Názov kostola";
      $TableFilter_Filter[1] = "churchname";
      $TableFilter_Name[2] = "Okres";
      $TableFilter_Filter[2] = "countyname";
      $TableFilter_Name[3] = "Mesto / Obec";
      $TableFilter_Filter[3] = "settlementname";
      
      $TableFilter_Url = "show_churches.php?";
      
      //zobrazime filter tabulky
      display_tablefilter($TableFilter_Name, $TableFilter_Filter, $TableFilter_HiddenName, $TableFilter_HiddenValue, $TableFilter_Url, $SearchWhere, $SearchText);
    }
    ?>  	
    
    <table class="maintable">
    
    <?php
    //zobrazime hlavicku tabulky
    display_tableheader($TableHeader_Name, $TableHeader_Setting, $TableHeader_Sort, $TableHeader_Url, $OrderBy, $OrderType);
    
    $i = 0;
    foreach ($church_array as $row)
    {
      ?>
      <tr <?php if(is_int($i / 2)) echo 'class="highlight"'; ?>><td>
      <?php
      echo '<a href="show_church.php?churchid='.$row['churchid'].'">'.$row['churchname'].'</a></td>
          <td>'.$row['countyname'].'</td>
          <td>'.$row['settlementname'].'</td>
          <td class="center">'.$row['pocetHO'].'/'.$row['pocetO'].'</td>
          <td class="center">
          <ul>
          <li><a class="churchusers" title="Organisti v kostole" href="churchusers.php?churchid='.$row['churchid'].'"><span>Organisti v kostole</span></a></li>
          </ul>
          </td>';
      if(check_usertype("admin"))
      {
        echo '<td class="action">
            <ul>
            <li><a class="show" title="Zobraziť" href="show_church.php?churchid='.$row['churchid'].'"><span>Zobraziť</span></a></li>
            <li><a class="edit" title="Upraviť" href="edit_church_form.php?churchid='.$row['churchid'].'"><span>Upraviť</span></a></li>
            <li><a class="delete" title="Odstrániť" onclick="return confirm(\'Naozaj chcete odstrániť záznam?\')" href="delete_church.php?churchid='.$row['churchid'].'"><span>Odstrániť</span></a></li>
            </ul>
            </td>';
      }
      echo '</tr>';
      $i++;
    }
    echo "</table>";
    
    if($FilterStatus== "on")
      $url = "show_churches.php?Filter=on&SearchWhere=".$SearchWhere."&SearchText=".$SearchText."&OrderBy=".$OrderBy."&OrderType=".$OrderType."&";
    else
      $url = "show_churches.php?OrderBy=".$OrderBy."&OrderType=".$OrderType."&";
    
    display_paginator($start_page,$church_count,$_SERVER["PAGINATOR_ROWCOUNT_TABLE"],$url);
  }
  do_html_footer();
}
?>