<?php

//tabulka s vypisom sprav
function display_messages($messages_array, $boxType, $messages_count, $start_page, $OrderBy, $OrderType, $FilterStatus="off", $SearchWhere="", $SearchText="")
{ 
  //text ktory sa vypisuje v zavislosti od typu priecinku (inbox, outbox)
  if($boxType == "inbox")
  {
    $Text['Title'] = "Inbox";
    $Text['TableField'] = "Odosielateľ";
  }
  else
  {
    $Text['Title'] = "Outbox";
    $Text['TableField'] = "Príjemca";
  }
  
  echo "<h2>Správy - ".$Text['Title']."</h2>";
  
  if (!is_array($messages_array))
  {
    echo '<div class="box" style="font-size: 11px; text-align: center; padding-top:15px;">Nie sú správy v tomto priečinku.<p id="pagin"></p></div>';
  }
  else
  {
    //definovanie nazvov pre hlavicku tabulky
    $TableHeader_Name = array();
    //definovanie nazvu stlpca z db, pre sortovanie
    $TableHeader_Sort = array();
    //definovanie parametrov pre nastavenie <th ...
    $TableHeader_Setting = array();
    
    //definovanie hodnot
    $TableHeader_Name[1] = $Text['TableField'];
    if($boxType == "inbox")
    {
      $TableHeader_Sort[1] = 'userfromfirstname';
    }
    else
    {
      $TableHeader_Sort[1] = 'usertofirstname';
    }
    $TableHeader_Setting[1] = '';
    $TableHeader_Name[2] = 'Predmet';
    $TableHeader_Sort[2] = 'subject';
    $TableHeader_Setting[2] = '';
    $TableHeader_Name[3] = 'Stav';
    $TableHeader_Sort[3] = 'status';
    $TableHeader_Setting[3] = ' class="center"';
    $TableHeader_Name[4] = 'Dátum';
    $TableHeader_Sort[4] = 'datecreated';
    $TableHeader_Setting[4] = '';
    $TableHeader_Name[5] = 'Operácie';
    $TableHeader_Sort[5] = '';
    $TableHeader_Setting[5] = ' class="center"';
    
    //linka
    if($FilterStatus == "on")
      $TableHeader_Url = "show_messages.php?box=".$boxType."&Filter=on&SearchWhere=".$SearchWhere."&SearchText=".$SearchText."&";
    else
      $TableHeader_Url = "show_messages.php?box=".$boxType."&";
    
    ?>    
    <ul class="tabs">
    
    <?php
    if($FilterStatus == "on")
      echo "<li class=\"active\"><a href=\"show_messages.php?box=".$boxType."&Filter=on\" title=\"Filter\"><span>Filter</span></a></li><li><a href=\"show_messages.php?box=".$boxType."&Filter=off\" title=\"Zoznam\"><span>Zoznam</span></a></li>";
    else
      echo "<li><a href=\"show_messages.php?box=".$boxType."&Filter=on\" title=\"Filter\"><span>Filter</span></a></li><li class=\"active\"><a href=\"show_messages.php?box=".$boxType."&Filter=off\" title=\"Zoznam\"><span>Zoznam</span></a></li>";
    ?>
    
    </ul>
    
    <div class="box">
    
    <?php
    if($FilterStatus == "on")
    {
      //definovanie nazvov pre filter
      $TableFilter_Name = array();
      //definovanie nazvu stlpca z db, pre filter
      $TableFilter_Filter = array();
      //definovanie nazvov pre hidden do formulara
      $TableFilter_HiddenName = array();
      $TableFilter_HiddenValue = array();

      if($boxType == "inbox")
      {
        $TableFilter_Name[1] = "Meno";
        $TableFilter_Filter[1] = "userfromfirstname";
        $TableFilter_Name[2] = "Priezvisko";
        $TableFilter_Filter[2] = "userfromlastname";
      }
      else
      {
        $TableFilter_Name[1] = "Meno";
        $TableFilter_Filter[1] = "usertofirstname";
        $TableFilter_Name[2] = "Priezvisko";
        $TableFilter_Filter[2] = "usertolastname";
      }
      $TableFilter_Name[3] = "Predmet";
      $TableFilter_Filter[3] = "subject";
      $TableFilter_Name[4] = "Stav";
      $TableFilter_Filter[4] = "status";
      $TableFilter_Name[5] = "Dátum";
      $TableFilter_Filter[5] = "datecreated";
            
      $TableFilter_HiddenName[1] = "box";
      $TableFilter_HiddenValue[1] = $boxType;
      
      $TableFilter_Url = "show_messages.php";
      
      //zobrazime filter tabulky
      display_tablefilter($TableFilter_Name, $TableFilter_Filter, $TableFilter_HiddenName, $TableFilter_HiddenValue, $TableFilter_Url, $SearchWhere, $SearchText);
    }
    ?>  
    
    <table class="maintable">
    
    <?php
    //zobrazime hlavicku tabulky
    display_tableheader($TableHeader_Name, $TableHeader_Setting, $TableHeader_Sort, $TableHeader_Url, $OrderBy, $OrderType);
    
    $i = 0;    
    foreach ($messages_array as $row)
    {
      //text ktory sa vypisuje v zavislosti od typu priecinku (inbox, outbox)
      if($boxType == "inbox")
      {
        $Text['SendToUserURL'] = 'insert_message_form.php?usertoid='.$row['userfromid'];
        $Text['TableFieldUser'] = $row['userfromfirstname'].' '.$row['userfromlastname'];
      }
      else
      {
        $Text['SendToUserURL'] = 'insert_message_form.php?usertoid='.$row['usertoid'];
        $Text['TableFieldUser'] = $row['usertofirstname'].' '.$row['usertolastname'];
      }
      ?>
      <tr <?php if(is_int($i / 2)) echo 'class="highlight"'; ?>>
      <?php
      if($boxType == "inbox") $userid = $row['userfromid'];
      else $userid = $row['usertoid'];
      
      echo '
          <td><a href="show_user.php?userid='.$userid.'">'.$Text['TableFieldUser'].'</a></td>
          <td><a href="show_message.php?messageid='.$row['messageid'].'">'.$row['subject'].'</a></td>
          <td class="center">';
      if($row['status']=="prečítaná") echo '<div class="mailopen" title="'.$row['status'].'"><span>'.$row['status'].'</span></div>';
      else echo '<div class="mail" title="'.$row['status'].'"><span>'.$row['status'].'</span></div>';
      echo '</td><td width="130">'.$row['datecreated'].'</td>
          <td class="action">
          <ul>
          <li><a class="show" title="Zobraziť" href="show_message.php?messageid='.$row['messageid'].'&box='.$boxType.'"><span>Zobraziť</span></a></li>
          <li><a class="writemail" title="Odpovedať" href="insert_message_form.php?usertoid='.$row['userfromid'].'"><span>Odpovedať</span></a></li>
          <li><a class="delete" title="Odstrániť" onclick="return confirm(\'Naozaj chcete odstrániť záznam?\')" href="delete_message.php?messageid='.$row['messageid'].'&box='.$boxType.'"><span>Odstrániť</span></a></li>
          </ul>
          </td>';
      echo '</tr>';
      $i++;
    }
    
    echo "</table>";
    
    if($FilterStatus == "on")
      $url = "show_messages.php?box=".$boxType."&Filter=on&SearchWhere=".$SearchWhere."&SearchText=".$SearchText."&OrderBy=".$OrderBy."&OrderType=".$OrderType."&";
    else
      $url = "show_messages.php?box=".$boxType."&OrderBy=".$OrderBy."&OrderType=".$OrderType."&";
    
    display_paginator($start_page,$messages_count,$_SERVER["PAGINATOR_ROWCOUNT_TABLE"],$url);
    
  }
  
}

?>