<?php

function display_requests($requests_array, $requests_count, $state, $start_page, $OrderBy, $OrderType)
{
 
 if ($state == "0") echo '<h2>Nevybavené žiadosti</h2>';
    elseif ($state == "1") echo '<h2>Vybavené žiadosti</h2>';
      elseif ($state == "-1") echo '<h2>Zamietnutné žiadosti</h2>';
        else echo '<h2>Žiadosti</h2>';

 if (!is_array($requests_array))
  {
    if ($state == "0") echo '<div class="box" style="font-size: 11px; text-align: center; padding-top:15px;">V systéme nie sú nevybavené žiadosti.<p id="pagin"></p></div>';
    elseif ($state == "1") echo '<div class="box" style="font-size: 11px; text-align: center; padding-top:15px;">V systéme nie sú vybavené žiadosti.<p id="pagin"></p></div>';
      elseif ($state == "-1") echo '<div class="box" style="font-size: 11px; text-align: center; padding-top:15px;">V systéme nie sú zamietnuté žiadosti.<p id="pagin"></p></div>';
        else echo '<div class="box" style="font-size: 11px; text-align: center; padding-top:15px;">V systéme nie sú žiadosti.<p id="pagin"></p></div>';
  }
  else
  {
    
    //definovanie nazvov pre hlavicku tabulky
    $TableHeader_Name = array();
    //definovanie nazvu stlpca z db, pre sortovanie
    $TableHeader_Sort = array();
    //definovanie parametrov pre nastavenie <th ...
    $TableHeader_Setting = array();

    //definovanie hodnot
    $TableHeader_Name[1] = '#';
    $TableHeader_Sort[1] = 'requestid';
    $TableHeader_Setting[1] = ' width="50"';
    $TableHeader_Name[2] = 'Predmet';
    $TableHeader_Sort[2] = 'subject';
    $TableHeader_Setting[2] = '';
    $TableHeader_Name[3] = 'Dátum prijatia';
    $TableHeader_Sort[3] = 'datecreated';
    $TableHeader_Setting[3] = '';

    if ($state == "1")
    {
      $TableHeader_Name[4] = 'Dátum vybavenia';
      $TableHeader_Sort[4] = 'datesatisfied';
      $TableHeader_Setting[4] = '';
      $TableHeader_Name[5] = 'Operácie';
      $TableHeader_Sort[5] = '';
      $TableHeader_Setting[5] = '';
    }
    elseif ($state == "-1")
    {
      $TableHeader_Name[4] = 'Dátum zamietnutia';
      $TableHeader_Sort[4] = 'datesatisfied';
      $TableHeader_Setting[4] = '';
      $TableHeader_Name[5] = 'Operácie';
      $TableHeader_Sort[5] = '';
      $TableHeader_Setting[5] = '';
    }
    elseif ($state == "all")
    {
      $TableHeader_Name[4] = 'Stav';
      $TableHeader_Sort[4] = 'datesatisfied';
      $TableHeader_Setting[4] = '';
      $TableHeader_Name[5] = 'Operácie';
      $TableHeader_Sort[5] = '';
      $TableHeader_Setting[5] = '';
    }
    else
    {
      $TableHeader_Name[4] = 'Operácie';
      $TableHeader_Sort[4] = '';
      $TableHeader_Setting[4] = '';
    }

    //linka
    $TableHeader_Url = "show_requests.php?reqstate=".$state."&";
	?>
		<ul class="tabs">
      <li class="active"><a href="javascript:void(0);" title="Zoznam"><span>Zoznam</span></a></li>
		</ul>
		<div class="box">
			<table class="maintable">

    <?php
    //zobrazime hlavicku tabulky
    display_tableheader($TableHeader_Name, $TableHeader_Setting, $TableHeader_Sort, $TableHeader_Url, $OrderBy, $OrderType);

    $i = 0;
    foreach ($requests_array as $row)
    {
      if($row['subject'] == "RO") $subject = "Registrácia organistu";
      elseif ($row['subject'] == "RHO") $subject = "Registrácia hlavného organistu";
        elseif ($row['subject'] == "PK") $subject = "Pridanie kostola";
          else $subject = "Chyba";
		?>
    <tr <?php if(is_int($i / 2)) echo 'class="highlight"'; ?>>
			<td><a href="show_request.php?requestid=<?php echo $row['requestid'] ?>"> <?php echo $row['requestid'] ?> </a></td>
			<td><a href="show_request.php?requestid=<?php echo $row['requestid'] ?>"> <?php echo $subject ?> </a></td>
			<td><?php echo $row['datecreated'] ?></td>

			<?php
      if ($state == "1") echo '<td>'. $row['datesatisfied'] . '</td>';
      else if ($state == "-1") echo '<td>'. $row['datesatisfied'] . '</td>';
        else if ($state == "all")
          {
            echo '<td>';
            if($row['reqstate'] == "0") echo '<p class="red">nevybavene</p>';
              elseif($row['reqstate'] == "1") echo '<p class="green">vybavené</p>';
                elseif($row['reqstate'] == "-1") echo '<p class="gray">zamietnuté</p>';
            echo '</td>';
          }
      ?>

      <td class="action">
        <ul>
          <li><a class="show" title="Zobraziť" href="show_request.php?requestid=<?php echo $row['requestid'] ?>"><span>Zobraziť</span></a></li>
          <li><a class="delete" title="Odstrániť" onclick="return confirm('Naozaj chcete odstrániť záznam?')" href="delete_request.php?requestid=<?php echo $row['requestid']."&reqstate=".$state ?>"><span>Odstrániť</span></a></li>
        </ul>
      </td>
      </tr>
      <?php
      $i++;
    }

    echo "</table>";

    $url = "show_requests.php?reqstate=".$state."&OrderBy=".$OrderBy."&OrderType=".$OrderType."&";
    display_paginator($start_page,$requests_count,$_SERVER["PAGINATOR_ROWCOUNT_TABLE"],$url);

  }
 
}
?>
