<?php
function display_schedules($schedule_array, $schedule_count, $start_page, $OrderBy, $OrderType, $FilterStatus="off", $SearchWhere="", $SearchText="")
{
  ?>
  <h2>Rozvrhy - <?php echo get_church_name($_SESSION['session_churchid']); ?></h2>
  <?php
  
  if (!is_array($schedule_array) || count($schedule_array) == 0)
    echo '<div class="box" style="font-size: 11px; text-align: center; padding-top:15px;">Nie sú rozvrhy v tomto kostole.<p id="pagin"></p></div>';
  else
  {
    //definovanie nazvov pre hlavicku tabulky
    $TableHeader_Name = array();
    //definovanie nazvu stlpca z db, pre sortovanie
    $TableHeader_Sort = array();
    //definovanie parametrov pre nastavenie <th ...
    $TableHeader_Setting = array();
    
    //definovanie hodnot
    $TableHeader_Name[1] = "Dátum od";
    $TableHeader_Sort[1] = 'datefrom';
    $TableHeader_Setting[1] = '';
    $TableHeader_Name[2] = 'Dátum do';
    $TableHeader_Sort[2] = 'dateto';
    $TableHeader_Setting[2] = '';
    $TableHeader_Name[3] = 'Stav';
    $TableHeader_Sort[3] = 'state';
    $TableHeader_Setting[3] = '';
    $TableHeader_Name[4] = 'Operácie';
    $TableHeader_Sort[4] = '';
    $TableHeader_Setting[4] = ' class="center"';
    
    //linka
    if($FilterStatus == "on")
      $TableHeader_Url = "show_schedules.php?Filter=on&SearchWhere=".$SearchWhere."&SearchText=".$SearchText."&";
    else
      $TableHeader_Url = "show_schedules.php?";
      
    ?>    
    <ul class="tabs">
    
    <?php
    if($FilterStatus == "on")
      echo "<li class=\"active\"><a href=\"show_schedules.php?Filter=on\" title=\"Filter\"><span>Filter</span></a></li><li><a href=\"show_schedules.php?Filter=off\" title=\"Zoznam\"><span>Zoznam</span></a></li>";
    else
      echo "<li><a href=\"show_schedules.php?Filter=on\" title=\"Filter\"><span>Filter</span></a></li><li class=\"active\"><a href=\"show_schedules.php?Filter=off\" title=\"Zoznam\"><span>Zoznam</span></a></li>";
    ?>
    
    </ul>
    
    <div class="box">
    
    <?php
    if($FilterStatus == "on")
    {
     //definovanie nazvov pre filter
      $TableFilter_Name = array();
      //definovanie nazvu stlpca z db, pre filter
      $TableFilter_Filter = array();
      //definovanie nazvov pre hidden do formulara
      $TableFilter_HiddenName = array();
      $TableFilter_HiddenValue = array();
      
      $TableFilter_Name[1] = "Dátum od";
      $TableFilter_Filter[1] = "datefrom";
      $TableFilter_Name[2] = "Dátum do";
      $TableFilter_Filter[2] = "dateto";
      
      $TableFilter_Url = "show_schedules.php";
      
      //zobrazime filter tabulky
      display_tablefilter($TableFilter_Name, $TableFilter_Filter, $TableFilter_HiddenName, $TableFilter_HiddenValue, $TableFilter_Url, $_GET["SearchWhere"], $_GET["SearchText"]);
    }
    ?>
    
    <table class="maintable">
    
    <?php
    //zobrazime hlavicku tabulky
    display_tableheader($TableHeader_Name, $TableHeader_Setting, $TableHeader_Sort, $TableHeader_Url, $OrderBy, $OrderType);
    
    $i = 0;
    foreach ($schedule_array as $row) {
      ?>
      <tr <?php if(is_int($i / 2)) echo 'class="highlight"'; ?>>
      <td><?php echo $row['datefrom']; ?></td>
      <td><?php echo $row['dateto']; ?></td>
      <td><?php echo $row['state']; ?></td>
      <td class="action">
      <ul>
      <li><a class="show" title="Zobraziť" href="show_schedule.php?scheduleid=<?php echo $row['scheduleid'] ?>"></a></li>
      <?php if (check_organisttype("HO")) { ?>
      <li><a class="delete" title="Odstrániť rozvrh" onclick="return confirm('Naozaj chcete odstrániť rozvrh spolu so všetkými priradenými bohoslužbami?')" href="delete_schedule.php?scheduleid=<?php echo $row['scheduleid'] ?>"></a></li>
      <?php } ?>
      </ul>
      </td>
      </tr>
      <?php
      $i++;
    }
    
    echo "</table>";
        
    if($FilterStatus == "on")
      $url = "show_schedules.php?Filter=on&SearchWhere=".$SearchWhere."&SearchText=".$SearchText."&OrderBy=".$OrderBy."&OrderType=".$OrderType."&";
    else
      $url = "show_schedules.php?OrderBy=".$OrderBy."&OrderType=".$OrderType."&";
    
    display_paginator($start_page,$schedule_count,$_SERVER["PAGINATOR_ROWCOUNT_TABLE"],$url);
    
  }
}
?>
