<?php
// vlozime subory funkcii pre tuto kategoriu
require_once('./fns.php'); 
require_once('./displays/display_defaulttime_form.php');
session_start();

do_html_header('Aktualizácia času bohoslužby');

if(isset($_GET['defaulttimeid']) && (check_usertype('admin') || check_organisttype("HO")))
{
	if ($defaulttime = get_defaulttime_details($_GET['defaulttimeid']))
	{
	  $servicetype = get_servicetype_details($defaulttime['servicetypeid']);
    display_defaulttime_form($servicetype,$defaulttime);
  }
	else
		error_msg('Systém nemohol zobraziť informácie.');
}
else
{
    error_msg('Nemáte právo na zozbrazenie tejto webovej lokality.');
}
do_html_footer();
?>