<?php
// vlozime subory funkcii pre tuto kategoriu
require_once('./fns.php');
require_once('./displays/display_servicetimes.php');
require_once('./displays/display_servicetime_form.php');
session_start();

do_html_header('Aktualizácia termínu');
if(isset($_POST['serviceid']) && (check_usertype('admin') || check_organisttype("HO")))
{
    $serviceid = $_POST['serviceid'];   // potrebujeme v else vetve

	if (filled_out($_POST)) 
	{  
		$churchid = $_SESSION['session_churchid']; //ziskame ho z session vars
		
        $servicedate = $_POST['servicedate'];
		$timefrom = $_POST['fromH'].":".$_POST['fromM'];
		$timeto = $_POST['toH'].":".$_POST['toM'];
   
    if(servicetime_data_control($churchid, $serviceid, $servicedate, $timefrom, $timeto))
		{
		  if(update_servicetime($serviceid, $timefrom, $timeto))
          {
            ok_msg('Termín bol aktualizovaný.');
            send_mail_to_users($churchid, $serviceid);
            log_activity('Aktualizácia termínu bohoslužby v kostole <a href="show_church.php?churchid='.$churchid.'">'.get_church_name($churchid).'</a>.');
          }
		  else 
          {
              error_msg('Termín bohoslužby nebol aktualizovaný.');
          }
          $servicetimes = get_servicetimes($churchid,$servicedate);
          display_servicetimes($servicetimes);
		}
		else {
            error_msg('Vami zadaný termín je nesprávny, prekrýva sa inými termínami, alebo už je v databáze.');
            $service = get_service_details($serviceid);
            display_servicetime_form($service,0,0,0);
        }
	} 
	else{
		error_msg('Nevyplnili ste formulár. Prosím skúste znova.');
         $service = get_service_details($serviceid);
         display_servicetime_form($service,0,0,0);
    }
}
else
    error_msg('Nemáte právo na zobrazenie tejto webovej lokality.');


do_html_footer();
?>