<?php
function get_datetime()
{
  $dateTime = date('Y-m-d H:i:s');
  return $dateTime;
}

function get_date()
{
  $date = date('Y-m-d');
  return $date;
}

function get_current_month()
{
  $date = getdate();
  return $date['mon'];
}

function get_current_year()
{
  $date = getdate();
  return $date['year'];
}

function get_time()
{
  $time = date('H:i:s');
  return $time;
}

function get_users($usertype,$start_page,$OrderBy,$OrderType, $Filter = "off", $SearchWhere = "", $SearchText = "",$limit=true)
{
  if($limit) $limit_row = $_SERVER['PAGINATOR_ROWCOUNT_TABLE'];
  else $limit_row=get_users_count("off","","");
  
  $conn = db_connect();

  if($Filter == "on" && $SearchWhere != "")
  {
    $query = "SELECT 
        userid, 
        login, 
        password, 
        email, 
        telephone, 
        datecreated, 
        datemodified, 
        disabled, 
        firstname, 
        lastname, 
        usertype,
        (SELECT count(*) FROM churches_users WHERE userid=a.userid) as churchCount 
        FROM users a
        WHERE usertype LIKE '$usertype'
        AND $SearchWhere like '%$SearchText%' 
        ORDER BY $OrderBy $OrderType
        LIMIT $start_page,$limit_row"; 
  }
  else
  {
    $query = "SELECT 
        userid, 
        login, 
        password, 
        email, 
        telephone, 
        datecreated, 
        datemodified, 
        disabled, 
        firstname, 
        lastname, 
        usertype,
        (SELECT count(*) FROM churches_users WHERE userid=a.userid) as churchCount 
        FROM users a
        WHERE usertype LIKE '$usertype'
        ORDER BY $OrderBy $OrderType
        LIMIT $start_page,$limit_row"; 
  }
  
  $result = @mysql_query($query);
  if (!$result)
  {
    db_disconnect();
    return false;
  }   
  
  $num_users = @mysql_num_rows($result);
  
  if ($num_users == 0)
  {
    db_disconnect();
    return false;  
  }
  
  $result = db_result_to_array($result);
  db_disconnect();
  
  return $result; 
}

function get_organists_count()
{
  $conn = db_connect();
  $query = "SELECT count(*) as count FROM users WHERE usertype = 'organista'"; 
  $result = @mysql_query($query);
  if (!$result)
  {
    db_disconnect();
    return false;
  }   
  
  $num = @mysql_num_rows($result);
  
  if ($num == 0)
  {
    db_disconnect();
    return false;  
  }
  
  $result = mysql_result($result, 0, 'count');
  db_disconnect();
  
  return $result; 
}

function get_churchorganists_count($churchid)
{
  $conn = db_connect();
  $query = "SELECT count(*) as count FROM churches_users WHERE and churchid='$churchid'"; 
  $result = @mysql_query($query);
  if (!$result)
  {
    db_disconnect();
    return false;
  }   
  
  $num = @mysql_num_rows($result);
  
  if ($num == 0)
  {
    db_disconnect();
    return false;  
  }
  
  $result = mysql_result($result, 0, 'count');
  db_disconnect();
  
  return $result; 
}

function get_non_churchorganists_count($churchid, $Filter = "off", $SearchWhere = "", $SearchText = "")
{
  $conn = db_connect();
  
  if($Filter == "on" && $SearchWhere != "")
  {
    $query = "SELECT 
        count(*) as rowCount
        FROM users
        WHERE users.userid not in (SELECT churches_users.userid FROM churches_users WHERE churchid='$churchid') 
        AND users.usertype = 'organista' 
        AND $SearchWhere like '%$SearchText%' ";
  }
  else
  {
    $query = "SELECT 
        count(*) as rowCount
        FROM users
        WHERE users.userid not in (SELECT churches_users.userid FROM churches_users WHERE churchid='$churchid') AND users.usertype = 'organista' ";
  }
  
  $result = @mysql_query($query);
  if (!$result)
  {
    db_disconnect();
    return false;
  }   
  
  $num = @mysql_num_rows($result);
  
  if ($num == 0)
  {
    db_disconnect();
    return false;  
  }
  
  $result = mysql_result($result, 0, 'rowCount');
  db_disconnect();
  
  return $result;
}

//zistime pocet pouzivatelov
function get_users_count($Filter = "off", $SearchWhere = "", $SearchText = "")
{
  $conn = db_connect();
  if($Filter == "on" && $SearchWhere != "")
  {
    $query = "SELECT COUNT(*) AS RowCount FROM users WHERE $SearchWhere like '%$SearchText%' ";
  }
  else
  {
    $query = "SELECT COUNT(*) AS RowCount FROM users";
  }
  
  $result = @mysql_result(mysql_query($query), 0, "RowCount");
  
  if (!$result)
  {
    db_disconnect();
    return 0;
  }
  
  db_disconnect();  
  return $result; 
}

function get_user_details($userid)
{
  // otazka na databazu pre ziskanie detailov pouzivatela podla jeho userid
  if (!$userid || $userid == '')
    return false;
  
  $conn = db_connect();
  $query = "SELECT * FROM users WHERE userid='$userid'";
  $result = @mysql_query($query);
  
  if (!$result)
  {
    db_disconnect();
    return false;
  }
  
  $result = @mysql_fetch_array($result);
  db_disconnect();
  
  return $result;
}

function get_userid($login)
{
  // otazka na databazu pre ziskanie detailov pouzivatela podla jeho userid
  if (!$login || $login == '')
    return false;
  
  $conn = db_connect();
  $query = "SELECT userid FROM users WHERE login='$login'";
  $result = @mysql_query($query);
  
  if (!$result)
  {
    db_disconnect();
    return false;
  }
  
  $result = mysql_result($result, 0, 'userid');
  db_disconnect();
  
  return $result;
}

function get_userlogin($userid)
{
  // otazka na databazu pre ziskanie loginu pouzivatela podla jeho userid
  if (!$userid || $userid == '')
    return false;
  
  $conn = db_connect();
  $query = "SELECT login FROM users WHERE userid='$userid'";
  $result = @mysql_query($query);
  
  if (!$result)
  {
    db_disconnect();
    return false;
  }
  
  $result = mysql_result($result, 0, 'login');
  db_disconnect();
  
  return $result;
}

function get_usertype($login)
{
  $conn = db_connect();
  
  // otazka na databazu pre ziskanie detailov pouzivatela podla jeho userid
  $query = "SELECT usertype FROM users WHERE login='$login'";
  $result = @mysql_query($query);	
  
  if (!$result) 
  {
    echo mysql_error();
    db_disconnect();
    return false;
  }
  
  $result = mysql_result($result, 0, 'usertype');		
  return $result;

}

function get_user_disabled($userid){
  if (!$userid || $userid == '')
    return false;
  
  $conn = db_connect();
  $query = "SELECT disabled FROM users WHERE userid='$userid'";
  $result = @mysql_query($query);
  
  if (!$result)
  {
    db_disconnect();
    return false;
  }
  
  $result = mysql_result($result, 0, 'disabled');
  db_disconnect();
  return $result;
}

// vrati meno + priezvisko pouzivatela
function get_username($userid) {  
  if (!$userid || $userid == '')
    return false;
  
  $conn = db_connect();
  $query = "SELECT firstname, lastname FROM users WHERE userid='$userid'";
  $result = @mysql_query($query);
  
  if (!$result)
  {
    db_disconnect();
    return false;
  }
  
  $result1 = @mysql_result($result, 0, 'firstname');
  $result2 = @mysql_result($result, 0, 'lastname');
  db_disconnect();
  
  return $result1. ' ' . $result2;
}

function get_churches($start_page,$OrderBy,$OrderType,$Filter = "off", $SearchWhere = "", $SearchText = "")
{
  // otazka na databazu pre zoznam kostolov
  $conn = db_connect();
  
  $limit_row = $_SERVER['PAGINATOR_ROWCOUNT_TABLE'];

  if($Filter == "on" && $SearchWhere != "")
  {
    $query = "SELECT 
                    churchid, 
                    churchname, 
                    settlementname,
                    settlementid,
                    countyname,
                    countyid,
                    regionname,
                    regionid,
                    pocetHO,
                    pocetO
              FROM v_churches
              WHERE $SearchWhere like '%$SearchText%'
              ORDER BY $OrderBy $OrderType 
              LIMIT $start_page,$limit_row";
  }
  else
  {
    $query = "SELECT 
                    churchid, 
                    churchname, 
                    settlementname,
                    settlementid,
                    countyname,
                    countyid,
                    regionname,
                    regionid,
                    pocetHO,
                    pocetO
              FROM v_churches
              ORDER BY $OrderBy $OrderType 
              LIMIT $start_page,$limit_row";
  }
             
  $result = @mysql_query($query);
  
  echo mysql_error();
  
  if (!$result)
  {
    db_disconnect();
    return false;
  }
  
  $num_churches = @mysql_num_rows($result);
  
  if ($num_churches == 0)
  {
    db_disconnect();
    return false;  
  }
  
  $result = db_result_to_array($result);
  db_disconnect();
  
  return $result; 
}

//zistime pocet kostolov v databaze
function get_churches_count($Filter = "off", $SearchWhere = "", $SearchText = "")
{
  $conn = db_connect();
  
  if($Filter == "on" && $SearchWhere != "")
  {
    $query = "SELECT COUNT(*) AS RowCount FROM v_churches WHERE $SearchWhere like '%$SearchText%' ";
  }
  else
  {
    $query = "SELECT COUNT(*) AS RowCount FROM v_churches";
  }
  
  $result = @mysql_result(mysql_query($query), 0, "RowCount");
  
  if (!$result)
  {
    db_disconnect();
    return 0;
  }
  
  db_disconnect();  
  return $result; 
}

function get_churches_by_settlement($settlementid)
{
  // otazka na databazu pre zoznam kostolov
  $conn = db_connect();

  $query = "SELECT 
              a.churchid, 
              a.churchname,
              b.settlementid,
              b.settlementname
            FROM churches a,settlements b
            WHERE a.settlementid = b.settlementid AND a.settlementid = '$settlementid'";
             
  $result = @mysql_query($query);
  
  echo mysql_error();
  
  if (!$result)
  {
    db_disconnect();
    return false;
  }
  
  $num_churches = @mysql_num_rows($result);
  
  if ($num_churches == 0)
  {
    db_disconnect();
    return false;  
  }
  
  $result = db_result_to_array($result);
  db_disconnect();
  
  return $result; 
}

function get_userchurches($userid)
{
  // otazka na databazu pre zoznam kostolov ku ktorym je pouzivatel priradeny
  $conn = db_connect();
  $query = "SELECT 
      b.churchid, 
      a.churchname, 
      b.organisttype,
      CASE b.organisttype
      WHEN 'HO' THEN (SELECT count(*) FROM requests WHERE requests.churchid = a.churchid AND requests.reqstate=0)
      ELSE 0
      END AS pocetR
      FROM churches a, churches_users b
      WHERE a.churchid = b.churchid
      AND b.userid = '$userid'"; 
  $result = @mysql_query($query);
  
  echo mysql_error();
  
  if (!$result)
  {
    db_disconnect();
    return false;
  }
  
  $num_churches = @mysql_num_rows($result);
  
  if ($num_churches == 0)
  {
    db_disconnect();
    return false;
  }
  
  
  $result = db_result_to_array($result);
  db_disconnect();
  
  return $result; 
}

function get_userchurches_count($userid)
{
  if(!$userid || $userid=='')
    return false;
  
  db_connect();
  $query = "SELECT
              count(*) as rowCount
            FROM churches_users
            WHERE userid = '$userid'";
   
  $result = mysql_query($query);
  $rows = @mysql_num_rows($result);
	
	//neexistuje taky zaznam
	if (!$result || $rows==0)
	{
		db_disconnect();
		return 0;
	}
	
	$num = mysql_result($result,0,'rowCount');
  return $num;  
}

function get_churchschedules_count($churchid)
{
  // otazka na databazu pre zoznam kostolov ku ktorym je pouzivatel priradeny
  $conn = db_connect();
  $query = "SELECT 
      COUNT(*) AS RowCount
      FROM schedules a
      WHERE a.churchid = '$churchid'";
  
  $result = @mysql_result(mysql_query($query), 0, "RowCount");
  
  if (!$result)
  {
    db_disconnect();
    return 0;
  }
  
  db_disconnect();  
  return $result; 
}

function get_churchrequests_count($churchid)
{
  // otazka na databazu pre zoznam kostolov ku ktorym je pouzivatel priradeny
  $conn = db_connect();
  $query = "SELECT 
      COUNT(*) AS RowCount
      FROM requests a
      WHERE a.churchid = '$churchid'";
  
  $result = @mysql_result(mysql_query($query), 0, "RowCount");
  
  if (!$result)
  {
    db_disconnect();
    return 0;
  }
  
  db_disconnect();  
  return $result; 
}

/////////////////////////////////////////
function get_userservices_count($userid)
{
  if(!$userid || $userid=='')
    return false;
  
  db_connect();
  $query = "SELECT
              count(*) as rowCount
            FROM services
            WHERE primaryuserid = '$userid' OR secondaryuserid = '$userid'";
   
  $result = mysql_query($query);
  $rows = @mysql_num_rows($result);
	
	//neexistuje taky zaznam
	if (!$result || $rows==0)
	{
		db_disconnect();
		return false;
	}
	
	$num = mysql_result($result,0,'rowCount');
  return $num;
}
/////////////////////////////////////////////

function get_churchusers($churchid,$start_page,$OrderBy,$OrderType)
{
  // otazka na databazu pre zoznam kostolov ku ktorym je pouzivatel priradeny
  $conn = db_connect();
  
  $limit_row = $_SERVER['PAGINATOR_ROWCOUNT_TABLE'];
  
  /*$query = "SELECT 
      a.userid, 
      a.churchid, 
      a.organisttype, 
      b.firstname, 
      b.lastname
      FROM churches_users a, users b
      WHERE a.userid = b.userid 
      AND a.churchid = '$churchid'
      ORDER BY b.lastname ASC LIMIT $start_page,$limit_row"; */

  if($start_page == "all")
  {
    $query = "SELECT 
        users.firstname, 
        users.lastname, 
        churches_users.userid, 
        churches_users.churchid,
        churches_users.organisttype 
        FROM users, churches_users 
        WHERE users.userid = churches_users.userid AND churches_users.churchid = '$churchid' 
        ORDER BY $OrderBy $OrderType";
  }
  else
  {   
    $query = "SELECT 
        users.firstname, 
        users.lastname, 
        churches_users.userid, 
        churches_users.churchid,
        churches_users.organisttype 
        FROM users, churches_users 
        WHERE users.userid = churches_users.userid AND churches_users.churchid = '$churchid' 
        ORDER BY $OrderBy $OrderType
        LIMIT $start_page,$limit_row";
  }
  
  $result = @mysql_query($query);
  
  if (!$result)
  {
    db_disconnect();
    return false;
  }
  
  $num_users = @mysql_num_rows($result);
  
  if ($num_users == 0)
  {
    db_disconnect();
    return false;  
  }
  
  $result = db_result_to_array($result);
  db_disconnect();
  
  return $result; 
}

function get_non_churchusers($churchid,$start_page,$OrderBy,$OrderType,$Filter = "off", $SearchWhere = "", $SearchText = "")
{
  $conn = db_connect();
  
  $limit_row = $_SERVER['PAGINATOR_ROWCOUNT_TABLE'];
  
  if($Filter == "on" && $SearchWhere != "")
  {
    $query = "SELECT 
        users.firstname, 
        users.lastname,
        users.userid,
        '$churchid',
        0 as organisttype
        FROM users 
        WHERE users.userid not in (SELECT churches_users.userid FROM churches_users WHERE churchid='$churchid') 
        AND users.usertype = 'organista' 
        AND $SearchWhere like '%$SearchText%' ORDER BY $OrderBy $OrderType
        LIMIT $start_page,$limit_row";
  }
  else
  {
    $query = "SELECT 
        users.firstname, 
        users.lastname,
        users.userid,
        '$churchid',
        0 as organisttype
        FROM users 
        WHERE users.userid not in (SELECT churches_users.userid FROM churches_users WHERE churchid='$churchid') 
        AND users.usertype = 'organista' ORDER BY $OrderBy $OrderType
        LIMIT $start_page,$limit_row";
  }
  
  $result = @mysql_query($query);
  
  echo mysql_error();
  
  if (!$result)
  {
    db_disconnect();
    return false;
  }
  
  $num_users = @mysql_num_rows($result);
  
  if ($num_users == 0)
  {
    db_disconnect();
    return false;  
  }
  
  $result = db_result_to_array($result);
  db_disconnect();
  
  return $result;

}

//zistime pocet
function get_churchusers_count($churchid)
{
  // otazka na databazu pre zoznam kostolov ku ktorym je pouzivatel priradeny
  $conn = db_connect();
  $query = "SELECT 
      COUNT(*) AS RowCount
      FROM churches_users a
      WHERE a.churchid = '$churchid'";
  
  $result = @mysql_result(mysql_query($query), 0, "RowCount");
  
  if (!$result)
  {
    db_disconnect();
    return 0;
  }
  
  db_disconnect();  
  return $result; 
}


function get_organisttype($userid, $churchid)
{
  // funkcia vráti typ organistu pre daný kostol
  $conn = db_connect();
  $query = "SELECT organisttype
      FROM churches_users
      WHERE userid = '$userid' AND churchid = '$churchid'"; 
  
  $result = @mysql_query($query);
  
  echo mysql_error();
  
  $num = mysql_num_rows($result);
  
  if (!$result || $num==0)
  {
    db_disconnect();
    return false;
  }
  
  $result = mysql_result($result, 0, 'organisttype');
  db_disconnect();
  
  return $result; 
}

function get_num_organisttypes($churchid)
{
  // otazka na databazu pre
  $conn = db_connect();
  $query = "SELECT organisttype, count(*)
      as pocet FROM churches_users
      WHERE churchid='$churchid'
      GROUP BY organisttype"; 
  $result = @mysql_query($query);
  
  if (!$result)
  {
    db_disconnect();
    return false;
  }
  
  $num_users = @mysql_num_rows($result);
  
  if ($num_users == 0)
  {
    db_disconnect();
    return false;  
  }
  
  $result = db_result_to_array($result);
  db_disconnect();
  
  return $result; 
}

function get_church_name($churchid){
  // otazka na databazu pre ziskanie nazvu kostola podla jeho churchid
  if (!$churchid || $churchid == '')
    return false;
  
  $conn = db_connect();
  $query = "SELECT churchname
      FROM churches
      WHERE churchid='$churchid'";
  $result = @mysql_query($query);
  
  if (!$result)
  {
    db_disconnect();
    return false;
  }
  
  $num_names = @mysql_num_rows($result);
  if ($num_names == 0)
    return false; 
  
  $result = mysql_result($result, 0, 'churchname');
  return $result;
}

function get_church_details($churchid)
{
  // otazka na databazu pre ziskanie detailov kostola podla jeho churchid
  if (!$churchid || $churchid == '')
    return false;
  
  $conn = db_connect();
  $query = "SELECT
            a.churchid,
            a.churchsupervisor,
            a.telephone,
            a.email,
            a.website,
            a.datecreated,
            a.datemodified,
            a.address,
            a.churchname,
            a.description,
            a.chaprelry,
            a.zip,
            b.settlementname,
            b.settlementid,
            c.countyname,
            c.countyid,
            d.regionname,
            d.regionid
            FROM churches a, settlements b, counties c, regions d 
            WHERE churchid='$churchid' AND
            a.settlementid = b.settlementid AND b.countyid = c.countyid AND c.regionid = d.regionid";
  $result = @mysql_query($query);
  
  if (!$result)
  {
    db_disconnect();
    return false;
  }
  
  $result = @mysql_fetch_array($result);
  db_disconnect();
  
  return $result;
}


function get_servicetypes($start_page,$OrderBy,$OrderType)
{
  // otazka na databazu pre zoznam typov bohosluzieb
  $conn = db_connect();
  
  $limit_row = $_SERVER['PAGINATOR_ROWCOUNT_TABLE'];
  
  $query = "SELECT servicetypeid, servicename, servicedesc FROM servicetypes ORDER BY $OrderBy $OrderType LIMIT $start_page,$limit_row";
  $result = @mysql_query($query);
  
  if (!$result)
  {
    db_disconnect();
    return false;
  }
  
  $num_servicetypes = @mysql_num_rows($result);
  
  if ($num_servicetypes == 0)
  {
    db_disconnect();
    return false;  
  }
  
  $result = db_result_to_array($result);
  db_disconnect();
  
  return $result; 
}

//zisti pocet zaznamov v databaze
function get_servicetypes_count()
{
  $conn = db_connect();
  $query = 'SELECT COUNT(*) AS RowCount FROM servicetypes';
  
  $result = @mysql_result(mysql_query($query), 0, "RowCount");
  
  if (!$result)
  {
    db_disconnect();
    return 0;
  }

  db_disconnect();  
  return $result; 
}

function get_servicetype_details($servicetypeid)
{
  // otazka na databazu pre ziskanie detailov typu bohosluzby podla jeho servicetypeid
  if (!$servicetypeid || $servicetypeid == '')
    return false;
  
  $conn = db_connect();
  $query = "SELECT * FROM servicetypes WHERE servicetypeid='$servicetypeid'";
  $result = @mysql_query($query);
  
  if (!$result)
  {
    db_disconnect();
    return false;
  }
  
  $result = @mysql_fetch_array($result);
  db_disconnect();
  
  return $result;
}

//poziadavka na databazu pre ziskanie zoznamu sprav
//boxtype = (inbox, outbox)
//userid = id pouzivatela
function get_messages($boxtype, $userid, $start_page, $OrderBy, $OrderType, $Filter = "off", $SearchWhere = "", $SearchText = "")
{
  // otazka na databazu pre zoznam sprav
  $conn = db_connect();
  
  $limit_row = $_SERVER['PAGINATOR_ROWCOUNT_TABLE'];
  
  if($Filter == "on" && $SearchWhere != "")
  {
    
    switch ($boxtype) 
    {
      case "inbox":
        $query = "SELECT 
                messageid, 
                userfromid,
                userfromfirstname,
                userfromlastname,
                usertoid,
                usertofirstname,
                usertolastname,
                datecreated,
                subject,
                status,
                statusto 
            FROM v_messages
            WHERE usertoid = '$userid'
            AND statusto = 'active'
            AND $SearchWhere like '%$SearchText%'
            ORDER BY $OrderBy $OrderType LIMIT $start_page,$limit_row";  
        break;
      
      case "outbox":
        $query = "SELECT 
                messageid, 
                userfromid,
                userfromfirstname,
                userfromlastname,
                usertoid,
                usertofirstname,
                usertolastname,
                datecreated,
                subject,
                status,
                statusfrom
            FROM v_messages
            WHERE userfromid = '$userid'
            AND statusfrom = 'active'
            AND $SearchWhere like '%$SearchText%'
            ORDER BY $OrderBy $OrderType LIMIT $start_page,$limit_row";  
        break;
      
    }
    
  }
  else
  {
    
    switch ($boxtype) 
    {
      case "inbox":
        $query = "SELECT 
                messageid, 
                userfromid,
                userfromfirstname,
                userfromlastname,
                usertoid,
                usertofirstname,
                usertolastname,
                datecreated,
                subject,
                status,
                statusto 
            FROM v_messages
            WHERE usertoid = '$userid'
            AND statusto = 'active'
            ORDER BY $OrderBy $OrderType LIMIT $start_page,$limit_row";  
        break;
      
      case "outbox":
        $query = "SELECT 
                messageid, 
                userfromid,
                userfromfirstname,
                userfromlastname,
                usertoid,
                usertofirstname,
                usertolastname,
                datecreated,
                subject,
                status,
                statusfrom
            FROM v_messages
            WHERE userfromid = '$userid'
            AND statusfrom = 'active'
            ORDER BY $OrderBy $OrderType LIMIT $start_page,$limit_row";  
        break;
      
    }
    
  }
  
  $result = @mysql_query($query);
  
  if (!$result)
  {
    db_disconnect();
    return false;
  }
  
  $num_messages = @mysql_num_rows($result);
  
  if ($num_messages == 0)
  {
    db_disconnect();
    return false;  
  }
  
  $result = db_result_to_array($result);
  db_disconnect();
  
  return $result; 
}

//poziadavka na databazu pre ziskanie spravy
//messageid = id spravy
//userid = id pouzivatela
function get_message($messageid, $userid)
{
  // otazka na databazu pre zoznam sprav
  $conn = db_connect();
  $query = "SELECT * FROM
      (
      SELECT
          messageid, 
          userfromid,
          userfromlogin,
          userfromfirstname,
          userfromlastname,
          usertoid,
          usertologin,
          usertofirstname,
          usertolastname,
          datecreated,
          dateread,
          subject,
          text,
          messagestatus,
          status,
          statusfrom,
          statusto,
          
          CASE
            WHEN userfromid = '$userid' THEN statusfrom
            ELSE statusto
          END AS StatusMy,
          
          CASE
            WHEN userfromid = '$userid' THEN 'out'
            ELSE 'in'
          END AS box
          
      FROM v_messages
      WHERE messageid = '$messageid' 
      ) AS T1
      WHERE T1.StatusMy != 'delete'
      AND (T1.userfromid = '$userid' OR T1.usertoid = '$userid' )";
           
  
  $result = @mysql_query($query);
    
  if (!$result)
  {
    echo mysql_error();
    db_disconnect();
    return false;
  }
  
  $result = @mysql_fetch_array($result);
  db_disconnect();
  
  return $result;
  
}

//zistime pocet sprav
function get_messages_count($boxtype, $userid, $Filter = "off", $SearchWhere = "", $SearchText = "")
{
  // otazka na databazu pre zoznam sprav
  $conn = db_connect();
  
  if($Filter == "on" && $SearchWhere != "")
  {

    switch ($boxtype) 
    {
      case "inbox":
        $query = "SELECT 
            COUNT(*) AS RowCount
            FROM v_messages a
            WHERE usertoid = '$userid'
            AND statusto = 'active'
            AND $SearchWhere like '%$SearchText%'";  
        break;
      
      case "outbox":
        $query = "SELECT 
            COUNT(*) AS RowCount
            FROM v_messages
            WHERE userfromid = '$userid'
            AND statusfrom = 'active'
            AND $SearchWhere like '%$SearchText%'";  
        break;  
    }
    
  }
  else
  {
    
    switch ($boxtype) 
    {
      case "inbox":
        $query = "SELECT 
            COUNT(*) AS RowCount
            FROM v_messages
            WHERE usertoid = '$userid'
            AND statusto = 'active'";  
        break;
      
      case "outbox":
        $query = "SELECT 
            COUNT(*) AS RowCount
            FROM v_messages
            WHERE userfromid = '$userid'
            AND statusfrom = 'active'";  
        break;  
    }
    
  }
  
  $result = @mysql_result(mysql_query($query), 0, "RowCount");
  
  if (!$result)
  {
    db_disconnect();
    return 0;
  }

  db_disconnect();  
  return $result; 
  
}

//nove spravy
function get_messages_new($userid)
{
  // otazka na databazu pre zoznam sprav
  $conn = db_connect();
  
  $query = "SELECT 
      a.messageid, 
      a.userfromid,
      a.usertoid,
      a.datecreated,
      a.subject,
      a.status,
      a.statusto 
      FROM messages a
      WHERE a.usertoid = '$userid'
      AND a.statusto = 'active'
      AND a.status = 'no_reading'";
  
  $result = @mysql_query($query);
  
  if (!$result)
  {
    db_disconnect();
    return false;
  }
  
  $num_messages = @mysql_num_rows($result);
  
  if ($num_messages == 0)
  {
    db_disconnect();
    return false;  
  }
  
  $result = db_result_to_array($result);
  db_disconnect();
  
  return $result; 
}

function get_requests($userid, $usertype, $reqstate, $start_page, $OrderBy, $OrderType)
{
  // otazka na databazu pre zoznam poziadaviek
  $conn = db_connect();
  
  $limit_row = $_SERVER['PAGINATOR_ROWCOUNT_TABLE'];
  
  if ($usertype=='admin') 
  {
    if($reqstate == "all")
    {
      $query = "SELECT 
          requestid, 
          subject, 
          churchid, 
          reqfirstname, 
          reqlastname, 
          reqemail, 
          reqtel, 
          datecreated, 
          text,
          reqstate,
          datesatisfied						
          FROM requests 
          ORDER BY $OrderBy $OrderType LIMIT $start_page,$limit_row";
    }
    else
    {
      $query = "SELECT 
          requestid, 
          subject, 
          churchid, 
          reqfirstname, 
          reqlastname, 
          reqemail, 
          reqtel, 
          datecreated, 
          text,
          reqstate,
          datesatisfied						
          FROM requests 
          WHERE reqstate = '$reqstate' 
          ORDER BY $OrderBy $OrderType LIMIT $start_page,$limit_row";
    }
  }
  else
  {    
    if($reqstate == "all")
    {
      $query = "SELECT * FROM requests r 
          WHERE (r.churchid in (SELECT c.churchid FROM churches_users c where userid='$userid' and c.organisttype='HO')
          OR r.churchid=0)
          ORDER BY $OrderBy $OrderType LIMIT $start_page,$limit_row";
    }
    else
    {
      $query = "SELECT * FROM requests r 
          WHERE (r.churchid in (SELECT c.churchid FROM churches_users c where userid='$userid' and c.organisttype='HO')
          AND r.reqstate = '$reqstate') OR (r.churchid=0 AND r.reqstate = '$reqstate')
          ORDER BY $OrderBy $OrderType LIMIT $start_page,$limit_row";
    }
  }
  
  $result = @mysql_query($query);
  
  if (!$result)
  {		
    db_disconnect();
    return false;
  }
  
  $num_requests = @mysql_num_rows($result);
  
  if ($num_requests == 0)
  {		
    db_disconnect();
    return false;  
  }
  
  $result = db_result_to_array($result);
  db_disconnect();
  
  return $result; 
}

//nevybavene ziadosti
function get_requests_new($userid, $usertype, $reqstate)
{
  // otazka na databazu pre zoznam poziadaviek
  $conn = db_connect();
  
  if ($usertype=='admin') 
  {
    $query = "SELECT 
        requestid, 
        subject, 
        churchid, 
        reqfirstname, 
        reqlastname, 
        reqemail, 
        reqtel, 
        datecreated, 
        text,
        datesatisfied						
        FROM requests 
        WHERE reqstate = '$reqstate'
        ORDER BY datecreated desc";
  }
  else
  {
    $query = "SELECT * FROM requests r 
        WHERE (r.churchid in (SELECT c.churchid FROM churches_users c where userid='$userid' and c.organisttype='HO')
        AND r.reqstate = '$reqstate')
        ORDER BY datecreated desc";
  }
  
  $result = @mysql_query($query);
  
  if (!$result)
  {		
    db_disconnect();
    return false;
  }
  
  $num_requests = @mysql_num_rows($result);
  
  if ($num_requests == 0)
  {		
    db_disconnect();
    return false;  
  }
  
  $result = db_result_to_array($result);
  db_disconnect();
  
  return $result; 
}

//zistime pocet ziadosti
function get_requests_count($userid, $usertype, $reqstate)
{
  // otazka na databazu pre zoznam poziadaviek
  $conn = db_connect();
  if ($usertype=='admin') 
  {
    //pocet vsetkych ziadosti
    if($reqstate == "all")
    {
      $query = "SELECT 
          COUNT(*) AS RowCount					
          FROM requests";
    }
    else
    {
      $query = "SELECT 
          COUNT(*) AS RowCount					
          FROM requests 
          WHERE reqstate = '$reqstate'";
    }
  }
  else
  {
    
    //pocet vsetkych ziadosti
    if($reqstate == "all")
    {
      $query = "SELECT COUNT(*) AS RowCount FROM requests r 
          WHERE (r.churchid in (SELECT c.churchid FROM churches_users c where userid='$userid' and c.organisttype='HO')
          OR r.churchid=0)";
    }
    else
    {
      $query = "SELECT COUNT(*) AS RowCount FROM requests r 
          WHERE (r.churchid in (SELECT c.churchid FROM churches_users c where userid='$userid' and c.organisttype='HO')
          AND r.reqstate = '$reqstate') OR (r.churchid=0 AND r.reqstate = '$reqstate')";
    }
    
  }
  
  $result = @mysql_result(mysql_query($query), 0, "RowCount");
  
  if (!$result)
  {
    db_disconnect();
    return 0;
  }
  
  db_disconnect();  
  return $result; 
}

function get_request_details($requestid)
{
  // otazka na databazu pre ziskanie detailov ziadosti
  if (!$requestid || $requestid == '')
    return false;
  /*
  SELECT field_one, field_two, CASE
   WHEN updated_by IS NOT NULL THEN updated_by
   WHEN added_by IS NOT NULL THEN added_by
   ELSE NULL
  END
  AS field_three
    
  if(reqstate=0,'nevybavená','vybavená') AS reqstate_name, 
  */
  $conn = db_connect();
  $query = "SELECT 
      requestid,					
      CASE subject
      WHEN 'RO' THEN 'Registrácia organistu'
      WHEN 'RHO' THEN 'Registrácia hlavného organistu'
      WHEN 'PK' THEN 'Pridanie kostola'
      END AS subject,					
      churchid, 
      reqfirstname, 
      reqlastname, 
      reqemail, 
      reqtel, 
      datecreated, 
      text, 
      CASE reqstate
      WHEN 0 THEN 'nevybavená'
      WHEN 1 THEN 'vybavená'
      WHEN -1 THEN 'zamietnutá'
      END AS reqstate_name,					
      satisfy_userid, 
      reqstate, 
      datesatisfied
      FROM requests 
      WHERE requestid = '$requestid'";
  $result = @mysql_query($query);
  
  if (!$result)
  {
    echo mysql_error();
    db_disconnect();
    return false;
  }
  
  $result = @mysql_fetch_array($result);
  db_disconnect();
  
  return $result;
}

function get_church_defaulttimes_bytype($churchid,$servicetypeid)
{
  //ziska defaultne terminy bohosluzieb pre dany kostol a dany den
  if (!$churchid || $churchid == '' || !$servicetypeid || $servicetypeid == '')
    return false;
  
  $conn = db_connect();
  $query = "SELECT 
      churches.churchname,
      churches.churchid,
      defaulttimes.defaulttimeid,
      defaulttimes.servicetypeid,
      servicetypes.servicename,
      defaulttimes.timefrom,
      defaulttimes.timeto
      FROM defaulttimes, churches, servicetypes 
      WHERE churches.churchid = defaulttimes.churchid 
      AND servicetypes.servicetypeid = defaulttimes.servicetypeid
      AND churches.churchid = '$churchid' AND servicetypes.servicetypeid = '$servicetypeid' ORDER BY defaulttimes.timefrom";  
  $result = @mysql_query($query);
  
  if (!$result)
  {
    db_disconnect();
    return false;
  }
  
  $result = db_result_to_array($result);
  db_disconnect();
  
  return $result; 
}

function get_church_defaultdays_count($churchid,$servicetypeid)
{
  //ziska defaultne terminy bohosluzieb pre dany kostol a dany den
  if (!$churchid || $churchid == '' || !$servicetypeid || $servicetypeid == '')
    return false;
  
  $conn = db_connect();
  $query = "SELECT 
      servicetypes.servicetypeid,
      servicetypes.servicename,
      count(*) as pocet
      FROM servicetypes, defaulttimes  
      WHERE servicetypes.servicetypeid = defaulttimes.servicetypeid 
      AND defaulttimes.churchid = '$churchid' AND defaulttimes.servicetypeid = '$servicetypeid' 
      GROUP BY servicetypes.servicetypeid ORDER BY servicetypes.servicetypeid";
  
  $result = @mysql_query($query);
  
  echo mysql_error();
  
  if (!$result)
  {
    db_disconnect();
    return false;
  }
  
  $result = @mysql_fetch_array($result);
  db_disconnect();
  
  return $result; 
}

function get_defaulttime_details($defaulttimeid)
{
  //ziska informacie o konkretnom defaultnom termine
  
  if (!$defaulttimeid || $defaulttimeid == '' )
    return false;
  
  $conn = db_connect();
  $query = "SELECT 
      defaulttimes.defaulttimeid,
      defaulttimes.churchid,
      defaulttimes.servicetypeid,
      HOUR(defaulttimes.timefrom) as fromH,
      MINUTE(defaulttimes.timefrom) as fromM,
      HOUR(defaulttimes.timeto) as toH,
      MINUTE(defaulttimes.timeto) as toM
      FROM defaulttimes WHERE defaulttimeid = '$defaulttimeid'";
  
  $result = @mysql_query($query);
  
  echo mysql_error();
  
  if (!$result)
  {
    db_disconnect();
    return false;
  }
  
  $result = @mysql_fetch_array($result);
  
  db_disconnect();
  return $result; 
}

function get_feast($month, $day) {
	if (!$month || $day == '' )
    return false;
  
	$conn = db_connect();
	$query = "SELECT * 
			  FROM feasts
			  WHERE month='$month' AND
					day='$day'";
	$result = @mysql_query($query);
  
  echo mysql_error();
  
  if (!$result)
  {   
    db_disconnect();
    return false;
  }
  $num_feast = @mysql_num_rows($result);
  
  if ($num_feast == 0)
  {		  
    db_disconnect();
    return false;  
  }
  $result = db_result_to_array($result);
  
  db_disconnect();
  return $result;   
}

function get_defaulttimes($churchid, $servicetypeid) {
	if (!$churchid || $servicetypeid == '' )
    return false;
  
	$conn = db_connect();
	$query = "SELECT * 
			  FROM defaulttimes
			  WHERE churchid='$churchid' AND
					servicetypeid='$servicetypeid'";
	$result = @mysql_query($query);
  
  echo mysql_error();
  
  if (!$result)
  {   
   echo mysql_error();
    db_disconnect();
    return false;
  }  
  
  
  $result = db_result_to_array($result);
  
  db_disconnect();
  return $result; 
}

//ziskame rozvrhy
function get_schedules($churchid, $start_page, $OrderBy, $OrderType, $Filter = "off", $SearchWhere = "", $SearchText = "")
{
	if (!$churchid)
    return false;
    
  $limit_row = $_SERVER['PAGINATOR_ROWCOUNT_TABLE'];    
  
	$conn = db_connect();

if($Filter == "on" && $SearchWhere != "")
  {
      $query = "SELECT 
            scheduleid, 
            datefrom,
            dateto,
            CASE state
              WHEN 0 THEN 'Neaktívny'
              WHEN 1 THEN 'Aktívny'
            END AS state	
            FROM schedules
            WHERE churchid='$churchid'
            AND $SearchWhere like '%$SearchText%'
            ORDER BY $OrderBy $OrderType LIMIT $start_page,$limit_row";
  }
  else
  {
      $query = "SELECT 
            scheduleid, 
            datefrom,
            dateto,
            CASE state
              WHEN 0 THEN 'Neaktívny'
              WHEN 1 THEN 'Aktívny'
            END AS state	
            FROM schedules
            WHERE churchid='$churchid'
            ORDER BY $OrderBy $OrderType LIMIT $start_page,$limit_row";
  }	
	
	$result = @mysql_query($query);
  
  echo mysql_error();
  
  if (!$result)
  {   
   echo mysql_error();
    db_disconnect();
    return false;
  }  
  
  
  $result = db_result_to_array($result);
  
  db_disconnect();
  return $result; 
}

//zistime pocet rozvrhov
function get_schedules_count($churchid, $Filter = "off", $SearchWhere = "", $SearchText = "")
{
	if (!$churchid)
    return 0;
    
  $conn = db_connect();
  if($Filter == "on" && $SearchWhere != "")
  {
    $query = "SELECT COUNT(*) AS RowCount FROM schedules WHERE churchid='$churchid' AND $SearchWhere like '%$SearchText%' ";
  }
  else
  {
    $query = "SELECT COUNT(*) AS RowCount FROM schedules WHERE churchid='$churchid'";
  }
  
  $result = @mysql_result(mysql_query($query), 0, "RowCount");
  
  if (!$result)
  {
    db_disconnect();
    return 0;
  }
  
  db_disconnect();  
  return $result; 
}

//ziskame data
function get_services($scheduleid, $start_page, $OrderBy, $OrderType)
{
	if (!$scheduleid)
    return false;
  
  $limit_row = $_SERVER['PAGINATOR_ROWCOUNT_TABLE'];
  
	$conn = db_connect();
	$query = "SELECT
				serviceid,
				primaryuserid,
				secondaryuserid,
				scheduleid,
				servicetypeid,
				CASE servicetypeid
					WHEN 1 THEN 'Pondeľňajšia bohoslužba'
					WHEN 2 THEN 'Utorňajšia bohoslužba'					
					WHEN 3 THEN 'Stredajšia bohoslužba'
					WHEN 4 THEN 'Štvrtková bohoslužba'
					WHEN 5 THEN 'Piatková bohoslužba'
					WHEN 6 THEN 'Sobotňajšia bohoslužba'
					WHEN 7 THEN 'Nedeľňajšia bohoslužba'
					WHEN 8 THEN 'Sviatok v pracovný deň'
					WHEN 9 THEN 'Sviatok v deň pracovného pokoja'
				END AS servicetype,
				churchid,
				servicestart,
				serviceend,
				servicedate					
			  FROM services
			  WHERE scheduleid='$scheduleid'
			  ORDER BY $OrderBy $OrderType LIMIT $start_page,$limit_row";
			  
	$result = @mysql_query($query);
  
  echo mysql_error();
  
  if (!$result)
  {   
   echo mysql_error();
    db_disconnect();
    return false;
  }  
  
  $result = db_result_to_array($result);
  
  db_disconnect();
  return $result; 
}

//zistime pocet
function get_services_count($scheduleid)
{
	if (!$scheduleid)
    return 0;
    
  $conn = db_connect();
  $query = "SELECT COUNT(*) AS RowCount FROM services WHERE scheduleid='$scheduleid'";
  
  $result = @mysql_result(mysql_query($query), 0, "RowCount");
  
  if (!$result)
  {
    db_disconnect();
    return 0;
  }
  
  db_disconnect();  
  return $result; 
}

function get_servicetimes($churchid, $servicedate) {
	if (!$servicedate || !$churchid)
    return false;
  
	$conn = db_connect();
	$query = "SELECT
				serviceid,
				primaryuserid,
				secondaryuserid,
				scheduleid,
				servicetypeid,
				CASE servicetypeid
					WHEN 1 THEN 'Pondeľňajšia bohoslužba'
					WHEN 2 THEN 'Utorňajšia bohoslužba'					
					WHEN 3 THEN 'Stredajšia bohoslužba'
					WHEN 4 THEN 'Štvrtková bohoslužba'
					WHEN 5 THEN 'Piatková bohoslužba'
					WHEN 6 THEN 'Sobotňajšia bohoslužba'
					WHEN 7 THEN 'Nedeľňajšia bohoslužba'
					WHEN 8 THEN 'Sviatok v pracovný deň'
					WHEN 9 THEN 'Sviatok v deň pracovného pokoja'
				END AS servicetype,
				churchid,
				servicestart,
				serviceend,
				servicedate					
			  FROM services
			  WHERE servicedate='$servicedate'
			  ORDER BY servicestart";
			  
	$result = @mysql_query($query);
  
  echo mysql_error();
  
  if (!$result)
  {   
   echo mysql_error();
    db_disconnect();
    return false;
  }  
  
  $result = db_result_to_array($result);
  
  db_disconnect();
  return $result; 
}

function get_service_details($serviceid) {
	if (!$serviceid)
    return false;
  
	$conn = db_connect();
	$query = "SELECT
				serviceid,
				primaryuserid,
				secondaryuserid,
				scheduleid,
				servicetypeid,
				CASE servicetypeid
					WHEN 1 THEN 'Pondeľňajšia bohoslužba'
					WHEN 2 THEN 'Utorňajšia bohoslužba'					
					WHEN 3 THEN 'Stredajšia bohoslužba'
					WHEN 4 THEN 'Štvrtková bohoslužba'
					WHEN 5 THEN 'Piatková bohoslužba'
					WHEN 6 THEN 'Sobotňajšia bohoslužba'
					WHEN 7 THEN 'Nedeľňajšia bohoslužba'
					WHEN 8 THEN 'Sviatok v pracovný deň'
					WHEN 9 THEN 'Sviatok v deň pracovného pokoja'
				END AS servicetype,
				churchid,
				servicestart,
				serviceend,
				servicedate					
			  FROM services
			  WHERE serviceid='$serviceid'";
			  
			  
	$result = @mysql_query($query);
  
  echo mysql_error();
  
  if (!$result)
  {   
   echo mysql_error();
    db_disconnect();
    return false;
  }  
  
  $result = db_result_to_array($result);
  
  db_disconnect();
  return $result; 
}

function get_regions()
{
  // otazka na databazu pre zoznam regionov
  $conn = db_connect();

  $query = "SELECT regionid, regionname 
            FROM regions";
             
  $result = @mysql_query($query);
  
  if (!$result)
  {
    db_disconnect();
    return false;
  }
  
  $num_regions = @mysql_num_rows($result);
  
  if ($num_regions == 0)
  {
    db_disconnect();
    return false;  
  }
  
  $result = db_result_to_array($result);
  db_disconnect();
  
  return $result; 
}

function get_counties($regionid)
{
  // otazka na databazu pre zoznam regionov
  $conn = db_connect();

  $query = "SELECT countyid, countyname 
            FROM counties
            WHERE regionid = '$regionid'";
             
  $result = @mysql_query($query);
  
  if (!$result)
  {
    db_disconnect();
    return false;
  }
  
  $num_counties = @mysql_num_rows($result);
  
  if ($num_counties == 0)
  {
    db_disconnect();
    return false;  
  }
  
  $result = db_result_to_array($result);
  db_disconnect();
  
  return $result; 
}

function get_settlements($countyid)
{
  // otazka na databazu pre zoznam regionov
  $conn = db_connect();

  $query = "SELECT settlementid, settlementname 
            FROM settlements
            WHERE countyid = '$countyid'";
             
  $result = @mysql_query($query);
  
  if (!$result)
  {
    db_disconnect();
    return false;
  }
  
  $num_settlements = @mysql_num_rows($result);
  
  if ($num_settlements == 0)
  {
    db_disconnect();
    return false;  
  }
  
  $result = db_result_to_array($result);
  db_disconnect();
  
  return $result; 
}

function get_settlementname($settlementid)
{
  // otazka na databazu pre ziskanie nazvu obce podla jeho settlementid
  if (!$settlementid || $settlementid == '')
    return false;
  
  $conn = db_connect();
  $query = "SELECT settlementname FROM settlements WHERE settlementid='$settlementid'";
  $result = @mysql_query($query);
  
  if (!$result)
  {
    db_disconnect();
    return false;
  }
  
  $result = mysql_result($result, 0, 'settlementname');
  db_disconnect();
  
  return $result;
}

function get_current_schedule($churchid, $date) {
	if (!$churchid)
    return false;
  
	$conn = db_connect();
	$query = "SELECT			
        *				
			  FROM schedules
			  WHERE churchid='$churchid' AND			  
			        datefrom <='$date' AND
              dateto >='$date'";
			  
	$result = @mysql_query($query);
  $rows = @mysql_num_rows($result);

  if (!$result || $rows == 0)
  {
    db_disconnect();
    return false;
  } 
  
  db_disconnect();
  $result = mysql_result($result, 0, 'scheduleid');
  return $result; 
}

function get_userservices($userid, $date)
{
  // otazka na databazu pre zoznam kostolov ku ktorym je pouzivatel priradeny
  $conn = db_connect();
  $query = "SELECT 
      a.serviceid, 
      a.primaryuserid,
      a.secondaryuserid,
      a.scheduleid, 
      a.servicetypeid,
      a.servicestart,
      a.serviceend,
      a.servicedate,
      b.churchid,
      b.churchname      
      FROM services a, churches b
      WHERE a.churchid = b.churchid AND a.servicedate >= '$date' AND 
            (a.primaryuserid = '$userid' OR
            a.secondaryuserid = '$userid' )"; 
  $result = @mysql_query($query);
  
  echo mysql_error();
  
  if (!$result)
  {
    db_disconnect();
    return false;
  }
  
  $num_churches = @mysql_num_rows($result);
  
  if ($num_churches == 0)
  {
    db_disconnect();
    return false;
  }
  $result = db_result_to_array($result);
  return $result;
}  


?>