<?php
include ('./fns.php');
session_start();

if(isset($_GET['action']) && $_GET['action']=="logout")
{
  logout();
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <title>SPRO 1.0 - Elektronický správca rozvrhov pre organistov</title>    
  <link rel="shortcut icon" type="image/ico" href="images/favicon.ico" />
  <link href="css/reset.css" rel="stylesheet" type="text/css" media="all" />
  <link href="css/front_styles.css" rel="stylesheet" type="text/css" media="all" />
  <link rel="stylesheet" type="text/css" media="all" href="css/niceforms-default.css" />
  <!--[if lte IE 6]>
  <link href="css/front_styles_ie.css" rel="stylesheet" type="text/css" media="screen" />
  <![endif]-->
  <script type="text/javascript" src="js/jquery-1.3.2.min.js"></script> 
  <script type="text/javascript" src="js/global.js"></script>    
  <script type="text/javascript" src="js/easySlider1.5.js"></script>
  <script type="text/javascript" src="js/ui.js"></script>
  <script language="javascript" type="text/javascript" src="js/niceforms.js"></script>
</head>
<body>
<div id="wrapper">
	<div id="header">
    	<h1 id="logo"><a href="index.php">Logo</a></h1>
        <ul id="navigation">
            <li class="current"><a href="index.php">Úvod</a></li>
            <li><a href="about.php">O projekte</a></li>
            <li><a href="#">Kostoly</a></li>
            <li><a href="#">Bohoslužby</a></li>
            <li><a href="users.php">Používatelia</a></li>
            <li class="highlighted"><a href="insert_request_form.php">Žiadosť</a></li>
        </ul>
        <div id="login">
        <?php
          if(check_user()){
          //niekto je prihlaseny
            echo '<p style="color: #fff; font-size: 12px; padding-top: 5px;">Ste prihlásený ako '.$_SESSION['session_login'].' ('.$_SESSION['session_usertype'].'). <a href="dashboard.php" class="login" title="Hlavný panel">Kliknite sem!</a></p>';
          }
          //zobraz login
          else display_login_form();
        ?>
        </div><!--login-->
    </div>
    <div id="content">
        <div id="promo-container">
        	<div id="slider">
                <ul>
                    <li>
                        <img src="images/promo-home-1.jpg" height="243" width="960" alt="Promo" />
                        <div class="promo-links">
                            <a href="#" class="promo-link">Vytvorte si konto</a><span>alebo</span> 
                            <a href="#" class="promo-link">Dozvite sa viac</a>
                        </div>
                    </li>
                    <li>
                        <img src="images/promo-home-2.jpg" height="243" width="960" alt="Promo" />
                        <div class="promo-links">
                            <a href="#" class="promo-link">Kostolov</a> <span>+</span> 
                            <a href="#" class="promo-link">Bohoslužbieb</a> <span>+</span>
                            <a href="#" class="promo-link">Používateľov</a>
                        </div>
                    </li>
                    <li>
                        <img src="images/promo-home-3.jpg" height="243" width="960" alt="Promo" />
                        <div class="promo-links">
                            <a href="#" class="promo-link">Viac informácií</a> 
                        </div>
                    </li>
              </ul>    
            </div>
        </div>
        
        <div class="intro-div left">
            <h2>Systém eSPRO</h2>
            <p>Projekt vznikol ako odpoveď na požiadavku vytvorenia aplikácie pre 
            elektronickú evidenciu rozvrhov pre organistov, v rámci predmetu 
            Tvorba informačného systému v tíme na Slovenskej technickej univerzite,
            fakulta informatiky a informačných technológií. Systém je vyvíjaný za účelom 
            automatizácie činnosti spojenej s tvorbou rozvrhov pre organistov. 
            Snahou je poskytnúť jednotný, prehľadný a používateľsky prívetivý systém.</p>
    	</div>
        
        <a href="http://www.fiit.stuba.sk" title="Fakulta informatiky a informačných technológií STU"><img src="images/logofiit.gif" style="border: 1px solid #ccc;" width="300" height="90" alt="Fakulta informatiky a informačných technológií STU" class="right" /></a>
                
        <div class="info-strip left">
        	<img src="images/database.png" width="48" height="48" alt="" class="left" />
            <div class="desc right">
            	<h3>Pripravený pre evidenciu.</h3>
                <p>Systém je pripravený pre správu a evidenciu organistov a rozvrhov
                vo všetkých kostoloch na Slovensku. V aktuálnom období je možné
                plnohodnotne využívať všetky dostupné služby systému pre už zaevidované
                kostoly. Pre využívanie služieb v ešte neevidovanom kostole,
                stačí vyplniť novú <a href="insert_request_form.php" text="žiadosť">žiadosť</a>.</p>
            </div>
        </div>
 
        <div class="info-strip left">
        	<img src="images/default_times.png" width="48" height="48" alt="" class="left" />
            <div class="desc right">
            	<h3>Evidencia organizáie bohoslužieb.</h3>
                <p>Systém je predpripravený na typizované organizácie bohoslužieb. 
                Často opakujúce sa bohoslužby počas týždňa je možné preddefinovať.
                Rovnako tak aj upraviť už preddefinované štátne a cirkevné sviatky. 
                Na základe týchto preddefinovaných bohoslužieb sa automaticky generujú 
                rozvrhy bohoslužieb pre určité časové obdobia.</p>
            </div>
        </div>
        
        <div class="info-strip right">
        	<img src="images/schedules.png" width="48" height="48" alt="" class="left" />
            <div class="desc right">
            	<h3>Inteligentná správa rozvrhov.</h3>
                <p>Systém umožňuje plnoautomatické generovanie rozvrhu bohoslužieb 
                pre jednotlivé kostoly, podľa predvolených pravidiel s dodatočnou 
                možnosťou editácie. Je možné vytvárať niekoľko alternatív rozvrhu 
                bohoslužieb. Systém poskytuje inteligentnú editáciu rozvrhu a evidovanie
                organistov prihlásených pre dané bohoslužby.</p>
            </div>
        </div>
        
        <div class="info-strip right">
        	<img src="images/users_comments.png" width="48" height="48" alt="" class="left" />
            <div class="desc right">
            	<h3>Vzájomná komunikácia používateľov.</h3>
                <p>Systém pre vzájomnú komunikáciu používateľov poskytuje službu správy,
                vďaka ktorej majú všetci používatelia možnosť vzájomne komunikovať medzi sebou.
                Odpadá tak potreba dodatočnej komunikácie prostredníctvom emailu. Systém
                poskytuje automatické upozornenie pri doručení novej správy.</p>
            </div>
        </div>
		<div id="bottom-promo">
        	<div class="panel first">
         		<img src="images/cd.png" width="48" height="48" alt="" class="left" />
           		<h3>Bez inštalácie</h3>
                <p>eSPRO 1.0 je klient server aplikácia. Po vyplnení
                <a href="#">žiadosti</a>
                sa hneď môžete pustiť do tvorby rozvrhov bohoslužieb vo Vašom prehliadači.
                </p>
            </div>

        	<div class="panel">
         		<img src="images/computer_network.png" width="48" height="48" alt="" class="left" />
           		<h3>Prístupnosť</h3>
                <p>Náš informačný systém je prístupný odkiaľkoľvek a kedykoľvek neobmedzene.</p>
            </div>

        	<div class="panel">
         		<img src="images/users_accept.png" width="48" height="48" alt="" class="left" />
           		<h3>Použiteľnosť</h3>
                <p>Počas vývoja sme kládli veľký dôraz na prehľadné a intuitívne ovládanie systému.</p>
            </div>

        	<div class="panel">
         		<img src="images/price.png" width="48" height="48" alt="" class="left" />
           		<h3>Cena?</h3>
                <p>Samozrejme <a href="#">zdarma!</a></p>
            </div>
        </div>
        <p class="small clear center">&copy; SquerHeads 2009 | <a href="#">Všeobecné prehlásenie</a> | <a href="#">Podmienky používania</a></p>
    </div>
</div>
</body>
</html>
