<?php
// vlozime subory funkcii pre tuto kategoriu
require_once('./fns.php');
require_once('./displays/display_church_form.php');  
session_start();

do_html_header('Pridanie kostola');

if (check_usertype('admin'))
{ 
	if (filled_out($_POST)) 
	{
		$churchsupervisor = $_POST['churchsupervisor'];
		$telephone = $_POST['telephone'];
		$email = $_POST['email'];
		$website = $_POST['website'];
		$address = $_POST['address'];
		$churchname = $_POST['churchname'];
		$settlementid = $_POST['settlementid'];
		$description = $_POST['description'];
		$chaprelry = $_POST['chaprelry'];
		$zip = $_POST['zip'];

    if(check_churchexist($churchname,$settlementid))
    { 
      $settlementname = get_settlementname($settlementid);
      error_msg('Kostol '.stripslashes($churchname).' s lokalitou v '.stripslashes($settlementname).' už v databáze existuje.');      
      display_church_form();
    }
		else if(($churchid=insert_church($churchsupervisor, $telephone, $email, $website, $address, $churchname, $description, $settlementid, $chaprelry, $zip)) != 0)
    {
      ok_msg('Kostol '.stripslashes($churchname).' bol úspešne pridaný do databázy.');
      log_activity('Pridanie kostola: <a href="show_church.php?churchid='.$churchid.'">'.stripslashes($churchname).'</a>.');     
    }
		else
      error_msg('Kostol '.stripslashes($churchname).' nebol pridaný do databázy.');
	} 
	else 
		error_msg('Nevyplnili ste formulár. Prosím skúste znova.');

display_church_form();
}
else 
	error_msg('Nemáte právo na zobrazenie tejto webovej lokality.');

do_html_footer();
?>