<?php
// vlozime subory funkcii pre tuto kategoriu
require_once('./fns.php');
require_once('./displays/display_defaultday.php');
require_once('./displays/display_defaulttime_form.php');
session_start();

do_html_header('Pridanie preddefionavnho času');

if(isset($_POST['servicetypeid']) && (check_usertype('admin') || check_organisttype("HO")))
{
    $servicetypeid = $_POST['servicetypeid'];

	if (filled_out($_POST))
	{
	  $churchid = $_SESSION['session_churchid'];
	  $defaulttimeid = $_POST['defaulttimeid'];		
		$timefrom = $_POST['fromH'].":".$_POST['fromM'];
		$timeto = $_POST['toH'].":".$_POST['toM'];
    
    if(defaulttime_data_control($churchid, $defaulttimeid, $servicetypeid, $timefrom, $timeto))
	{
        if(($defaulttimeid = insert_defaulttime($churchid, $servicetypeid, $timefrom, $timeto))!= 0)
        {
			 ok_msg('Nový preddefinovaný čas bol úspešne pridaný do databázy.');
                   
             $defaulttimes = get_church_defaulttimes_bytype($churchid,$servicetypeid);
             display_defaultday($defaulttimes,$servicetypeid);

             log_activity('Pridanie preddefinovaného času pre kostol <a href="show_church.php?churchid='.$churchid.'">'.get_church_name($churchid).'</a>.');
        }
		  else
          {
			 error_msg("Preddefinovaný čas nebol pridaný do databázy.");
             $defaulttimes = get_church_defaulttimes_bytype($churchid,$servicetypeid);
             display_defaultday($defaulttimes,$servicetypeid);
          }
	}
    else
    {
            error_msg("Vami zadaný termín je nesprávny, prekrýva sa inými termínami, alebo už je v databáze.");
            $servicetype = get_servicetype_details($servicetypeid);
            display_defaulttime_form($servicetype);
    }
  } 
	else
    {
		error_msg('Nevyplnili ste formulár. Prosím skúste znova.');
        $servicetype = get_servicetype_details($servicetypeid);
        display_defaulttime_form($servicetype);

    }
}
else
    error_msg('Nemáte právo na zobrazenie tejto webovej lokality.');

do_html_footer();
?>