<?php
// vlozime subory funkcii pre tuto kategoriu
require_once('./fns.php'); 
session_start();

if(isset($_GET['subject'])) $subject = $_GET['subject'];
else $subject = "RO";

if(isset($_POST['reqfirstname']) and isset($_POST['reqlastname']) and isset($_POST['reqemail'])){
  if(filled_out($_POST))
  {
  	$subject = $_POST['subject'];
  	$churchid = $_POST['churchid'];
  	$reqfirstname = $_POST['reqfirstname'];
  	$reqlastname = $_POST['reqlastname'];
  	$reqemail = $_POST['reqemail'];
  	$reqtel = $_POST['reqtel'];
  	$text = $_POST['text'];
  	
  	if (!isset($churchid)) $churchid=0;
  	if(($requestid = insert_request($subject, $churchid, $reqfirstname, $reqlastname, $reqemail, $reqtel,$text)) != 0)
    {
  		ok_msg('Vaša žiadosť bola odoslaná.');        
    }
  	else 
  	{ 		
  		error_msg('Vaša žiadosť nebola odoslaná.');
  	}
  }
  else 
  {
  	error_msg('Nevyplnili ste formulár. Prosím skúste znova.');
  }
}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <title>SPRO 1.0 - Elektronický správca rozvrhov pre organistov</title>    
  <link rel="shortcut icon" type="image/ico" href="images/favicon.ico" />
  <link href="css/reset.css" rel="stylesheet" type="text/css" media="all" />
  <link href="css/front_styles.css" rel="stylesheet" type="text/css" media="all" />
  <link rel="stylesheet" type="text/css" media="all" href="css/niceforms-default.css" />
  <!--[if lte IE 6]>
  <link href="css/front_styles_ie.css" rel="stylesheet" type="text/css" media="screen" />
  <![endif]-->
  <script type="text/javascript" src="js/jquery-1.3.2.min.js"></script> 
  <script type="text/javascript" src="js/global.js"></script>    
  <script type="text/javascript" src="js/easySlider1.5.js"></script>
  <script type="text/javascript" src="js/ui.js"></script>
  <script language="javascript" type="text/javascript" src="js/niceforms.js"></script>

<script language=JavaScript>
function reload(val)
{
  self.location='insert_request_form.php?subject='+val; //posleme val do get-u  
}
</script>

<script src="js/ajax_req.js" type="text/javascript"></script>
</head>
<body>
<div id="wrapper">
	<div id="header">
    	<h1 id="logo"><a href="index.php">Logo</a></h1>
        <ul id="navigation">
            <li><a href="index.php">Úvod</a></li>
            <li><a href="about.php">O projekte</a></li>
            <li><a href="#">Kostoly</a></li>
            <li><a href="#">Bohoslužby</a></li>
            <li><a href="users.php">Používatelia</a></li>
            <li class="current"><a href="insert_request_form.php">Žiadosť</a></li>
        </ul>
        <div id="login">
        <?php
          if(check_user()){
          //niekto je prihlaseny
            echo '<p style="color: #fff; font-size: 12px; padding-top: 5px;">Ste prihlásený ako '.$_SESSION['session_login'].' ('.$_SESSION['session_usertype'].'). <a href="dashboard.php" class="login" title="Hlavný panel">Kliknite sem!</a></p>';
          }
          //zobraz login
          //else display_login_form();
        ?>
        </div><!--login-->
    </div>
    <div id="content">   
      <div id="promo-container">
		    <h1 class="center">Žiadosť</h1>	
      </div>
                        
        <div class="left-column left">
            <p class="marker small-spacer">Žiadosť na pridelenie konta</p>                        
<form class="niceform" action="insert_request_form.php" method="post" name="requestform">
  <fieldset>
    <dl>
      <dt><label>Predmet:</label></dt>
			<dd>
        <select name="subject" id="subject">
					<option value="RO" onclick="reload('RO');" <?php if($subject == "RO") echo "selected";?>>Žiadosť o registráciu organistu</option>
					<option value="RHO" onclick="reload('RHO');" <?php if($subject == "RHO") echo "selected";?>>Žiadosť o registráciu hlavného organistu</option>
					<!--option value="RA" onclick="reload('RA');" <?php if($subject == "RA") echo "selected";?>>Žiadosť o registráciu administrátora</option-->
          <option value="PK" onclick="reload('PK');" <?php if($subject == "PK") echo "selected";?>>Žiadosť o pridanie kostola do databázy</option>
				</select>
      </dd>
		</dl>
		<?php if($subject=="RO" or $subject=="RHO" or $subject=="PK") { ?>
    <dl>
        	<dt><label>Kraj:</label></dt>
          <dd>
            <select name="region" onchange="htmlData('dynamic_state.php', 'regionid='+this.value, 'txtResult1'); document.getElementById('txtResult2').innerHTML='<select name=settlement><option>Vyberte okres</option></select>'"; />
                <option>Vyberte</option>
                <?php
                  $region_array = get_regions(); 
                  foreach ($region_array as $row)
                  { 
                  ?>
                    <option value="<?php echo $row['regionid'];?>"><?php echo $row['regionname']; ?></option>
                  <?php  
                  }
                ?>
            </select>
          </dd>
      </dl>
      <dl>
        	<dt><label>Okres:</label></dt>
          <dd>
            <div id="txtResult1">
            <select name="county">
              <option>Vyberte kraj</option>
            </select>
            </div>
          </dd>
      </dl>
      <dl>
        	<dt><label>Mesto/Obec:</label></dt>
          <dd>
            <div id="txtResult2">
            <select name="settlement">
              <option>Vyberte okres</option>
            </select>
            </div>
          </dd>
      </dl>
		<dl>
			<dt><label>Kostol:</label></dt>
				<?php  
          if($subject == "RO" or $subject == "RHO"){
        ?>
        <dd>
          <div id="txtResult3">
          <select name="churchid">
  					<option value="">Kostol ku ktorému Vás máme priradiť...</option>
  				</select>	
          </div>  
			  </dd>
        <?php }
          else if ($subject == "PK"){ ?>
            <dd><input type="text" name="churchname" size="32" maxlength="32" /></dd>
        <?php } ?>   
		</dl>
		<?php } ?>
		<dl>
			<dt><label>Meno:</label></dt>
			<dd><input type="text" name="reqfirstname" size="32" maxlength="32" /></dd>
		</dl>
		<dl>
			<dt><label>Priezvisko:</label></dt>
			<dd><input type="text" name="reqlastname" size="32" maxlength="32" /></dd>
		</dl>
		<dl>
			<dt><label>Email:</label></dt>
			<dd><input type="text" name="reqemail" size="32" maxlength="32" /></dd>
		</dl>
		<dl>
			<dt><label>Telefón:</label></dt>
			<dd><input type="text" name="reqtel" size="32" maxlength="32" /></dd>
		</dl>
		<dl>
			<dt><label>Správa:</label></dt>
			<dd><textarea rows="6" cols="50" name="text"></textarea></dd>
		</dl>
		<dl>
		  <dt></dt>
			<dd><a href="javascript:self.document.forms.requestform.submit()" class="button"><span>Odoslať žiadosť</span></a></dd>
		</dl>
	</fieldset>
</form> 

<div id="errorcontainer" style="display:none;">
        <?php display_errors(); ?>
</div>
      <script type="text/javascript">          
      errors = document.getElementById("errorcontainer").innerHTML;
      document.getElementById("error_messages").innerHTML = errors;
      </script>
       
</div>
		

        <div class="right-column right">
        <p class="marker small-spacer">Kontaktné údaje</p> 
        	<p><strong>Telefón:</strong> 0011</p>
        	<p><strong>Fax:</strong> 0012</p>
            <p><strong>E-mail:</strong> <a href="#">email@email.sk</a></p>
            <p><strong>Adresa:</strong> Ilkovičova 3, 842 16 Bratislava</p>

        </div>
      	
        <div class="clear"></div>


</div>
		<div id="bottom-promo">
        	<div class="panel first">
         		<img src="images/cd.png" width="48" height="48" alt="" class="left" />
           		<h3>Bez inštalácie</h3>
                <p>eSPRO 1.0 je klient server aplikácia. Po vyplnení
                <a href="#">žiadosti</a>
                sa hneď môžete pustiť do tvorby rozvrhov bohoslužieb vo Vašom prehliadači.
                </p>
            </div>

        	<div class="panel">
         		<img src="images/computer_network.png" width="48" height="48" alt="" class="left" />
           		<h3>Prístupnosť</h3>
                <p>Náš informačný systém je prístupný odkiaľkoľvek a kedykoľvek neobmedzene.</p>
            </div>

        	<div class="panel">
         		<img src="images/users_accept.png" width="48" height="48" alt="" class="left" />
           		<h3>Použiteľnosť</h3>
                <p>Počas vývoja sme kládli veľký dôraz na prehľadné a intuitívne ovládanie systému.</p>
            </div>

        	<div class="panel">
         		<img src="images/price.png" width="48" height="48" alt="" class="left" />
           		<h3>Cena?</h3>
                <p>Samozrejme <a href="#">zdarma!</a></p>
            </div>
        </div>
        <p class="small clear center">&copy; SquerHeads 2009 | <a href="#">Všeobecné prehlásenie</a> | <a href="#">Podmienky používania</a></p>
    </div>
</div>
</body>
</html>