<?php
// vlozime subory funkcii pre tuto kategoriu
require_once('./fns.php'); 
session_start();

do_html_header('Pridanie typu bohoslužby');

if (check_usertype('admin') || check_organisttype("HO"))
{ 
	if (filled_out($_POST)) 
	{
		$servicename = $_POST['servicename'];
		$servicedesc = $_POST['servicedesc'];
		
		if(($servicetypeid = insert_servicetype($servicename, $servicedesc)) != 0)
        {
			ok_msg('Typ bohoslužby '.$servicename.' bol úspešne pridaný do databázy.');
            log_activity('Pridanie nového typu bohoslužby: <a href="show_servicetype.php?servicetypeid='.$servicetypeid.'">'.$servicename.'</a>.');
        }
		else
			error_msg("Typ bohoslužby '$servicename' nebol pridaný do databázy.");
	} 
	else 
		error_msg('Nevyplnili ste formulár. Prosím skúste znova.');
		
}
else 
	error_msg('Nemáte právo na zobrazenie tejto webovej lokality.');

do_html_footer();
?>