<?php
// vlozime subory funkcii pre tuto kategoriu
require_once('./fns.php'); 
require_once('./displays/display_user_form.php');
session_start();

do_html_header('Pridanie používateľa');
if(check_usertype('admin') || check_organisttype("HO"))
{
    if (filled_out($_POST))
    {
        $firstname = $_POST['firstname'];
        $lastname = $_POST['lastname'];
        $login = $_POST['login'];
        $password = md5($_POST['password']);
        $status = $_POST['status'];
        $email = $_POST['email'];
        $telephone = $_POST['telephone'];
        if(!isset($_POST['usertype'])) $usertype = 'organista';
      else $usertype = $_POST['usertype'];

      if(!check_loginexist($login))
      {
        if(($userid = insert_user($login, $password, $email, $telephone, $status, $firstname, $lastname, $usertype)) != 0)
        {
              ok_msg('Registrácia používatela '.stripslashes($firstname).' '.stripslashes($lastname).' prebehla úspešne.');
              log_activity('Registracia nového používatela: <a href="show_user.php?userid='.$userid.'">'.$firstname.' '.$lastname.'</a>.');
              send_mail_to_user($userid, "Registrácia používateľa", "Boli ste registrovaný(á).");
              display_user_form();
        }
          else
          {
              error_msg("Registrácia používatela '".stripslashes($firstname)." ".stripslashes($lastname)."' neprebehla úspešne.");
          display_user_form();
        }
      }
      else
      {
        error_msg("Login ktorý ste zvolili už v databáze existuje. Prosím zvolte si iný login.");
        display_user_form();
      }
    }
    else
    {
        error_msg('Nevyplnili ste formulár. Prosím skúste znova.');
        display_user_form();
    }
}
else
    error_msg('Nemáte právo na zobrazenie tejto webovej lokality.');

do_html_footer();

?>