<?php
// vlozime subory funkcii pre tuto kategoriu
require_once('./fns.php');
require_once('./displays/display_schedules.php');
require_once('./displays/display_edit_schedule_form.php');
session_start();

do_html_header('Rozvrhy','schedules','Zoznam všetkých rozvrhov pre bohoslužby v danom kostole.');

if (check_user())
{ 
  if(check_usertype("organista") and check_organisttype("HO"))
  {
    if(isset($_POST['churchid'])
       and isset($_POST['fromY'])
       and isset($_POST['fromM'])
       and isset($_POST['fromD'])
       and isset($_POST['toY'])
       and isset($_POST['toM'])
       and isset($_POST['toD']))
    {
      $churchid = $_POST['churchid'];
    	$fromY = $_POST['fromY'];
    	$fromM = $_POST['fromM'];
    	$fromD = $_POST['fromD'];
    	
    	$toY = $_POST['toY'];
    	$toM = $_POST['toM'];
    	$toD = $_POST['toD'];
    	
    	$time1 = get_defaulttimes($churchid, 1);
    	$time2 = get_defaulttimes($churchid, 2);
    	$time3 = get_defaulttimes($churchid, 3);
    	$time4 = get_defaulttimes($churchid, 4);
    	$time5 = get_defaulttimes($churchid, 5);
    	$time6 = get_defaulttimes($churchid, 6);
    	$time7 = get_defaulttimes($churchid, 7);
    	$time8 = get_defaulttimes($churchid, 8); // sviatok v pracovny den
    	$time9 = get_defaulttimes($churchid, 9); // sviatok cez vikend (den pracovneho pokoja)	
    	
    	$datefrom = $fromY. "-" . $fromM. "-" .$fromD;
    	$dateto = $toY. "-" . $toM. "-" .$toD;
    	
    	$act_year = date('Y');
      $act_month = date('m');
      $act_day = date('d');
    
      if ($act_month < 10) $act_month = substr($act_month,1);
      if ($act_day < 10) $act_day = substr($act_day,1);
      $actual_date = $act_year. "-" . $act_month. "-" .$act_day;
      if (!$time1 && !$time2 && !$time3 && !$time4 && !$time5 && !$time6 && !$time7 && !$time8 && !$time9) {
      	error_msg("Nie sú žiadne preddefinované časy!");
        //display_edit_schedule_form();
      }
    	else if ($actual_date > $datefrom) {	
      	error_msg("Zvolený dátum je starší ako aktuálny!");
        //display_edit_schedule_form();
      }
    	else if ($datefrom>$dateto) {    	   
    	  error_msg("Nesprávne zvolený interval!");
        //display_edit_schedule_form();    
      }
      else if (!check_schedule_exists($churchid, $datefrom, $dateto)) {    
        error_msg("Zvolený termín pokrýva už existujúci termín!");
        //display_edit_schedule_form();
      }
      else {			
    	 $scheduleid = insert_schedule($churchid, $datefrom, $dateto);	
    	 while($fromY <= $toY) {
    	 if ($fromY != $toY) $toM = 12;
    	 else $toM = $_POST['toM'];
    	 if ($fromY != $_POST['fromY']) $fromM = 1;
    	 else $fromM = $_POST['fromM'];	
    	 
    	 while ($fromM <= $toM)
       {			
    	 		if ($fromM == $_POST['fromM'] && $fromY == $_POST['fromY']) {
    	   			$fromD = $_POST['fromD'];
    			}
    			else $fromD = 1;
    			if ($fromM == $_POST['toM'] && $fromY == $_POST['toY']) {
    				$toDay = $_POST['toD'];
    			}			
    			else $toDay = date("t", mktime(0, 0, 0, $fromM, $fromD, $fromY));
    			$offset = date("w", mktime(0, 0, 0, $fromM, $fromD, $fromY));
    		
    			for($day = $fromD; $day <=$toDay;  $day++) 	{
    				$servicedate = $fromY. "-" . $fromM. "-" .$day;	
    				//echo $day . "." . $fromM . " ";
    				$feast = get_feast($fromM, $day);
    				if ($feast && ($offset == 0 || $offset==6)) {	//sviatok cez vikend(den pracovneho pokoja)
    					insert_services($time9, $scheduleid, $servicedate, 9);
    					//echo 'Sviatok  v deň pracovného pokoja<br />';
    					continue;
    				}
    				else if ($feast) {	// sviatok v den pracovneho pokoja
    					insert_services($time8, $scheduleid, $servicedate, 8);
    					//echo 'Sviatok  v pracovný deň<br />';
    					continue;
    				}
    				
    				switch ($offset++) {
    				case 0:
    					//echo "Nedeľa  ";
    					insert_services($time7, $scheduleid, $servicedate, 7);					
    					break;
    				case 1:
    					//echo "Pondelok ";
    					insert_services($time1, $scheduleid, $servicedate, 1);					
    					break;
    				case 2:
    					//echo "Utorok ";
    					insert_services($time2, $scheduleid, $servicedate, 2);											
    					break;
    				case 3:
    					//echo "Streda ";
    					insert_services($time3, $scheduleid, $servicedate, 3);
    					break;
    				case 4:
    					//echo "Štvrtok ";
    					insert_services($time4, $scheduleid, $servicedate, 4);
    					break;
    				case 5:
    					//echo "Piatok ";
    					insert_services($time5, $scheduleid, $servicedate, 5);
    					break;
    				case 6:
    					//echo "Sobota";
    					insert_services($time6, $scheduleid, $servicedate, 6);
    					break;    
    				}    
    				if($offset == 7) $offset = 0;
    				
    				//if ($feast) echo  $feast[0]['name'] . "<br />";
    				//else echo "<br />";
    			}
    			$fromM = $fromM + 1;
    		}
    		$fromY = $fromY + 1;		
    	}
    	ok_msg('Nový rozvrh bol úspešne pridaný do databázy.');
      //$schedules_array = get_schedules($_SESSION['session_churchid']);
      //display_schedules($schedules_array);
    	log_activity('Pridanie nového rozvrhu pre kostol <a href="show_church.php?churchid='.$churchid.'">'.get_church_name($churchid).'</a>.');
      }
    }
  }//check_usertype(HO)
  
  
  
  
  
  
  //nastavime si prvu stranu
  if(!$_GET["Page"])
    $_GET["Page"] = 1;
    
  //nastavime predvolene sortovanie
  if(!$_GET["OrderBy"])
    $_GET["OrderBy"] = "datefrom";
  
  if(!$_GET["OrderType"])
    $_GET["OrderType"] = "DESC";
  
  //nastavime filter
  if(!$_GET["Filter"])
    $_GET["Filter"] = "off";

  //zacina od zaznamu..  
  $start_page = ($_GET["Page"] - 1) * $_SERVER['PAGINATOR_ROWCOUNT_TABLE'];
  
	// ziskame pocet sprav z databazy
  $schedules_count = get_schedules_count($_SESSION['session_churchid'],$_GET["Filter"],$_GET["SearchWhere"],$_GET["SearchText"]);
  // ziskame spravy z databazy
  $schedules_array = get_schedules($_SESSION['session_churchid'],$start_page,$_GET["OrderBy"],$_GET["OrderType"],$_GET["Filter"],$_GET["SearchWhere"],$_GET["SearchText"]);
	// zobrazime ich
  if(check_usertype("organista") and check_organisttype("HO") or check_organisttype("O"))display_schedules($schedules_array,$schedules_count,$_GET["Page"],$_GET["OrderBy"],$_GET["OrderType"],$_GET["Filter"],$_GET["SearchWhere"],$_GET["SearchText"]);
  if(check_usertype("organista") and check_organisttype("HO")) display_edit_schedule_form();
}//checkuser
else
  error_msg('Nemáte právo na zobrazenie tejto webovej lokality.');

do_html_footer();
?>