<?php
// vlozime subory funkcii pre tuto kategoriu
require_once('./fns.php'); 
session_start();
do_html_header('Žiadosť','request','Detail žiadosti.');

$requestid = $_GET['requestid'];
if (check_usertype("admin") or check_user_request($_SESSION['session_userid'], $requestid)) {

  $request = get_request_details($requestid);  
  $church = get_church_details($request['churchid']);

  if (is_array($request))
  {
  ?>
    <h2>Žiadosť č. <?php echo $requestid; ?></h2>
    <form class="niceform" name="requestform">
      <fieldset>
        <dl>
          <dt><label>Predmet:</label></dt>
    			<dd><input type="text" name="subject" value="<?php echo $request['subject']; ?>" size="32" maxlength="32" readonly /></dd>
    		</dl>
    		<dl>
    			<dt><label>Kraj:</label></dt>
    			<dd><input type="text" name="regionname" value="<?php echo $church['regionname']; ?>" size="32" maxlength="32" readonly /></dd>   
    		</dl>
    		<dl>
    			<dt><label>Okres:</label></dt>
    			<dd><input type="text" name="countyname" value="<?php echo $church['countyname']; ?>" size="32" maxlength="32" readonly /></dd>   
    		</dl>
    		<dl>
    			<dt><label>Mesto/Obec:</label></dt>
    			<dd><input type="text" name="settlementname" value="<?php echo $church['settlementname']; ?>" size="32" maxlength="32" readonly /></dd>   
    		</dl>
    		<dl>
    			<dt><label>Kostol:</label></dt>
    			<dd><input type="text" name="churchname" value="<?php echo $church['churchname']; ?>" size="32" maxlength="32" readonly /></dd>   
    		</dl>
    		<dl>
    			<dt><label>Meno:</label></dt>
    			<dd><input type="text" name="reqfirstname" value="<?php echo $request['reqfirstname']; ?>" size="16" maxlength="16" readonly /></dd>
    		</dl>
    		<dl>
    			<dt><label>Priezvisko:</label></dt>
    			<dd><input type="text" name="reqlastname" value="<?php echo $request['reqlastname']; ?>" size="16" maxlength="16" readonly /></dd>
    		</dl>
    		<dl>
    			<dt><label>Email:</label></dt>
    			<dd><input type="text" name="reqemail" value="<?php echo $request['reqemail']; ?>" size="16" maxlength="16" readonly /></dd>
    		</dl>
    		<dl>
    			<dt><label>Telefón:</label></dt>
    			<dd><input type="text" name="reqtel" value="<?php echo $request['reqtel']; ?>" size="16" maxlength="16" readonly /></dd>
    		</dl>
    		<dl>
    			<dt><label>Správa:</label></dt>
    			<dd><textarea rows="6" cols="50" name="text" readonly><?php echo $request['text']; ?></textarea></dd>
    		</dl>
    		<dl>
    		  <dt><label>Dátum prijatia:</label></dt>
    			<dd><input type="text" name="datecreated" value="<?php echo $request['datecreated']; ?>" size="16" maxlength="16" readonly /></dd>
    		</dl>
    		<?php
    		if($request['reqstate'] == 1){
        echo '
        <dl>
    		  <dt><label>Vybavené:</label></dt>
    			<dd><input type="text" name="datecreated" value="'.$request['datesatisfied'].'" size="16" maxlength="16" readonly /></dd>
    		</dl>
        <dl>
    		  <dt><label>Vybavil:</label></dt>
    			<dd><input type="text" value="'.get_username($request['satisfy_userid']).'" size="16" maxlength="16" readonly /></dd>
    		</dl>';
    		} ?>
    		<?php
        if ($request['reqstate'] == 0){
        echo '
        <dl>
    		  <dt></dt>
    		  <dd><a href=update_request.php?requestid='.$request['requestid'].'&reqstate=1 class="button"><span>Označiť žiadosť ako vybavenú</span></a><a href=update_request.php?requestid='.$request['requestid'].'&reqstate=-1 class="button"><span>Zamietnúť žiadosť</span></a></dd>
    		</dl>';
        } ?>
    	</fieldset>
    </form> 
<?php
  }
}
else
   error_msg('Nie je možné zobraziť detaily o tejto žiadosti.');

do_html_footer();
?>