<?php
// vlozime subory funkcii pre tuto kategoriu
require_once('./fns.php');
require_once('./displays/display_requests.php');
session_start();

if($_GET["reqstate"] == "0")
  do_html_header('Žiadosti','requests_new','Zoznam všetkých nevybavených žiadostí.');
elseif($_GET["reqstate"] == "1")
  do_html_header('Žiadosti','requests_acc','Zoznam všetkých vybavených žiadostí.');
elseif($_GET["reqstate"] == "-1")
  do_html_header('Žiadosti','requests_rej','Zoznam všetkých zamietnutých žiadostí.');
else
  do_html_header('Žiadosti','requests','Zoznam všetkých prijatých žiadostí.');

if (check_usertype("organista") and check_organisttype("HO") or check_usertype("admin"))
{
  //nastavime si prvu stranu
  if(!$_GET["Page"])
    $_GET["Page"] = 1;
  
  //nastavime predvolene sortovanie
  if(!$_GET["OrderBy"])
    $_GET["OrderBy"] = "requestid";
  
  if(!$_GET["OrderType"])
    $_GET["OrderType"] = "DESC";
    
    
  if(!$_GET["reqstate"] && $_GET['reqstate'] == "")
    $state = "all";
  else
    $state = $_GET['reqstate'];
  
  //zacina od zaznamu..  
  $start_page = ($_GET["Page"] - 1) * $_SERVER['PAGINATOR_ROWCOUNT_TABLE'];
  
  // ziskame pocet poziadavok z databazy
  $requests_count = get_requests_count($_SESSION['session_userid'], $_SESSION['session_usertype'], $state);  

  // ziskame poziadavky z databazy
  $requests_array = get_requests($_SESSION['session_userid'], $_SESSION['session_usertype'], $state, $start_page, $_GET["OrderBy"], $_GET["OrderType"]);

  display_requests($requests_array, $requests_count, $state, $_GET["Page"], $_GET["OrderBy"], $_GET["OrderType"]);
 
}
else error_msg('Nemáte právo na zobrazenie tejto webovej lokality.');

do_html_footer();
?>