<?php
// vlozime subory funkcii pre tuto kategoriu
require_once('./fns.php'); 
session_start();

function display_user_details($user)
{ 
	if (is_array($user))
	{  
  ?>
	  <h2><?php echo $user['firstname'].' '.$user['lastname']; ?></h2>
	  <ul class="tabs">
      <?php
      if(get_userchurches_count($user['userid'])!=0)
      {
      ?>
      <li><a href="show_userchurches.php?userid=<?php echo $user['userid']; ?>" title="Kostoly používateľa <?php echo $user['firstname'].' '.$user['lastname']; ?>"><span>Kostoly používateľa</span></a></li>
      <?php
      }
      ?>
      <li class="active"><a href="#" title="Detaily používateľa <?php echo $user['firstname'].' '.$user['lastname']; ?>"><span>Detaily používateľa</span></a></li>
    </ul> 
    <form class="niceform" name="userform">
       <fieldset>
        <dl>
        	<dt><label for="firstname">Meno:</label></dt>
          <dd><input type="text" name="firstname" value="<?php echo $user['firstname']; ?>" size="32" maxlength="32" readonly /></dd>
        </dl>
        <dl>
        	<dt><label for="lastname">Priezvisko:</label></dt>
          <dd><input type="text" name="lastname" value="<?php echo $user['lastname']; ?>" size="32" maxlength="32" readonly /></dd>
        </dl>
        <?php
        if (check_usertype("admin") or check_userid($user['userid'])){
        echo '
        <dl>
        	<dt><label for="login">Login:</label></dt>
          <dd><input type="text" name="login" value="'.$user['login'].'" size="16" maxlength="16" readonly /></dd>
        </dl>';
        } ?>
        <dl>
        	<dt><label for="usertype">Typ používateľa:</label></dt>
        	<dd><input type="text" name="usertype" value="<?php echo $user['usertype']; ?>" size="16" maxlength="16" readonly /></dd>
        </dl>
        <dl>
        	<dt><label for="email">Email:</label></dt>
          <dd><input type="text" name="email" value="<?php echo $user['email']; ?>" size="32" maxlength="32" readonly /></dd>
        </dl>
		    <dl>
        	<dt><label for="telephone">Telefón:</label></dt>
          <dd><input type="text" name="telephone" value="<?php echo $user['telephone']; ?>" size="16" maxlength="16" readonly /></dd>
        </dl>
        <dl>
        	<dt><label for="disabled">Blokovaný:</label></dt>
          <dd><input type="text" name="disabled" value="<?php if($user['disabled'] == "0") echo 'Nie'; else echo 'Áno';?>" size="5" maxlength="5" readonly /></dd>
        </dl>
        <dl>
          <dt></dt>
          <dd>
            <?php if (check_usertype("admin") or check_userid($user['userid'])){ echo '<a href="edit_user_form.php?userid='.$user['userid'].'" class="button"><span>Upraviť detaily</span></a>'; } ?>
            <?php if (!check_userid($user['userid'])){ echo '<a href="insert_message_form.php?usertoid='.$user['userid'].'" class="button"><span>Napísať správu</span></a>'; } ?>
          </dd>
        </dl>
      </fieldset>
    </form>
<?php     
	}
	else
		error_msg('Nie je možné zobraziť detaily o tomto používateľovi.');
}

if(check_userid($_GET['userid'])) 
  do_html_header('Môj profil','user','Nastavenia vašich osobných informácií.');
else 
  do_html_header('Detaily používateľa','user','Nastavenia osobných informácií používateľa.');

if (check_user())
{
	$userid = $_GET['userid'];
	$user = get_user_details($userid);
	display_user_details($user);
}
else
	error_msg('Nemáte právo na zobrazenie tejto webovej lokality.');
	
do_html_footer();
?>