<?php
// vlozime subory funkcii pre tuto kategoriu
require_once('./fns.php');
require_once('./displays/display_requests.php');
session_start();
do_html_header('Vybavovanie žiadosti');

if(check_usertype('admin') || check_organisttype("HO"))
{
    if (update_request($_GET['requestid'],$_GET['reqstate'], $_SESSION['session_userid']))
    {
        $request = get_request_details($_GET['requestid']);
        if ($_GET['reqstate'] == 1)
        {
            ok_msg('Zvolená žiadosť bola presunutá medzi vybavené žiadosti.');
            send_mail($request['reqemail'], "Vybavenie žiadosti", "Vaša žiadosť <i>".$request['subject']."</i> bola akceptovaná.");
            log_activity('Vybavenie žiadosti: <a href="show_request.php?requestid='.$request['requestid'].'">'.$request['subject'].'</a>. Žiadosť podal: '.$request['reqfirstname'].' '.$request['reqlastname'].'.');
            $state = "1";
            $requests_array = get_requests($_SESSION['session_userid'], $_SESSION['session_usertype'], $state, 0, "requestid" , "DESC");
            $requests_count = get_requests_count($_SESSION['session_userid'], $_SESSION['session_usertype'], $state);
            display_requests($requests_array, $requests_count,$state, 1, "requestid", "DESC");
        }
        else
        {
            ok_msg('Zvolená žiadosť bola presunutá medzi zamietnuté žiadosti.');
            send_mail($request['reqemail'], "Zamietnutie žiadosti", "Vaša žiadosť <i>".$request['subject']."</i> bola zamietnutá.");
            log_activity('Zamietnutie žiadosti: <a href="show_request.php?requestid='.$request['requestid'].'">'.$request['subject'].'</a>. Žiadosť podal: '.$request['reqfirstname'].' '.$request['reqlastname'].'.');
            $state = "-1";
            $requests_array = get_requests($_SESSION['session_userid'], $_SESSION['session_usertype'], $state, 0, "requestid" , "DESC");
            $requests_count = get_requests_count($_SESSION['session_userid'], $_SESSION['session_usertype'], $state);
            display_requests($requests_array, $requests_count,$state, 1, "requestid", "DESC");
        }
    }
    else {
        error_msg('Nie je možné žiadosť vybaviť/zamietnúť.');
        $state = "all";
        $requests_array = get_requests($_SESSION['session_userid'], $_SESSION['session_usertype'], $state, 0, "requestid" , "DESC");
        $requests_count = get_requests_count($_SESSION['session_userid'], $_SESSION['session_usertype'], $state);
        display_requests($requests_array, $requests_count,$state, 1, "requestid", "DESC");
    }
}
else
    error_msg('Nemáte právo na zobrazenie tejto webovej lokality.');
do_html_footer();
?>