<?php
// vlozime subory funkcii pre tuto kategoriu
require_once('./fns.php'); 
session_start();
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <title>SPRO 1.0 - Elektronický správca rozvrhov pre organistov</title>    
  <link rel="shortcut icon" type="image/ico" href="images/favicon.ico" />
  <link href="css/reset.css" rel="stylesheet" type="text/css" media="all" />
  <link href="css/front_styles.css" rel="stylesheet" type="text/css" media="all" />
  <link rel="stylesheet" type="text/css" media="all" href="css/niceforms-default.css" />
  <!--[if lte IE 6]>
  <link href="css/front_styles_ie.css" rel="stylesheet" type="text/css" media="screen" />
  <![endif]-->
  <script type="text/javascript" src="js/jquery-1.3.2.min.js"></script> 
  <script type="text/javascript" src="js/global.js"></script>    
  <script type="text/javascript" src="js/easySlider1.5.js"></script>
  <script type="text/javascript" src="js/ui.js"></script>
  <script language="javascript" type="text/javascript" src="js/niceforms.js"></script>

</head>
<body>
<div id="wrapper">
	<div id="header">
    	<h1 id="logo"><a href="index.php">Logo</a></h1>
        <ul id="navigation">
            <li><a href="index.php">Úvod</a></li>
            <li class="current"><a href="about.php">O projekte</a></li>
            <li><a href="#">Kostoly</a></li>
            <li><a href="#">Bohoslužby</a></li>
            <li><a href="users.php">Používatelia</a></li>
            <li class="highlighted"><a href="insert_request_form.php">Žiadosť</a></li>
        </ul>
        <div id="login">
        <?php
          if(check_user()){
          //niekto je prihlaseny
            echo '<p style="color: #fff; font-size: 12px; padding-top: 5px;">Ste prihlásený ako '.$_SESSION['session_login'].' ('.$_SESSION['session_usertype'].'). <a href="dashboard.php" class="login" title="Hlavný panel">Kliknite sem!</a></p>';
          }
          //zobraz login
          else display_login_form();
        ?>
        </div><!--login-->
    </div>
        
		<div id="content">
   
       <div id="promo-container">
			<h1 class="center">O projekte</h1>	
        </div> 		
     



		<div id="bottom-promo">
        	<div class="panel first">
         		<img src="images/cd.png" width="48" height="48" alt="" class="left" />
           		<h3>Bez inštalácie</h3>
                <p>eSPRO 1.0 je klient server aplikácia. Po vyplnení
                <a href="#">žiadosti</a>
                sa hneď môžete pustiť do tvorby rozvrhov bohoslužieb vo Vašom prehliadači.
                </p>
            </div>

        	<div class="panel">
         		<img src="images/computer_network.png" width="48" height="48" alt="" class="left" />
           		<h3>Prístupnosť</h3>
                <p>Náš informačný systém je prístupný odkiaľkoľvek a kedykoľvek neobmedzene.</p>
            </div>

        	<div class="panel">
         		<img src="images/users_accept.png" width="48" height="48" alt="" class="left" />
           		<h3>Použiteľnosť</h3>
                <p>Počas vývoja sme kládli veľký dôraz na prehľadné a intuitívne ovládanie systému.</p>
            </div>

        	<div class="panel">
         		<img src="images/price.png" width="48" height="48" alt="" class="left" />
           		<h3>Cena?</h3>
                <p>Samozrejme <a href="#">zdarma!</a></p>
            </div>
        </div>
        <p class="small clear center">&copy; SquerHeads 2009 | <a href="#">Všeobecné prehlásenie</a> | <a href="#">Podmienky používania</a></p>
    </div>
</div>
</body>
</html>