<?php

session_start();
require_once('./fns.php');
require_once('./displays/display_calendar_form.php');


do_html_header();


if(isset($_POST['month']) && isset($_POST['year']) ) 
{
  $month = $_POST['month'];
  $year = $_POST['year'];
}
else if(isset($_GET['month']) && isset($_GET['year']))
{
  $month = $_GET['month'];
  $year = $_GET['year'];
}
else 
{
  $month = get_current_month();
  $year = get_current_year();
}

display_calendar_form($month,$year);

$date = mktime(0, 0, 0, $month, 1, $year);
$daysInMonth = date("t", $date);

// pozicia prveho dna
$offset = date("w", $date);
$rows = 1;
echo "<table class=maintable>";
echo "<tr><th>Pondelok</th><th>Utorok</th><th>Streda</th><th>Štvrtok</th><th>Piatok</th><th>Sobota</th><th>Nedeľa</th></tr>";
echo "<tr>";

if($offset==0) $offset = 6;
else $offset--;

for($i = 1; $i <= $offset; $i++)
{
		echo "<td></td>";
}

for($day = 1; $day <= $daysInMonth; $day++)
{
  if( ($day + $offset - 1) % 7 == 0 && $day != 1)
	{
    echo "</tr><tr>";
    $rows++;
	}
	echo "<td>" . $day . "</td>";
}
	
while( ($day + $offset) <= $rows * 7)
{
  echo "<td></td>";
  $day++;
}

echo "</tr>";
echo "</table>";

if($month==12)
{
  $monthB = $month-1;
  $monthA = 1;
  $yearB = $year;
  $yearA = $year+1;
}
else if($month==1)
{
  $monthB = 12;
  $monthA = $month+1;
  $yearB = $year-1;
  $yearA = $year;
}
else
{
  $monthB = $month-1;
  $monthA = $month+1;
  $yearB = $year;
  $yearA = $year;
}
echo '<a href="calendar.php?year='.$yearB.'&month='.$monthB.'"><</a>';
echo '<a href="calendar.php?year='.$yearA.'&month='.$monthA.'">></a>';

do_html_footer();

?>