<?php
// vlozime subory funkcii pre tuto kategoriu
require_once('./fns.php');
require_once('./displays/display_user_form.php');
require_once('./displays/display_password_form.php');
session_start();

do_html_header('Zmena hesla používateľa');

if (check_user() && check_usertype('admin'))
{
    
    $login = $_POST['login'];   // to potrebujeme definovat tu, aby bolo dostupne vo vetve else

	if (filled_out($_POST)) 
	{    
    $new_passwd = $_POST['new_passwd'];
    $new_passwd2 = $_POST['new_passwd2'];    
    
    if ($new_passwd != $new_passwd2)
    {
       error_msg('Heslá neboli rovnaké. Pôvodné heslo ostalo nezmenené.');
       display_password_form(get_userid($login), true);
    }
    else if (strlen($new_passwd)>16 || strlen($new_passwd)<6)
        {
            error_msg('Nové heslo musí mať 6 až 16 znakov! Skúste znova.');
            display_password_form(get_userid($login), true);
        }
    else
    {
        // aktualizuj heslo
        if (change_user_password($login, $new_passwd))
        {
           ok_msg('Heslo bolo zmenené.');
           display_user_form(get_user_details(get_userid($login)));
        }
        else
        {
           error_msg('Heslo nebolo zmenené.');
           display_password_form(get_userid($login), true);
        }
    }
  } 
	else
        {
            error_msg('Nevyplnili ste formulár. Prosím skúste znova.');
            display_password_form(get_userid($login), true);
        }
}
else 
	error_msg('Nemáte právo na zobrazenie tejto webovej lokality.');

do_html_footer();
?>