<?php
// vlozime subor funkcii pre tuto aplikaciu
require_once('./fns.php'); 
require_once('./displays/display_userchurches.php');
require_once('./displays/display_dashboard.php');
session_start();

//posleme na get churchid z tabulky churches ku ktoremu je priradeny pouzivatel
//podla jeho vyberu
if(isset($_GET['churchid'])) 
{
  $_SESSION['session_churchid'] = $_GET['churchid'];
  $organisttype = get_organisttype($_SESSION['session_userid'],$_SESSION['session_churchid']);
  $_SESSION['session_organisttype'] = $organisttype;
}

// prave sa niekto pokusil prihlasit
if ($_POST['login'] && $_POST['passwd'])
{
	$login = $_POST['login'];
	$passwd = $_POST['passwd'];

	//pojdeme do userval a overime
	if (login($login, $passwd))
	{
		// ak je pouzivatel v DB tak registruj jeho meno
		$_SESSION['session_login'] = $login;
		$_SESSION['session_userid'] = get_userid($login);
		$_SESSION['session_usertype'] = get_usertype($login);
	}  
	else
	{
		// neuspesne prihlasenie
		do_html_header('Chyba');
		error_msg('Systém Vás nemohol prihlásiť. Pre zobrazenie tejto stránky musíte byť prihlásený.');
		do_html_footer();
		exit;
	}      
}

$church_array = get_userchurches($_SESSION['session_userid']);
  
if(is_array($church_array) && sizeof($church_array)==1)
{
  $_SESSION['session_churchid'] = $church_array[0]['churchid']; 
  $_SESSION['session_organisttype'] = get_organisttype($_SESSION['session_userid'],$_SESSION['session_churchid']);
}

do_html_header('Hlavný panel','dashboard','Hlavný panel zobrazuje všetky najdôležitejšie funkcie a informácie.');

if(check_user())
{
  //nastavime si prvu stranu
  if(!$_GET["Page"])
    $_GET["Page"] = 1;
    
	
	if( check_usertype("organista") )
	{
		//ak je na viacerych miestach organista potom mu dame na vyber
		if(!is_array($church_array)) error_msg('Nie ste priradený ku žiadnemu kostolu.');
    else if(sizeof($church_array)>1 && !isset($_SESSION['session_churchid']) ) display_userchurches($church_array,$_SESSION['session_userid']);
	}
	display_dashboard();
  display_activities($_SESSION['session_userid'],$_GET["Page"]);
} 
else
	error_msg('Nemáte právo na zobrazenie tejto webovej lokality.');
do_html_footer();
?>