<?php
// vlozime subory funkcii pre tuto kategoriu
require_once('./fns.php');
require_once('./displays/display_requests.php');
session_start();

do_html_header('Odstránenie žiadosti');

if (!isset($_GET['requestid'])) error_msg('Žiadna žiadosť nebola zadaná. Prosím skúste znova.');
else {
	$requestid = $_GET['requestid'];
    $request = get_request_details($requestid);
	if (check_usertype("admin") or check_user_request($_SESSION['session_userid'], $requestid)) {		
		
		if(delete_request($requestid))
        {
			ok_msg('Žiadost '.$request['subject'].' bola odstránená.');
            log_activity('Odstránenie žiadosti: '.$request['subject'].'. Žiadosť podal: '.$request['reqfirstname'].' '.$request['reqlastname'].'.');
        }
		else
			error_msg('Žiadosť '.$request['subject'].' nebola odstránená. Žiadosť podal: '.$request['reqfirstname'].' '.$request['reqlastname'].'.');

    if(!$_GET["reqstate"] && $_GET['reqstate'] == "")
        $state = "all";
    else
    $state = $_GET['reqstate'];

    $requests_array = get_requests($_SESSION['session_userid'], $_SESSION['session_usertype'], $state, 0, "requestid" , "DESC");
    $requests_count = get_requests_count($_SESSION['session_userid'], $_SESSION['session_usertype'], $state);    
    display_requests($requests_array, $requests_count,$state, 1, "requestid", "DESC");
    }
	else error_msg('Nemáte právo na zobrazenie tejto webovej lokality.');

//	do_html_button('show_requests.php?reqstate=0', 'Zobraziť nevybavené žiadosti');
//	do_html_button('show_requests.php?reqstate=1', 'Zobraziť vybavené žiadosti');
//	do_html_button('show_requests.php?reqstate=-1', 'Zobraziť zamietnuté žiadosti');
	echo '<br /><br />';
}

do_html_footer();
?>