<?php
require_once('./fns.php');
require_once('./displays/display_schedules.php');
require_once('./displays/display_edit_schedule_form.php');
session_start();

do_html_header('Rozvrhy');

if (check_organisttype("HO")) {
	if (isset($_GET['scheduleid'])) {
		$scheduleid = $_GET['scheduleid'];
    
    if(delete_schedule($scheduleid, $_SESSION['session_churchid']) && delete_scheduleservices($scheduleid, $_SESSION['session_churchid'])) {
		  ok_msg('Rozvrh odstránený.');
      log_activity('Vymazanie rozvrhu pre kostol <a href="show_church.php?churchid='.$_SESSION['session_churchid'].'">'.get_church_name($_SESSION['session_churchid']).'</a>.');      
    }    
		else
		 error_msg('Rozvrh sa nepodarilo odstraniť!');
  }
} 
	else 
		error_msg('Žiadny rozvrh nebol zadaný. Prosím skúste znova.');

//nastavime si prvu stranu
  if(!$_GET["Page"])
    $_GET["Page"] = 1;
    
  //nastavime predvolene sortovanie
  if(!$_GET["OrderBy"])
    $_GET["OrderBy"] = "datefrom";
  
  if(!$_GET["OrderType"])
    $_GET["OrderType"] = "DESC";
  
  //nastavime filter
  if(!$_GET["Filter"])
    $_GET["Filter"] = "off";

$start_page = ($_GET["Page"] - 1) * $_SERVER['PAGINATOR_ROWCOUNT_TABLE'];
	
$schedules_count = get_schedules_count($_SESSION['session_churchid'],$_GET["Filter"],$_GET["SearchWhere"],$_GET["SearchText"]);

// ziskame rozvrhy z databazy
$schedules_array = get_schedules($_SESSION['session_churchid'],$start_page,$_GET["OrderBy"],$_GET["OrderType"],$_GET["Filter"],$_GET["SearchWhere"],$_GET["SearchText"]);
if(check_usertype("organista") and check_organisttype("HO") or check_organisttype("O"))display_schedules($schedules_array,$schedules_count,$_GET["Page"],$_GET["OrderBy"],$_GET["OrderType"],$_GET["Filter"],$_GET["SearchWhere"],$_GET["SearchText"]);
if(check_usertype("organista") and check_organisttype("HO")) display_edit_schedule_form();


else 
	error_msg('Nemáte právo na zobrazenie tejto webovej lokality.');

do_html_footer();
?>