<?php
function display_churchusers($user_array, $user_count, $churchid, $churchname, $start_page, $OrderBy, $OrderType, $FilterStatus="off", $SearchWhere="", $SearchText="", $TableHeader="on")
{
  echo '<h2>'.$churchname.'</h2>';
  if (!is_array($user_array))
  {
      echo '<div class="box" style="font-size: 11px; text-align: center; padding-top:15px;">Ku kostolu nie sú priradený organisti.<p id="pagin"></p></div>';
  }
  else
  { 
    //definovanie nazvov pre hlavicku tabulky
    $TableHeader_Name = array();
    //definovanie nazvu stlpca z db, pre sortovanie
    $TableHeader_Sort = array();
    //definovanie parametrov pre nastavenie <th ...
    $TableHeader_Setting = array();
    
    if($TableHeader == "on")
    {
      //definovanie hodnot
      $TableHeader_Name[1] = 'Priezvisko';
      $TableHeader_Sort[1] = 'lastname';
      $TableHeader_Setting[1] = '';
      $TableHeader_Name[2] = 'Meno';
      $TableHeader_Sort[2] = 'firstname';
      $TableHeader_Setting[2] = '';
      $TableHeader_Name[3] = 'Funkcia';
      $TableHeader_Sort[3] = 'organisttype';
      $TableHeader_Setting[3] = '';
      if(check_usertype("admin") || get_organisttype($_SESSION['session_userid'],$churchid)=="HO")
      {
        $TableHeader_Name[4] = 'Operácie';
        $TableHeader_Setting[4] = ' class="center"';
        $TableHeader_Sort[4] = '';
      }
      
      //linka
      $TableHeader_Url = "churchusers.php?churchid=".$churchid."&";
    }
    else
    {
      //definovanie hodnot
      $TableHeader_Name[1] = 'Priezvisko';
      $TableHeader_Sort[1] = '';
      $TableHeader_Setting[1] = '';
      $TableHeader_Name[2] = 'Meno';
      $TableHeader_Sort[2] = '';
      $TableHeader_Setting[2] = '';
      $TableHeader_Name[3] = 'Funkcia';
      $TableHeader_Sort[3] = '';
      $TableHeader_Setting[3] = '';
      if(check_usertype("admin") || get_organisttype($_SESSION['session_userid'],$churchid)=="HO")
      {
        $TableHeader_Name[4] = 'Operácie';
        $TableHeader_Setting[4] = ' class="center"';
        $TableHeader_Sort[4] = '';
      }
      
      //linka
      $TableHeader_Url = "";
    }
  ?>
		
    <ul class="tabs">
			<li class="active"><a href="#" title="Organisti kostola <?php echo $churchname; ?>"><span>Organisti kostola</span></a></li>
			<li><a href="show_church.php?churchid=<?php echo $churchid;?>" title="Detaily kostola <?php echo $churchname; ?>"><span>Detaily kostola</span></a></li>
		</ul>
		<div class="box">
      <table class="maintable">
      
    <?php
    //zobrazime hlavicku tabulky
    display_tableheader($TableHeader_Name, $TableHeader_Setting, $TableHeader_Sort, $TableHeader_Url, $_GET["OrderBy"], $_GET["OrderType"]);
    
    $i = 0;
    foreach ($user_array as $row){
		?>
			<tr <?php if(is_int($i / 2)) echo 'class="highlight"'; ?>> 
       <?php echo '<td width="200"><a href="show_user.php?userid='.$row['userid'].'">'.$row['lastname'].'</a></td>';?>
       <?php echo '<td>'.$row['firstname'].'</td>';?> 
       <?php 
            if($row['userid'] != $_SESSION['session_userid'] and (check_usertype("admin") or get_organisttype($_SESSION['session_userid'],$churchid)=="HO"))
            {
            ?>
    			  <td width="125">
              <select name="organisttype">
    				    <option onclick="update(<?php echo $row['churchid'].','.$row['userid'];?>, 'HO');" value="HO" <?php if ( $row['organisttype']=="HO" )echo ' selected'; ?>>hlavný organista</option>
    				    <option onclick="update(<?php echo $row['churchid'].','.$row['userid'];?>, 'O');" value="O" <?php if ( $row['organisttype']=="O") echo ' selected'; ?>>organista </option>
              </select>
            </td>
            <?php
            }
            else
            {
              if($row['organisttype']=="HO") echo '<td width="125">hlavný organista</td>';
              else echo '<td width="125">organista</td>';
            }
            ?>
            <td class="action">
            <?php if($row['userid'] != $_SESSION['session_userid'] and (check_usertype("admin") || get_organisttype($_SESSION['session_userid'],$churchid)=="HO"))
            {
            ?>
            <ul>
            <li><a class="remove" title="Odobrať z kostola" onclick="return confirm('Naozaj chcete odstrániť záznam?')" href="churchusers.php?churchid=<?php echo ($row['churchid']).'&userid='.($row['userid']).'&action=delete'; ?>"><span>Odobrať z kostola</span></a></li>
            </ul>
            <?php
            }
            ?> 
            </td>
        </tr>
    <?php    
      $i++;
    }
    echo '</table>';
    
    $url = "churchusers.php?churchid=".$churchid."&OrderBy=".$_GET["OrderBy"]."&OrderType=".$_GET["OrderType"]."&";
    display_paginator($_GET["Page"],$user_count,$_SERVER["PAGINATOR_ROWCOUNT_TABLE"],$url);
  }
}
?>