<?php

function organists_info()
{
  $organist_num = get_organists_count();
  if($organist_num==0) echo 'V systéme nie je evidovaný žiadný organista.';
  else if($organist_num==1) echo '<a href="show_users.php?type=organista">V systéme je evidovaný 1 organista</a>.';
  else if($organist_num<5) echo '<a href="show_users.php?type=organista">V systéme sú evidovaní '.$organist_num. ' organisti</a>.';
  else if($organist_num>=5) echo '<a href="show_users.php?type=organista">V systéme je evidovaních '.$organist_num. ' organistov</a>.';
}

function churchusers_info()
{
  $churchusers_num = get_churchusers_count($_SESSION['session_churchid']);
  if($churchusers_num==0) echo 'V kostole nie je evidovaný žiadný organista.';
  else if($churchusers_num==1) echo '<a href="churchusers.php?churchid='.$_SESSION['session_churchid'].'">V kostole je 1 organista</a>.';
  else if($churchusers_num<5) echo '<a href="churchusers.php?churchid='.$_SESSION['session_churchid'].'">V kostole sú '.$churchusers_num. ' organisti</a>.';
  else if($churchusers_num>=5) echo '<a href="churchusers.php?churchid='.$_SESSION['session_churchid'].'">V kostole je '.$churchusers_num. ' organistov</a>.';
}

function userchurches_info()
{
  $userchurches_num = get_userchurches_count($_SESSION['session_userid']);
  if($userchurches_num==0) echo 'Nie ste priradený do žiadneho kostola.';
  else if($userchurches_num==1) echo '<a href="show_userchurches.php">Ste priradený do 1 kostola</a>.';
  else if($userchurches_num<5) echo '<a href="show_userchurches.php">Ste priradený do '.$userchurches_num. ' kostolov</a>.';
  else if($userchurches_num>=5) echo '<a href="show_userchurches.php">Ste priradený do '.$userchurches_num. ' kostolov</a>.';
}

function churches_info()
{
  $churches_num = get_churches_count();
  if($churches_num==0) echo 'V systéme nie je evidovaný žiadný kostol.';
  else if($churches_num==1) echo '<a href="show_churches.php">V systéme je evidovaný 1 kostol</a>.';
  else if($churches_num<5) echo '<a href="show_churches.php">V systéme sú evidované '.$churches_num. ' kostoly</a>.';
  else if($churches_num>=5) echo '<a href="show_churches.php">V systéme je evidovaních '.$churches_num. ' kostolov</a>.';
}

function users_info()
{
  $user_num = get_users_count();
  if($user_num==0) echo 'V systéme nie je evidovaný žiadný používateľ.';
  else if($user_num==1) echo '<a href="show_users.php">V systéme je evidovaný 1 používateľ</a>.';
  else if($user_num<5) echo '<a href="show_users.php">V systéme sú evidovaní '.$user_num. ' používatelia</a>.';
  else if($user_num>=5) echo '<a href="show_users.php">V systéme je evidovaních '.$user_num. ' používateľov</a>.';
}

function display_dashboard(){
  
  if(check_usertype("admin")){ ?>
    <table class="dashboard">
      <tr>
        <td><img src="images/users.png" alt="Používatelia" /></td><td><p><?php users_info(); ?></p></td>
        <td><img src="images/churches.png" alt="Kostoly" /></td><td><p><?php churches_info(); ?></p></td>
      </tr>
      <tr>
        <td><img src="images/user_add.png" alt="Pridať nového používateľa" /></td><td><p><a href="insert_user_form.php">Pridať nového používateľa</a>.</p></td>
        <td><img src="images/church_add.png" alt="Pridať nový kostol" /></td><td><p><a href="insert_church_form.php">Pridať nový kostol</a>.</p></td>
      </tr>
      <tr>
        <td><img src="images/system_settings.png" alt="Nastavenia systému" /></td><td><p><a href="#">Nastavenia systému</a>.</p></td>
      	<td><img src="images/stats.png" alt="Štatistiky" /></td><td><p><a href="#">Zobraziť štatistiky</a>.</p></td>
      </tr>
      <tr>
        <td><img src="images/page_down.png" alt="Žiadosti" /></td><td><p><?php display_requests_info(); ?></p></td>
      	<td><img src="images/new_mail_down.png" alt="Správy" /></td><td><p><?php display_messages_info(); ?></p></td>
      </tr>
    </table>
<?php
   } 
   else if (check_usertype("organista") and check_organisttype("HO"))
   {   
?>
    <table class="dashboard">
      <tr>
        <td><img src="images/users.png" alt="Organisti" /></td><td><p><?php churchusers_info(); ?></p></td>
        <td><img src="images/churches.png" alt="Kostoly" /></td><td><p><?php echo '<a href="show_church.php?churchid='.$_SESSION['session_churchid'].'">'.get_church_name($_SESSION['session_churchid']).'</a>'; ?></p></td>
      </tr>
      <tr>
        <td><img src="images/user_add.png" alt="Pridať nového organistu" /></td><td><p><a href="insert_user_form.php">Pridať nového organistu</a>.</p></td>
        <td><img src="images/schedules.png" alt="Zobraziť rozvrhy bohoslužieb" /></td><td><p><a href="schedules.php">Zobraziť rozvrhy kostola</a>.</p></td>
      </tr>
      <tr>
        <?php $id=get_current_schedule($_SESSION['session_churchid'],date('Y-m-d')); 
        if($id) echo '<td><img src="images/user_services_add.png" alt="Prihlásiť na bohosužbu" /></td><td><p><a href="show_schedule.php?scheduleid='.$id.'">Prihlásiť na bohoslužbu</a>.</p></td>';
        if(!$id) echo '<td><img src="images/user_services_add.png" alt="Prihlásiť na bohosužbu" /></td><td><p>Nemáte aktívny rozvrh.</p></td>';
        ?> 
        <td><img src="images/default_times.png" alt="Preddefinované termíny bohoslužieb" /></td><td><p><a href="show_defaultdays.php">Preddefinované dni a časy kostola</a>.</p></td>
      </tr>
      <tr>
        <td><img src="images/page_down.png" alt="Žiadosti" /></td><td><p><?php display_requests_info(); ?></p></td>
      	<td><img src="images/new_mail_down.png" alt="Správy" /></td><td><?php display_messages_info(); ?></p></td>
      </tr>
    </table>
    <?php
   } 
   else if (check_usertype("organista") and check_organisttype("O"))
   { 
   ?>
    <table class="dashboard">
      <tr>
        <td><img src="images/users.png" alt="Organisti" /></td><td><p><?php churchusers_info(); ?></p></td>
        <td><img src="images/churches.png" alt="Kostoly" /></td><td><p><?php echo '<a href="show_church.php?churchid='.$_SESSION['session_churchid'].'">'.get_church_name($_SESSION['session_churchid']).'</a>'; ?></p></td>
      </tr>
      <tr>
        <?php $id=get_current_schedule($_SESSION['session_churchid'],date('Y-m-d')); 
        if($id) echo '<td><img src="images/user_services_add.png" alt="Prihlásiť na bohosužbu" /></td><td><p><a href="show_schedule.php?scheduleid='.$id.'">Prihlásiť na bohoslužbu</a>.</p></td>';
        if(!$id) echo '<td><img src="images/user_services_add.png" alt="Prihlásiť na bohosužbu" /></td><td><p>Nemáte aktívny rozvrh.</p></td>';
        ?> 
        <td><img src="images/new_mail_down.png" alt="Správy" /></td><td><p><?php display_messages_info(); ?></p></td>
      </tr>
    </table>
   <?php
   }
?>
<?php
}
?>