<?php
function display_menu(){
  if(check_usertype("organista") and !check_organisttype("HO") ){
    ?>
    <ul class="items">
      <li <?php if (basename($_SERVER['SCRIPT_NAME']) == 'dashboard.php') { ?>class="active"<?php } ?>><a href="dashboard.php">Hlavný panel</a></li>
      <li <?php if (basename($_SERVER['REQUEST_URI']) == 'show_user.php?userid='.$_SESSION['session_userid']) { ?>class="active"<?php } ?>><a href="show_user.php?userid=<?php echo $_SESSION['session_userid']?>">Môj profil</a></li>
      <li <?php if (basename($_SERVER['REQUEST_URI']) == 'show_userservices.php') { ?>class="active"<?php } ?>><a href="show_userservices.php">Moje bohoslužby</a></li>
      <li <?php if (basename($_SERVER['SCRIPT_NAME']) == 'show_userchurches.php') { ?>class="active"<?php } ?>><a href="show_userchurches.php">Moje kostoly</a></li>
      <li <?php if (basename($_SERVER['SCRIPT_NAME']) == 'show_churches.php'
            or (basename($_SERVER['SCRIPT_NAME'])) == 'show_church.php'
            or (basename($_SERVER['SCRIPT_NAME'])) == 'churchusers.php') { ?>class="active"<?php } ?>><a href="show_churches.php">Kostoly</a></li>
      <li <?php if (basename($_SERVER['SCRIPT_NAME']) == 'show_users.php'
                or basename($_SERVER['SCRIPT_NAME']) == 'show_user.php' and basename($_SERVER['REQUEST_URI']) != 'show_user.php?userid='.$_SESSION['session_userid']) {?>class="active"<?php }?>><a href="show_users.php?type=organista">Organisti</a></li>
          <li <?php if ( basename($_SERVER['SCRIPT_NAME']) == 'show_messages.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'show_message.php' 
          or (basename($_SERVER['SCRIPT_NAME'])) == 'insert_message.php' 
          or (basename($_SERVER['SCRIPT_NAME'])) == 'insert_message_form.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'delete_message.php') { ?>class="active"<?php } ?> class="subitems">
      <a href="show_messages.php?box=inbox">Správy</a>
        <ul>
          <li><a href="show_messages.php?box=outbox">Odoslané správy</a></li>
          <li><a href="insert_message_form.php">Napísať správu</a></li>  
        </ul>
      </li>
    </ul>
    <?php
  }
  else if(check_usertype("organista") and check_organisttype("HO")){
    ?>
    <ul class="items">
    <li <?php if (basename($_SERVER['SCRIPT_NAME']) == 'dashboard.php') { ?>class="active"<?php } ?>><a href="dashboard.php">Hlavný panel</a></li>
    <li <?php if (basename($_SERVER['REQUEST_URI']) == 'show_user.php?userid='.$_SESSION['session_userid']) { ?>class="active"<?php } ?>><a href="show_user.php?userid=<?php echo $_SESSION['session_userid']?>">Môj profil</a></li>
    <li <?php if (basename($_SERVER['REQUEST_URI']) == 'show_userservices.php') { ?>class="active"<?php } ?>><a href="show_userservices.php">Moje bohoslužby</a></li>
    <li <?php if (basename($_SERVER['REQUEST_URI']) == 'show_userchurches.php') { ?>class="active"<?php } ?>><a href="show_userchurches.php">Moje kostoly</a></li>
    <li <?php if (basename($_SERVER['SCRIPT_NAME']) == 'show_churches.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'show_church.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'churchusers.php') { ?>class="active"<?php } ?>><a href="show_churches.php">Kostoly</a></li>
    <li <?php if (basename($_SERVER['SCRIPT_NAME']) == 'show_users.php'
          or basename($_SERVER['SCRIPT_NAME']) == 'insert_user_form.php'
          or basename($_SERVER['SCRIPT_NAME']) == 'insert_user.php'
          or basename($_SERVER['SCRIPT_NAME']) == 'show_user.php'
          and basename($_SERVER['REQUEST_URI']) != 'show_user.php?userid='.$_SESSION['session_userid']
          or strstr(basename($_SERVER['REQUEST_URI']),"show_userchurches.php?userid=")) {?>class="active"<?php }?>>
          <a href="show_users.php?type=organista">Organisti</a>
          <ul>
            <li><a href="insert_user_form.php">Pridať organistu</a></li>
          </ul>
    </li>
    <li <?php if (basename($_SERVER['SCRIPT_NAME']) == 'show_requests.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'show_request.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'delete_request.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'update_request.php' ) { ?>class="active"<?php } ?> class="subitems">
      <a href="show_requests.php">Žiadosti</a>
      <ul>
        <li><a href="show_requests.php?reqstate=0">Nevybavené žiadosti</a></li>
        <li><a href="show_requests.php?reqstate=1">Vybavené žiadosti</a></li>
        <li><a href="show_requests.php?reqstate=-1">Zamietnuté žiadosti</a></li>
      </ul>
    </li>
    <li <?php if ( basename($_SERVER['SCRIPT_NAME']) == 'show_messages.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'show_message.php' 
          or (basename($_SERVER['SCRIPT_NAME'])) == 'insert_message.php' 
          or (basename($_SERVER['SCRIPT_NAME'])) == 'insert_message_form.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'delete_message.php') { ?>class="active"<?php } ?> class="subitems">
      <a href="show_messages.php?box=inbox">Správy</a>
        <ul>
          <li><a href="show_messages.php?box=outbox">Odoslané správy</a></li>
          <li><a href="insert_message_form.php">Napísať správu</a></li>  
        </ul>
    </li>
    <li <?php if (basename($_SERVER['SCRIPT_NAME']) == 'show_schedule.php'
          or basename($_SERVER['SCRIPT_NAME']) == 'edit_schedule_form.php'
          or basename($_SERVER['SCRIPT_NAME']) == 'show_defaultdays.php'
          or basename($_SERVER['SCRIPT_NAME']) == 'show_defaultday.php'
          or basename($_SERVER['SCRIPT_NAME']) == 'insert_defaulttime_form.php'
          or basename($_SERVER['SCRIPT_NAME']) == 'schedules.php') { ?>class="active"<?php } ?>><a href="schedules.php">Rozvrhy</a>
      <ul>
        <li><a href="show_defaultdays.php">Preddefinované dni a časy</a></li>
      </ul>
    </li>
    </ul>
    <?php
  }
  else if(check_usertype("admin")){
      ?>
      <ul class="items">
      <li <?php if (basename($_SERVER['SCRIPT_NAME']) == 'dashboard.php') { ?>class="active"<?php } ?>><a href="dashboard.php">Hlavný panel</a></li>
      <li <?php if (basename($_SERVER['REQUEST_URI']) == 'show_user.php?userid='.$_SESSION['session_userid']) { ?>class="active"<?php } ?>><a href="show_user.php?userid=<?php echo $_SESSION['session_userid']?>">Môj profil</a></li>
      <li <?php if (basename($_SERVER['SCRIPT_NAME']) == 'show_users.php' 
          or (basename($_SERVER['SCRIPT_NAME']) == 'show_user.php'
          and basename($_SERVER['REQUEST_URI']) != 'show_user.php?userid='.$_SESSION['session_userid']) 
          or (basename($_SERVER['SCRIPT_NAME'])) == 'insert_user.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'edit_user.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'insert_user_form.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'edit_user_form.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'delete_user.php') { ?>class="active"<?php } ?> class="subitems">
      <a href="show_users.php">Používatelia</a>
      <ul>
      <li><a href="insert_user_form.php">Pridať používateľa</a></li>
      </ul>
      </li>
      <li <?php if (basename($_SERVER['SCRIPT_NAME']) == 'show_churches.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'show_church.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'churchusers.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'insert_church.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'edit_church.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'insert_church_form.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'edit_church_form.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'delete_church.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'delete_churches_user.php') { ?>class="active"<?php } ?> class="subitems">
      <a href="show_churches.php">Kostoly</a>
      <ul>
      <li><a href="insert_church_form.php">Pridať kostol</a></li>
      </ul>
      </li>
      <li <?php if (basename($_SERVER['SCRIPT_NAME']) == 'show_servicetypes.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'show_servicetype.php' 
          or (basename($_SERVER['SCRIPT_NAME'])) == 'insert_servicetype.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'edit_servicetype.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'insert_servicetype_form.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'edit_servicetype_form.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'delete_servicetype.php') { ?>class="active"<?php } ?> class="subitems">
      <a href="show_servicetypes.php">Typy bohoslužieb</a>
      <?php
      //<ul>
      //<li><a href="insert_servicetype_form.php">Pridať typ bohoslužby</a></li> 
      //</ul>?>
      </li>
      <li <?php if (basename($_SERVER['SCRIPT_NAME']) == 'show_requests.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'show_request.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'delete_request.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'update_request.php' ) { ?>class="active"<?php } ?> class="subitems">
      <a href="show_requests.php">Žiadosti</a>
      <ul>
      <li><a href="show_requests.php?reqstate=0">Nevybavené žiadosti</a></li>
      <li><a href="show_requests.php?reqstate=1">Vybavené žiadosti</a></li>
      <li><a href="show_requests.php?reqstate=-1">Zamietnuté žiadosti</a></li>
      </ul>
      </li>
      <li <?php if ( basename($_SERVER['SCRIPT_NAME']) == 'show_messages.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'show_message.php' 
          or (basename($_SERVER['SCRIPT_NAME'])) == 'insert_message.php' 
          or (basename($_SERVER['SCRIPT_NAME'])) == 'insert_message_form.php'
          or (basename($_SERVER['SCRIPT_NAME'])) == 'delete_message.php') { ?>class="active"<?php } ?> class="subitems">
      <a href="show_messages.php?box=inbox">Správy</a>
        <ul>
          <li><a href="show_messages.php?box=outbox">Odoslané správy</a></li>
          <li><a href="insert_message_form.php">Napísať správu</a></li>  
        </ul>
      </li>
      </ul>
      <?php
    }
    else {
      ?>
      <ul class="items">
      <li <?php if (basename($_SERVER['SCRIPT_NAME']) == 'index.php') { ?>class="active"<?php } ?>><a href="index.php">Úvod</a></li>
      <li <?php if (basename($_SERVER['SCRIPT_NAME']) == 'show_churches.php') { ?>class="active"<?php } ?>><a href="show_churches.php">Kostoly</a></li>
      <li <?php if (basename($_SERVER['SCRIPT_NAME']) == 'calendar.php') { ?>class="active"<?php } ?>><a href="calendar.php">Bohoslužby</a></li>
      <li <?php if (basename($_SERVER['SCRIPT_NAME']) == 'insert_request_form.php') { ?>class="active"<?php } ?>><a href="insert_request_form.php">Žiadosť</a></li>
      <li <?php if (basename($_SERVER['SCRIPT_NAME']) == 'about.php') { ?>class="active"<?php } ?>><a href="about.php">O projekte</a></li>
      <li <?php if (basename($_SERVER['SCRIPT_NAME']) == 'help.php') { ?>class="active"<?php } ?>><a href="help.php">Nápoveda</a></li>
      </ul>
      <?php
    }
  
  if(check_usertype("organista") and check_organisttype("O") and isset($_SESSION['session_churchid'])){
    ?>
    <ul class="items">
    <li <?php if (basename($_SERVER['SCRIPT_NAME']) == 'schedules.php'
               or basename($_SERVER['SCRIPT_NAME']) == 'show_schedule.php') { ?>class="active"<?php } ?>><a href="schedules.php">Rozvrhy</a></li>
    </ul>
    <?php
  }
}
?>