<?php
function display_nonchurchusers($non_user_array, $non_user_count, $churchid, $churchname, $start_page, $OrderBy, $OrderType, $Filter="off", $SearchWhere="", $SearchText="")
{ 
  echo '<h2>Ostatní organisti</h2>';
  if (!is_array($non_user_array))
  {
    echo '<div class="box" style="font-size: 11px; text-align: center; padding-top:15px;">Nie sú nepriradení organisti.<p id="pagin"></p></div>';
  }
  else
  { 
    //definovanie nazvov pre hlavicku tabulky
    $TableHeader_Name = array();
    //definovanie nazvu stlpca z db, pre sortovanie
    $TableHeader_Sort = array();
    //definovanie parametrov pre nastavenie <th ...
    $TableHeader_Setting = array();
    
    //definovanie hodnot
    $TableHeader_Name[1] = 'Priezvisko';
    $TableHeader_Sort[1] = 'lastname';
    $TableHeader_Setting[1] = '';
    $TableHeader_Name[2] = 'Meno';
    $TableHeader_Sort[2] = 'firstname';
    $TableHeader_Setting[2] = '';
    $TableHeader_Name[3] = 'Funkcia';
    $TableHeader_Sort[3] = 'organisttype';
    $TableHeader_Setting[3] = '';
    if(check_usertype("admin") || get_organisttype($_SESSION['session_userid'],$churchid)=="HO")
    {
      $TableHeader_Name[4] = 'Operácie';
      $TableHeader_Setting[4] = ' class="center"';
      $TableHeader_Sort[4] = '';
    }
    
    //linka
    if($Filter == "on")
      $TableHeader_Url = "churchusers.php?churchid=".$churchid."&Filter=on&SearchWhere=".$SearchWhere."&SearchText=".$SearchText."&";
    else
      $TableHeader_Url = "churchusers.php?churchid=".$churchid."&";
    ?>
    
    <ul class="tabs">
    
    <?php
    if($Filter == "on")
      echo '<li class="active"><a href="churchusers.php?churchid='.$churchid.'&Filter=on" title="Filter"><span>Filter</span></a></li><li><a href="churchusers.php?churchid='.$churchid.'&Filter=off" title="Zoznam"><span>Zoznam</span></a></li>';
    else
      echo '<li><a href="churchusers.php?churchid='.$churchid.'&Filter=on" title="Filter"><span>Filter</span></a></li><li class="active"><a href="churchusers.php?churchid='.$churchid.'&Filter=off" title="Zoznam"><span>Zoznam</span></a></li>';
    ?>
    
    </ul>
    <div class="box">
    <?php
    if($Filter == "on")
    {
      //definovanie nazvov pre filter
      $TableFilter_Name = array();
      //definovanie nazvu stlpca z db, pre filter
      $TableFilter_Filter = array();
      //definovanie nazvov pre hidden do formulara
      $TableFilter_HiddenName = array();
      $TableFilter_HiddenValue = array();
      
      $TableFilter_Name[1] = "Meno";
      $TableFilter_Filter[1] = "firstname";
      $TableFilter_Name[2] = "Priezvisko";
      $TableFilter_Filter[2] = "lastname";
      
      $TableFilter_HiddenName[1] = "churchid";
      $TableFilter_HiddenValue[1] = $churchid;
      
      $TableFilter_Url = "churchusers.php";
      
      //zobrazime filter tabulky
      display_tablefilter($TableFilter_Name, $TableFilter_Filter, $TableFilter_HiddenName, $TableFilter_HiddenValue, $TableFilter_Url, $SearchWhere, $SearchText);
    }
    ?>
    <table class="maintable">
    
    <?php
    //zobrazime hlavicku tabulky
    display_tableheader($TableHeader_Name, $TableHeader_Setting, $TableHeader_Sort, $TableHeader_Url, $_GET["OrderBy"], $_GET["OrderType"]);
    
    $i = 0;
    foreach ($non_user_array as $row){
      ?>
      <tr <?php if(is_int($i / 2)) echo 'class="highlight"'; ?>> 
      <?php echo '<td width="200"><a href="show_user.php?userid='.$row['userid'].'">'.$row['lastname'].'</a></td>';?>
      <?php echo '<td>'.$row['firstname'].'</td>';?> 
      <td width="125">nepriradený</td>
      <?php
      if(check_usertype("admin") || get_organisttype($_SESSION['session_userid'],$churchid)=="HO" )
      {
        ?>
        <td class="action">
        <ul>
        <li><a class="add" title="Pridať do kostola" href="churchusers.php?churchid=<?php echo $churchid.'&userid='.$row['userid'].'&action=add';?>"></a></li> 
        </ul>
        </td>
        <?php
      }
      echo '</tr>';
      $i++;
    }
    echo '</table>';
    
    $url = "churchusers.php?churchid=".$churchid."&OrderBy=".$_GET["OrderBy"]."&OrderType=".$_GET["OrderType"]."&";
    display_paginator($_GET["Page"],$non_user_count,$_SERVER["PAGINATOR_ROWCOUNT_TABLE"],$url);
  }
}
?>