<?php

function display_user_form($user = '')
{
	// Zobrazi formular pouzivatelov.
	// Moze byt pouzity na pridanie a editovanie pouzivatelov.
  
	// ak je predany existujuci pouzivatel, pokracuj v "editovacom mode"
	$edit = is_array($user);

?>
<h2><?php echo $edit?'Upraviť používateľa':'Pridať používateľa';?></h2>
    <form class="niceform" method="post" name="userform" action="<?php echo $edit?'edit_user.php':'insert_user.php';?>">
       <fieldset>
        <dl>
        	<dt><label for="firstname">Meno:</label></dt>
          <dd><input type="text" name="firstname" value="<?php echo $edit?$user['firstname']:''; ?>" size="32" maxlength="32" /></dd>
        </dl>
        <dl>
        	<dt><label for="lastname">Priezvisko:</label></dt>
          <dd><input type="text" name="lastname" value="<?php echo $edit?$user['lastname']:''; ?>" size="32" maxlength="32" /></dd>
        </dl>
        <dl>
        	<dt><label for="login">Login:</label></dt>
          <dd><input type="text" name="login" value="<?php echo $edit?$user['login']:''; ?>" size="16" maxlength="16" <?php if($edit) echo 'readonly'; ?> /></dd>
        </dl>
        <?php
            if(!$edit){
        ?>
        <dl>
        	<dt><label for="password">Heslo:</label></dt>
          <dd><input type="password" name="password" size="16" maxlength="16" value="" /></dd>
         </dl>
         <?php
            }
         ?>
        <?php
        if (check_usertype("admin")){
        ?>
        <dl>
        	<dt><label for="usertype">Typ používateľa:</label></dt>
        	<dd>
    			  <?php if ($edit) echo '<input type="text" name="usertype" size="16" maxlength="16" value="'.$user['usertype'].'" readonly />';
              else echo'
              <select name="usertype">
    				  <option value="organista">organista</option>
    				  <option value="admin">administrátor</option>
    			  </select>';
            ?>
          </dd>
        </dl>
        <?php 
        } 
        ?>
        <dl>
        	<dt><label for="email">Email:</label></dt>
          <dd><input type="text" name="email" value="<?php echo $edit?$user['email']:''; ?>" size="32" maxlength="32" /></dd>
        </dl>
		    <dl>
        	<dt><label for="telephone">Telefón:</label></dt>
          <dd><input type="text" name="telephone" value="<?php echo $edit?$user['telephone']:''; ?>" size="16" maxlength="16" /></dd>
        </dl>
        <?php
        if (check_usertype("admin") and $_SESSION['session_userid'] != $user['userid']){
        ?>
        <dl>
        	<dt><label for="disabled">Blokovaný:</label></dt>
            <dd>
            	<input type="radio" name="disabled" value="0" <?php if ($edit && "0" == $user['disabled'])echo ' checked'; else echo ' checked';?> /><label for="0" class="opt">nie</label>
              <input type="radio" name="disabled" value="1" <?php if ($edit && "1" == $user['disabled'])echo ' checked'; ?> /><label for="1" class="opt">áno</label>
            </dd>
        </dl>
        <?php 
        } 
        ?>
        <dl>
          <dt>
            <?php
            if (check_userid($user['userid']) and $edit){
              echo '<input type="hidden" name="usertype" value="'.$user['usertype'].'">';
              echo '<input type="hidden" name="disabled" value="'.$user['disabled'].'">';
            }?>
            <?php if ($edit) echo '<input type="hidden" name="userid" value="'.$user['userid'].'">'; ?>
          </dt>
            <dd>
              <a href="javascript:self.document.forms.userform.submit()" class="button"><span><?php echo $edit?'Uložiť':'Pridať používateľa'; ?></span></a>
              <?php 
                    if (check_usertype("admin") and $edit and !check_userid($user['userid']))
                    {
                            echo '<a href="delete_user.php?userid='.$user['userid'].'" class="button" onclick="return confirm(\'Naozaj chcete odstrániť používateľa?\')"><span>Odstrániť používateľa</span></a>';
                            echo '<a href="change_user_password_form.php?userid='.$user['userid'].'" class="button"><span>Zmena hesla používateľa</span></a>';
                    }
              ?>    
			        <?php if (check_userid($user['userid']) and $edit) echo '<a href="change_password_form.php?userid='.$user['userid'].'" class="button"><span>Zmeniť heslo</span></a>'; ?>
            </dd>
		      </dl> 
      </fieldset>
    </form>
  
<?php
}

?>