<?php

function display_users($user_array, $user_count, $start_page, $OrderBy, $OrderType, $Filter="off",$SearchWhere="",$SearchText="")
{ 
	// zobrazime ich
    echo '<h2>Prehľad používateľov</h2>';
  if (!is_array($user_array))
  {
    echo '<div class="box" style="font-size: 11px; text-align: center; padding-top:15px;">Nie sú v systéme používatelia.<p id="pagin"></p></div>';
  }
  else
  {
    //definovanie nazvov pre hlavicku tabulky
    $TableHeader_Name = array();
    //definovanie nazvu stlpca z db, pre sortovanie
    $TableHeader_Sort = array();
    //definovanie parametrov pre nastavenie <th ...
    $TableHeader_Setting = array();

    //definovanie hodnot
    $TableHeader_Name[1] = 'Priezvisko';
    $TableHeader_Sort[1] = 'lastname';
    $TableHeader_Setting[1] = '';
    $TableHeader_Name[2] = 'Meno';
    $TableHeader_Sort[2] = 'firstname';
    $TableHeader_Setting[2] = '';
    $TableHeader_Name[3] = '';
    $TableHeader_Sort[3] = '';
    $TableHeader_Setting[3] = ' class="center" width="60"';
    $TableHeader_Name[4] = 'Typ';
    $TableHeader_Sort[4] = 'usertype';
    $TableHeader_Setting[4] = '';
    $TableHeader_Name[5] = 'Kostoly';
    $TableHeader_Setting[5] = ' class="center" width="60"';
    $TableHeader_Sort[5] = '';
    if(check_usertype("admin"))
    {
      $TableHeader_Name[6] = 'Operácie';
      $TableHeader_Setting[6] = '';
      $TableHeader_Sort[6] = '';
    }

    //linka
    if($Filter == "on")
      $TableHeader_Url = "show_users.php?Filter=on&SearchWhere=".$SearchWhere."&SearchText=".$SearchText."&";
    else
      $TableHeader_Url = "show_users.php?";
  ?>

		<ul class="tabs">

    <?php
    if($Filter == "on")
      echo '<li class="active"><a href="show_users.php?Filter=on" title="Filter"><span>Filter</span></a></li><li><a href="show_users.php?Filter=off" title="Zoznam"><span>Zoznam</span></a></li>';
    else
      echo '<li><a href="show_users.php?Filter=on" title="Filter"><span>Filter</span></a></li><li class="active"><a href="show_users.php?Filter=off" title="Zoznam"><span>Zoznam</span></a></li>';
    ?>

    </ul>
		<div class="box">
    <?php
    if($Filter == "on")
    {
      //definovanie nazvov pre filter
      $TableFilter_Name = array();
      //definovanie nazvu stlpca z db, pre filter
      $TableFilter_Filter = array();
      //definovanie nazvov pre hidden do formulara
      $TableFilter_HiddenName = array();
      $TableFilter_HiddenValue = array();

      $TableFilter_Name[1] = "Meno";
      $TableFilter_Filter[1] = "firstname";
      $TableFilter_Name[2] = "Priezvisko";
      $TableFilter_Filter[2] = "lastname";
      $TableFilter_Name[3] = "Typ";
      $TableFilter_Filter[3] = "usertype";

      $TableFilter_Url = "show_users.php";

      //zobrazime filter tabulky
      display_tablefilter($TableFilter_Name, $TableFilter_Filter, $TableFilter_HiddenName, $TableFilter_HiddenValue, $TableFilter_Url, $SearchWhere, $SearchText);
    }
    ?>
			<table class="maintable">

    <?php
    //zobrazime hlavicku tabulky
    display_tableheader($TableHeader_Name, $TableHeader_Setting, $TableHeader_Sort, $TableHeader_Url, $OrderBy, $OrderType);

    $i = 0;
    foreach ($user_array as $row)
    {
		?>
			<tr <?php if(is_int($i / 2)) echo 'class="highlight"'; ?>>
      <?php
      echo '<td><a href="show_user.php?userid='.$row['userid'].'">'.$row['lastname'].'</a></td>
          <td>'.$row['firstname'].'</td>';
      ?>

      <td class="center">
      <?php if($row['disabled']) echo '<span class="user_disabled" title="Používateľ blokovaný"></span>';
      else echo '<span class="user"></span>'; ?>
      </td>

      <?php
         echo '<td>'.$row['usertype'].'</td>';
      if($row['churchCount']!=0) echo '<td class="center" width="60">
      <ul>
        <li>
          <a class="church" style="margin-left: 16px;" href="show_userchurches.php?userid='.$row['userid'].'"><span>Používatelove kostoly</span></a>
        </li>
      </ul></td>';
      else echo '<td class="center" width="60"></td>';
      if(check_usertype("admin")){
      ?>
        <td class="action">
        <ul>
          <li><a class="show" title="Zobraziť" href="show_user.php?userid=<?php echo $row['userid']; ?>"><span>Zobraziť</span></a></li>
          <li><a class="edit" title="Upraviť" href="edit_user_form.php?userid=<?php echo $row['userid']; ?>"><span>Upraviť</span></a></li>
          <?php if($_SESSION['session_userid'] != $row['userid']) echo '<li><a class="delete" title="Odstrániť" onclick="return confirm(\'Naozaj chcete odstrániť záznam?\')" href="delete_user.php?userid='.$row['userid'].'"><span>Odstrániť</span></a></li>'; ?>
        </ul>
        </td>
      <?php
      }
      echo '</tr>';
      $i++;
    }

    echo "</table>";

    if($Filter== "on")
      $url = "show_users.php?Filter=on&SearchWhere=".$SearchWhere."&SearchText=".$SearchText."&OrderBy=".$OrderBy."&OrderType=".$OrderType."&";
    else
      $url = "show_users.php?OrderBy=".$OrderBy."&OrderType=".$OrderType."&";

    display_paginator($start_page,$user_count,$_SERVER["PAGINATOR_ROWCOUNT_TABLE"],$url);
  }
}
?>
