<?php
// vlozime subory funkcii pre tuto kategoriu
require_once('./fns.php');
require_once('./displays/display_church_form.php'); 
session_start();

do_html_header('Aktualizácia kostola');

if (check_usertype('admin') || check_organisttype("HO"))
{ 
	if (filled_out($_POST)) 
	{
	   
		$churchid = $_POST['churchid'];
		$churchsupervisor = $_POST['churchsupervisor'];
		$telephone = $_POST['telephone'];
		$address = $_POST['address'];
    $email = $_POST['email'];
		$website = $_POST['website'];
		$churchname = $_POST['churchname'];
		$description = $_POST['description'];
		$settlementid = $_POST['settlementid'];
		$chaprelry = $_POST['chaprelry'];
		$zip = $_POST['zip'];

		if(update_church($churchid, $churchsupervisor, $telephone, $email, $website, $address, $churchname, $description, $settlementid, $chaprelry, $zip))
    {
			ok_msg('Kostol bol aktualizovaný.');
      log_activity('Aktualizácia údajov kostola: <a href="show_church.php?churchid='.$churchid.'">'.$churchname.'</a>.');
    }
		else
			error_msg('Kostol nebol aktualizovaný.');
	} 
	else 
		error_msg('Nevyplnili ste formulár. Prosím skúste znova.');

display_church_form(get_church_details($_POST['churchid']));
}
else 
	error_msg('Nemáte právo na zobrazenie tejto webovej lokality.');

do_html_footer();
?>