<?php
// vlozime subory funkcii pre tuto kategoriu
require_once('./fns.php');
require_once('./displays/display_defaultday.php');
require_once('./displays/display_defaulttime_form.php');
session_start();

do_html_header('Aktualizácia termínu');

if(check_usertype('admin') || check_organisttype("HO")){

    $defaulttimeid = $_POST['defaulttimeid'];   // potrebujeme aj v else vetve
    $servicetypeid = $_POST['servicetypeid'];

	if (filled_out($_POST)) 
	{  
		$churchid = $_SESSION["session_churchid"]; //ziskame ho z session vars
        
		$timefrom = $_POST['fromH'].":".$_POST['fromM'];
		$timeto = $_POST['toH'].":".$_POST['toM'];

    if(defaulttime_data_control($churchid, $defaulttimeid, $servicetypeid, $timefrom, $timeto))
		{
		  if(update_defaulttime($defaulttimeid, $timefrom, $timeto))
          {

            ok_msg('Preddefinovaný termín bol aktualizovaný.');
            $defaulttimes = get_church_defaulttimes_bytype($churchid,$servicetypeid);
            display_defaultday($defaulttimes,$servicetypeid);
            log_activity('Aktualizácia preddefinovaného termínu v kostole <a href="show_church.php?churchid='.$churchid.'">'.get_church_name($churchid).'</a>.');
          }
		  else
          {
              error_msg('Preddefinovaný termín nebol aktualizovaný.');
              $defaulttimes = get_church_defaulttimes_bytype($churchid,$servicetypeid);
              display_defaultday($defaulttimes,$servicetypeid);
          }
		}
		else 
        {
            error_msg("Vami zadaný termín je nesprávny, prekrýva sa inými termínami, alebo už je v databáze.");
            $defaulttime = get_defaulttime_details($defaulttimeid);
            $servicetype = get_servicetype_details($defaulttime['servicetypeid']);
            display_defaulttime_form($servicetype,$defaulttime);
        }
	} 
	else 
		{
            error_msg('Nevyplnili ste formulár. Prosím skúste znova.');            
            $defaulttime = get_defaulttime_details($defaulttimeid);
            $servicetype = get_servicetype_details($defaulttime['servicetypeid']);
            display_defaulttime_form($servicetype,$defaulttime);
        }
}
else
{
    error_msg('Nemáte právo na zozbrazenie tejto webovej lokality.');
}
do_html_footer();
?>