<?php


define(MAX_ACTIVITY_COUNT, 50);

function log_activity($activity_description)
{
  if(!isset($_SESSION['session_userid']))
    return ;
      
  insert_activity($_SESSION['session_userid'], $activity_description, get_datetime()); 
}

function get_activities($userid,$start_page) 
{
  // otazka na databazu pre zoznam aktivit
  $conn = db_connect();
  
  $limit_row = $_SERVER['PAGINATOR_ROWCOUNTDASHBOARD_TABLE'];
  
  $query = "SELECT activityid, userid,  description, datetime
      FROM useractivities
      WHERE userid=$userid
      ORDER BY datetime DESC
      LIMIT $start_page,$limit_row";
  
  $result = @mysql_query($query);
  if (!$result)
  {      
    db_disconnect();
    return false;
  }   
  
  $num_activities = @mysql_num_rows($result);
  
  if ($num_activities == 0)
  {
    db_disconnect();
    return false;  
  }
  
  $result = db_result_to_array($result);
  db_disconnect();
  
  return $result; 
}

//zistime pocet logov
function get_activities_count($userid)
{
  $conn = db_connect();
  $query = "SELECT COUNT(*) AS RowCount FROM useractivities WHERE userid=$userid";
      
  $result = @mysql_result(mysql_query($query), 0, "RowCount");
  
  if (!$result)
  {
    db_disconnect();
    return 0;
  }
  
  db_disconnect();  
  return $result; 
}

function insert_activity($userid,$description,$datetime) {
  
  // vlozi novu aktivitu do databazy
  
  $conn = db_connect();
  
  // vloz novu aktivitu
  $query = "INSERT INTO useractivities (userid,description,datetime) VALUES ('$userid', '$description', '$datetime')";
  $result = @mysql_query($query);

  if (!$result)
  {
    //echo "ERROR:".mysql_error();
    db_disconnect();
    return false;
  }
  else
  {
    db_disconnect();        
    return true;
  }
}


function remove_old_activities($userid)
{
    // odstrani stare aktivity z databazy
    
   $last_activities = get_last_activities($userid,MAX_ACTIVITY_COUNT);
   
   if(!count($last_activities))
        return;

   $str_last_activities = "";
   foreach ($last_activities as $activityid) {     
        $str_last_activities .= $activityid[0].",";
    }  
    
    if(!strlen($str_last_activities))
        return;

    $str_last_activities[strlen($str_last_activities)-1] = " ";
    $conn = db_connect();

    // vymaze z databazy stare aktivity
    $query = "DELETE FROM useractivities WHERE 
                userid=".$userid." AND
                activityid NOT IN (".$str_last_activities.");";

    //echo $query."<br>";
    $result = @mysql_query($query);

    if (!$result)
    {
        //echo "ERROR:".mysql_error();
        db_disconnect();
        return false;
    }
    else
    {
        db_disconnect();
        return true;
    }
}

function get_last_activities($userid,$max_activity_count)
{
  // vrati poslednych N aktivit(activityid)

  $conn = db_connect();

  // vymaze z databazy stare aktivity
  $query = " SELECT activityid FROM useractivities WHERE userid=".$userid. "
                ORDER BY datetime DESC LIMIT ".MAX_ACTIVITY_COUNT.";";


  //echo $query."<br>";
  $result = @mysql_query($query);

  if (!$result)
  {
    //echo "ERROR:".mysql_error();
    db_disconnect();
    return false;
  }
  else
  {
    $result = db_result_to_array($result);
    db_disconnect();
    return $result;
  }
}

function display_activities($userid,$Page = 1)
{

   remove_old_activities($userid);


  //zacina od zaznamu..  
  $start_page = ($Page - 1) * $_SERVER['PAGINATOR_ROWCOUNTDASHBOARD_TABLE'];
  
  // ziskame pocet logov z databazy
  $activity_count = get_activities_count($userid);
  
  $activity_array = get_activities($userid,$start_page);
  
  if (!is_array($activity_array))
  {
    //echo '<br />Nie sú v systéme žiadne aktivity.<br />';
    return;
  }
  
  echo '<h2>Moje posledné aktivity</h2>
      <div class="box"><table class="maintable">';
  $i = 0;
  foreach ($activity_array as $row){ ?>
    <tr <?php if(is_int($i / 2)) echo 'class="highlight"'; ?>>
    <td><?php echo $row["description"]; ?></td>
    <td style="width:130px; border-right: 0;"><?php echo $row["datetime"]; ?></td>
    </tr>
    <?php $i++;
  }
  
  echo "</table>";
  
  $url = "dashboard.php?";
  display_paginator($Page,$activity_count,$_SERVER["PAGINATOR_ROWCOUNTDASHBOARD_TABLE"],$url);
      
}
?>
