<?php
define(SENDING_MAILS,false);
define(SMTP_SERVER,"82.208.46.40");
define(REPLY_MAIL_ADDRESS,"espro@espro.eu");
define(REPLY_MAIL_NAME,"eSPRO");
define(MAIL_MESSAGE_FOOTER,"\r\n\r\n---\r\neSPRO - elektronický SPrávca Rozvrhov pre Organistov");

function init_mailing()
{
    ini_set("SMTP",SMTP_SERVER);
    ini_set("sendmail_from", REPLY_MAIL_ADDRESS);
}

function send_mail_to_user($userid,$subject,$message) {
  
    $user = get_user_details($userid);
    if(!is_array($user))
        return false;
    
    send_mail($user["email"], $subject, $message);
}

function send_mail($email,$subject,$message,$headers='') {

    if(!SENDING_MAILS)
        return false;

    init_mailing();

    $message.=MAIL_MESSAGE_FOOTER;

    // Header
    $charset = "UTF-8";
    $headers .= 'From: '.REPLY_MAIL_NAME.'<'.REPLY_MAIL_ADDRESS.'>'."\r\n";
    $headers .= 'MIME-Version: 1.0'."\r\n";
    $headers .= 'Content-Type: text/plain; charset="'.$charset.'"'."\r\n";
    $headers .= strip_tags($message)."\r\n\r\n";
    $subject = '=?'.$charset.'?B?' . base64_encode($subject) . '?=';


//    echo "<br><br>SENDING MAIL: ".$email."<br>
//            Subject:".$subject."<br>
//            Message:".$message."<br>
//            Headers:".$headers."<br>";

    if (@mail($email, $subject, $message,$headers))
    {
            //echo("<p>Message successfully sent!</p>");
            return true;
    }
    else
    {
        error_msg("Nepodarilo sa poslať mail na adresu: ".$user["email"].'.');
        return false;
    }
}

function send_mail_to_users($churchid,$serviceid) {
    $church = get_church_details($churchid);
    $service = get_service_details($serviceid);
    $subject = "Zmena terminu bohoslužby";
    $message = "Termin bohoslužby v kostole ".$church['churchname']."<br>
                Nový termin".$service[0]['servicestart']."-".$service[0]['serviceend'];

    $primaryuserid = $service[0]['primaryuserid'];
    $secondaryuserid = $service[0]['secondaryuserid'];

    if($primaryuserid)
        send_mail_to_user($primaryuserid, $subject, $message);

    if($secondaryuserid)
        send_mail_to_user($secondaryuserid, $subject, $message);
}
?>
