<?php
// vlozime subory funkcii pre tuto kategoriu
require_once('./fns.php');
require_once('./displays/display_message_form.php');
session_start();

do_html_header('Napísať správu','mail_edit','Napísanie správy ďalšiemu používateľovi systému.');

if (check_user())
{
  $str_usertoid = "";
  $str_usertoname = ""; 
  $str_subject = "";
  
  //odpovedam na spravu
  $messageid = $_GET['messageid'];
  if($messageid > 0)
  {
    $message = get_message($messageid,$_SESSION['session_userid']);   
    //mam pristup k sprave
    //mozem na spravu reagovat
    if(is_array($message) AND $message["box"] == "in")
    {
      $str_usertoid = $message["userfromid"];
      $str_usertoname = $message["userfromfirstname"]." ".$message["userfromlastname"];
      $str_subject = "RE: ".$message["subject"];
    }
  }
  $usertoid = $_GET['usertoid'];
  //pisem konkretnemu pouzivatelovi
  //nepisem sam sebe
  if($usertoid > 0 AND $usertoid != $_SESSION['session_userid'])
  {
    $user = get_user_details($usertoid);
    if(is_array($user))
    {
      $str_usertoid = $usertoid;
      $str_usertoname = $user["firstname"]." ".$user["lastname"];
    }
  }
  display_message_form($str_usertoid,$str_usertoname,$str_subject);
}
else
  error_msg('Nemáte oprávnenie pre zobrazenie tejto webovej lokality.');

do_html_footer();
?>