<?php
// vlozime subory funkcii pre tuto kategoriu
require_once('./fns.php');
require_once('./displays/display_servicetimes.php');
require_once('./displays/display_servicetime_form.php');
session_start();

do_html_header('Pridanie bohoslužby');

if(check_usertype('admin') || check_organisttype("HO") &&
   isset($_POST['scheduleid']) &&  isset($_POST['servicetypeid']) && isset($_POST['servicedate'])
  )
{
    $scheduleid = $_POST['scheduleid'];         // potrebujeme v else vetve
    $servicetypeid = $_POST['servicetypeid'];
    $servicedate = $_POST['servicedate'];

	if (filled_out($_POST))
	{
	  $churchid = $_SESSION['session_churchid'];	  				
	  $timefrom = $_POST['fromH'].":".$_POST['fromM'];
	  $timeto = $_POST['toH'].":".$_POST['toM'];		
    
    if(servicetime_data_control($churchid, 0, $servicedate, $timefrom, $timeto))
		{
      if(($serviceid = insert_service($scheduleid, $servicetypeid, $churchid, $timefrom, $timeto, $servicedate))!= 0)
      {
			 ok_msg('Nový termín bohoslužby bol úspešne pridaný do databázy.');
             log_activity('Pridanie novej bohoslužby pre kostol <a href="show_church.php?churchid='.$churchid.'">'.get_church_name($churchid).'</a>.');
      }
      else
      {
            error_msg("Termín bohoslužby nebol pridaný do databázy.");
      }

      $servicetimes = get_servicetimes($churchid,$servicedate);
      display_servicetimes($servicetimes);
	  }
    else
    {
        error_msg("Vami zadaný termín je nesprávny, prekrýva sa inými termínami, alebo už je v databáze.");        
        display_servicetime_form(0, $scheduleid, $servicetypeid, $servicedate);
    }
  } 
	else
    {
		error_msg('Nevyplnili ste formulár. Prosím skúste znova.');
        display_servicetime_form(0, $scheduleid, $servicetypeid, $servicedate);
    }
}
else
    error_msg('Nemáte právo na zobrazenie tejto webovej lokality.');

do_html_footer();

?>