<?php
// vlozime subory funkcii pre tuto kategoriu
require_once('./fns.php'); 
session_start();

function display_church_details($church)
{
	if (is_array($church))
	{ 
  ?>
	<h2><?php echo $church['churchname']; ?></h2>
  <ul class="tabs">
		<li><a href="churchusers.php?churchid=<?php echo $church['churchid'];?>" title="Organisti kostola <?php echo $church['churchname']; ?>"><span>Organisti kostola</span></a></li>
		<li class="active"><a href="#" title="Detaily kostola <?php echo $church['churchname']; ?>"><span>Detaily kostola</span></a></li>
	</ul>
  <form class="niceform" name="churchform">
    <fieldset>
      <dl>
        	<dt><label>Názov kostola:</label></dt>
          <dd><input type="text" name="churchname" value="<?php echo $church['churchname']; ?>" size="32" maxlength="32" readonly /></dd>
      </dl>
      <dl>
        	<dt><label>Farnosť:</label></dt>
          <dd><input type="text" name="chaprelry" value="<?php echo $church['chaprelry']; ?>" size="32" maxlength="32" readonly /></dd>
      </dl>
      <dl>
        	<dt><label>Kraj:</label></dt>
          <dd><input type="text" name="regionname" value="<?php echo $church['regionname']; ?>" size="32" maxlength="32" readonly /></dd>
      </dl>    
      <dl>
        	<dt><label>Okres:</label></dt>
          <dd><input type="text" name="countyname" value="<?php echo $church['countyname']; ?>" size="32" maxlength="32" readonly /></dd>
      </dl>
      <dl>
        	<dt><label>Mesto / Obec:</label></dt>
          <dd><input type="text" name="settlementname" value="<?php echo $church['settlementname']; ?>" size="32" maxlength="32" readonly /></dd>
      </dl>
      <dl>
        	<dt><label>PSČ:</label></dt>
          <dd><input type="text" name="zip" value="<?php echo $church['zip']; ?>" size="16" maxlength="16" readonly /></dd>
      </dl>
      <dl>
        	<dt><label>Adresa:</label></dt>
          <dd><input type="text" name="address" value="<?php echo $church['address']; ?>" size="32" maxlength="32" readonly /></dd>
      </dl>
      <dl>
        	<dt><label>Správca farn.:</label></dt>
          <dd><input type="text" name="churchsupervisor" value="<?php echo $church['churchsupervisor']; ?>" size="32" maxlength="32" readonly /></dd>
      </dl>
      <dl>
        	<dt><label>Telefón:</label></dt>
          <dd><input type="text" name="telephone" value="<?php echo $church['telephone']; ?>" size="16" maxlength="16" readonly /></dd>
      </dl>
      <dl>
        	<dt><label>Email:</label></dt>
          <dd><input type="text" name="email" value="<?php echo $church['email']; ?>" size="32" maxlength="32" readonly /></dd>
      </dl>
      <dl>
        	<dt><label>Web:</label></dt>
          <dd><input type="text" name="website" value="<?php echo $church['website']; ?>" size="32" maxlength="32" readonly /></dd>
      </dl>
      <dl>
        	<dt><label>Popis:</label></dt>
          <dd><textarea rows="5" cols="40" name="description" readonly><?php echo $church['description']; ?></textarea></dd>
      </dl>
      <dl>
          <dt></dt>
          <dd>
            <?php if (check_usertype("admin")) echo '<a href="edit_church_form.php?churchid='.$church['churchid'].'" class="button"><span>Upraviť detaily</span></a>';?>
          </dd>
      </dl>
    </fieldset>
  </form>
<?php 
	}
	else
		error_msg('Nie je možné zobraziť detaily o tomto kostole.');
}

	$churchid = $_GET['churchid'];
	$church = get_church_details($churchid);
	do_html_header('Detaily kostola','church','Detailné informácie o kostole.');
	display_church_details($church);
  do_html_footer();

?>