<?php
// vlozime subory funkcii pre tuto kategoriu
require_once('./fns.php');
require_once('./displays/display_churches.php');
session_start();

do_html_header('Kostoly','churches','Zoznam všetkých kostolov evidovaných v systéme.');

//nastavime si prvu stranu
if(!$_GET["Page"]) $_GET["Page"] = 1;

//nastavime predvolene sortovanie
if(!$_GET["OrderBy"]) $_GET["OrderBy"] = "churchname";
if(!$_GET["OrderType"]) $_GET["OrderType"] = "ASC";
    
//nastavime filter
if(!$_GET["Filter"]) $_GET["Filter"] = "off";

//zacina od zaznamu..
$start_page = ($_GET["Page"] - 1) * $_SERVER['PAGINATOR_ROWCOUNT_TABLE'];

// ziskame pocet kostolov z databazy
$church_count = get_churches_count($_GET["Filter"],$_GET["SearchWhere"],$_GET["SearchText"]);

// ziskame kostoly z databazy
$church_array = get_churches($start_page,$_GET["OrderBy"],$_GET["OrderType"],$_GET["Filter"],$_GET["SearchWhere"],$_GET["SearchText"]);

display_churches($church_array, $church_count, $_GET["Page"],$_GET["OrderBy"],$_GET["OrderType"],$_GET["Filter"],$_GET["SearchWhere"],$_GET["SearchText"]);

do_html_footer();
?>