<?php
// vlozime subory funkcii pre tuto kategoriu
require_once('fns.php'); 
session_start();

function display_defaultdays($ddays_array,$churchid)
{
  ?>
  <h2>Preddefinované dni bohoslužieb - <?php echo get_church_name($_SESSION['session_churchid']); ?></h2>

  <?php
  if (!is_array($ddays_array))
  {
       echo '<div class="box" style="font-size: 11px; text-align: center; padding-top:15px;">Nie sú v systéme preddefinovane dni bohoslužieb.<p id="pagin"></p></div>';
  }
  else
  {
    ?>
    
  	<div class="box">
		<table class="maintable">
    <tr>
      <th>Preddefinovaný deň</th>
      <th class="center">Počet termínov</th>
      <th class="center">Operácie</th>
    </tr>
    <?php
    $i = 0;  
    foreach ($ddays_array as $row)
    {
      $url = 'show_defaultday.php?churchid='.$churchid.'&servicetypeid='.$row['servicetypeid'];
      $servicename = $row['servicename'];
      ?>
    <tr <?php if(is_int($i / 2)) echo 'class="highlight"'; ?>>
      <td><?php echo '<a href="'.$url.'">'.$servicename.'</a>'; ?></td>
      <td width=110 class="center"><?php echo $row['pocet'] ?></td>
      <td class="action">
        <ul>
            <li><a class="show" title="Zobraziť" href="show_defaultday.php?churchid=<?php echo $churchid.'&servicetypeid='.$row['servicetypeid']; ?>"><span>Zobraziť</span></a></li>
        </ul>
    </td>
    </tr>
    <?php
    $i++;
    }
    ?>
    </table>
    <p id="pagin">
		</p>
    </div>
    <?php
  }
}

do_html_header('Preddefinované dni','times','Zoznam preddefinovaných dní bohoslužieb.');

if(check_usertype('admin') || check_organisttype("HO"))
{
  // ziskame dni z databazy
  $churchid = $_SESSION['session_churchid'];
  $servicetypes = get_servicetypes(0,"servicetypeid","ASC");
  
  $ddays_array = array();
  foreach ($servicetypes as $row)
  { 
    $servicetypeid = $row['servicetypeid'];
    $servicename = $row['servicename'];
    $pom = get_church_defaultdays_count($churchid,$servicetypeid);
    if(!$pom) 
    {
      $pom = array( 'servicetypeid' => $servicetypeid, 'servicename' => $servicename, 'pocet' => 0 );
    }
    array_push($ddays_array,$pom);
  }
  // zobrazime ich
  display_defaultdays($ddays_array,$churchid);
}
else
    error_msg('Nemáte právo na zobrazenie tejto webovej lokality.');


do_html_footer();

?>