<?php
// vlozime subory funkcii pre tuto kategoriu
require_once('./fns.php'); 
session_start();

function display_servicetype_details($servicetype)
{
	if (is_array($servicetype))
	{
		echo '<table><tr>'; 
		echo '<td><ul>';
		echo '<li><b>ID:</b> ';
		echo $servicetype['servicetypeid'];
		echo '</li><li><b>Názov typu bohoslužby:</b> ';
		echo $servicetype['servicename'];
		echo '</li><li><b>Popis typu bohoslužby:</b> ';
		echo $servicetype['servicedesc'];
		echo '</li></ul></td></tr></table>'; 
	}
	else
		error_msg('Nie je možné zobraziť detaily o tomto type bohoslužby.');
}

if (check_user())
{
	$servicetypeid = $_GET['servicetypeid'];
	$servicetype = get_servicetype_details($servicetypeid);

	do_html_header($servicetype['servicename']);
	display_servicetype_details($servicetype);

	if(check_usertype("admin"))
	{
		$url = 'edit_servicetype_form.php?servicetypeid='.$servicetypeid;
		do_html_button($url, 'Editovať typ bohoslužby');
	}
}
else
	error_msg('Nemáte právo na zobrazenie tejto webovej lokality.');
	
do_html_footer();

?>