<?php
// vlozime subory funkcii pre tuto kategoriu
require_once('./fns.php'); 
session_start();

do_html_header('Typy bohoslužieb','services','Zoznam všetkých typov bohoslužieb pre všetky kostoly.');

if (check_user())
{
  //nastavime si prvu stranu
  if(!$_GET["Page"])
    $_GET["Page"] = 1;
  
  //nastavime predvolene sortovanie
  if(!$_GET["OrderBy"])
    $_GET["OrderBy"] = "servicetypeid";
  
  if(!$_GET["OrderType"])
    $_GET["OrderType"] = "ASC";
  
  //zacina od zaznamu..  
  $start_page = ($_GET["Page"] - 1) * $_SERVER['PAGINATOR_ROWCOUNT_TABLE'];
  
  // ziskame pocet typov bohosluzieb z databazy
  $servicetypes_count = get_servicetypes_count();  
  
  // ziskame typy bohoslužieb z databazy
  $servicetypes_array = get_servicetypes($start_page,$_GET["OrderBy"],$_GET["OrderType"]);
  // zobrazime ich
  echo '<h2>Prehľad typov bohoslužieb</h2>';
  if (!is_array($servicetypes_array))
  {
    echo '<div class="box" style="font-size: 11px; text-align: center; padding-top:15px;">Nie sú v systéme typy bohoslužieb.<p id="pagin"></p></div>';
  }
  else
  {
    //definovanie nazvov pre hlavicku tabulky
    $TableHeader_Name = array();
    //definovanie nazvu stlpca z db, pre sortovanie
    $TableHeader_Sort = array();
    //definovanie parametrov pre nastavenie <th ...
    $TableHeader_Setting = array();
    
    //definovanie hodnot
    $TableHeader_Name[1] = 'Názov typu bohoslužby';
    $TableHeader_Sort[1] = 'servicename';
    $TableHeader_Setting[1] = '';
    $TableHeader_Name[2] = 'Popis typu bohoslužby';
    $TableHeader_Sort[2] = 'servicedesc';
    $TableHeader_Setting[2] = '';
    /*if(check_usertype("admin"))
    {
      $TableHeader_Name[3] = 'Operácie';
      $TableHeader_Setting[3] = '';
      $TableHeader_Sort[3] = '';
    }*/
    
    //linka
    $TableHeader_Url = "show_servicetypes.php?";
    
    ?>
          		
		<div class="box">
			<table class="maintable">

    <?php
    //zobrazime hlavicku tabulky
    display_tableheader($TableHeader_Name, $TableHeader_Setting, $TableHeader_Sort, $TableHeader_Url, $_GET["OrderBy"], $_GET["OrderType"]);
    
    $i = 0;
    foreach ($servicetypes_array as $row)
    {
      $url = 'show_servicetype.php?servicetypeid='.$row['servicetypeid'];
			$servicename = $row['servicename'];?>
			<tr <?php if(is_int($i / 2)) echo 'class="highlight"'; ?>><td>
      <?php
      echo  $servicename.'</td>
          <td>'.$row['servicedesc'].'</td>';
      
      /*if(check_usertype("admin")){
        echo '
            <td class="action">
            <ul>
            <li><a class="show" title="Zobraziť" href="show_servicetype.php?servicetypeid='.$row['servicetypeid'].'"><span>Zobraziť</span></a></li>
            <li><a class="edit" title="Upraviť" href="edit_servicetype_form.php?servicetypeid='.$row['servicetypeid'].'"><span>Upraviť</span></a></li>
            </ul>
            </td>';
      }*/
      
      echo   '</tr>';
      $i++;
    }
    
    echo "</table>";
    
    $url = "show_servicetypes.php?OrderBy=".$_GET["OrderBy"]."&OrderType=".$_GET["OrderType"]."&";
    display_paginator($_GET["Page"],$servicetypes_count,$_SERVER["PAGINATOR_ROWCOUNT_TABLE"],$url);
    
  }
  
}
else
  error_msg('Nemáte právo na zobrazenie tejto webovej lokality.');

do_html_footer();
?>